<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\AbonoActividad;
use App\Models\Actividad;
use App\Models\Estudiante;
use Illuminate\Http\Request;

class AbonoActividadController extends Controller
{

    public function newAbonos($id)
    {
        $estudiante = Estudiante::find($id);
        $actividades = Actividad::where('grado_id', $estudiante->grado_id)->get();
        $abonos = AbonoActividad::where('estudiante_id', $estudiante->id)->get();
        return view('admin.estudiantes.deudas.nuevoabono.actividades', compact('estudiante', 'actividades', 'abonos'));
    }

    public function storeAbono (Request $request)
    {
        AbonoActividad::create($request->all());
        return back()->with([ 'info' => 'Abono Creado Con Exito', 'color' => 'success' ]);
    }

    public function printReciboAbono(AbonoActividad $actividad)
    {
        return view('admin.reports.abono.reciboActividad', compact('actividad'));
    }

    public function delete(AbonoActividad $actividad)
    {
        $actividad->delete();
        return back()->with(['info' => 'Abono Eliminado Con Exito', 'color' => 'success' ]);
    }

}
