<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\ArticuloProveedor;
use App\Models\Proveedor;
use Illuminate\Http\Request;

class ArticuloProveedorController extends Controller
{
    public function index()
    {
        $data = ArticuloProveedor::all();
        $proveedores = Proveedor::all();

        return view('admin.articulos_proveedor.index', compact('data', 'proveedores'));
    }

    public function store(Request $request)
    {
        ArticuloProveedor::create($request->all());
        return back()->with(['info' => 'Articulo Registrado Con Exito', 'color' => 'success']);
    }


    public function delete(ArticuloProveedor $articulo)
    {
        $articulo->delete();

        return back()->with(['info' => 'articulo eliminado con exito', 'color' => 'success']);
    }

    public function update(ArticuloProveedor $articulo, Request $request)
    {
        $articulo->update($request->all());
        return back()->with(['info' => 'articulo actualizado con exito', 'color' => 'success']);
    }

    public function salida(Request $request, ArticuloProveedor $articulo)
    {
        $articulo->cantidad -= $request->cantidad;
        $articulo->update();
        return back()->with(['info' => 'salida de articulo guardada con exito', 'color' => 'success']);
    }


    public function show(ArticuloProveedor $articulo)
    {
        $proveedores = Proveedor::all();
        return view('admin.articulos_proveedor.show', compact('articulo', 'proveedores'));
    }

    public function reportes()
    {
        $prove = Proveedor::all();
        return view('admin.articulos_proveedor.reportes', compact('prove'));
    }

    public function all_report()
    {
        $data = ArticuloProveedor::all();
        $titulo = 'TODOS LOS ARTICULOS';
        return view('admin.reports.articulos.all', compact('data', 'titulo'));
    }

    public function all_to_proveedor(Request $request)
    {
        $data = ArticuloProveedor::where('provee_id', $request->proveedor_id)->get();
        $titulo = 'TODOS LOS ARTICULOS';
        return view('admin.reports.articulos.all', compact('data', 'titulo'));
    }
}
