<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Bus;
use App\Models\DeudaBus;
use App\Models\Estudiante;
use App\Models\VentaBus;
use Illuminate\Http\Request;

class BusController extends Controller
{

    public function index()
    {
        return view('admin.buses.index', ['buses' => Bus::all()]);
    }

    public function create()
    {
        return view('admin.buses.create');
    }

    public function store(Request $request)
    {
        Bus::create($request->all());
        return back()->with(['info' => 'bus registrado con exito', 'color' => 'success']);
    }

    public function show($id)
    {
        return view('admin.buses.show', ['bus' => Bus::findOrFail($id)]);
    }

    public function delete($id)
    {
        Bus::findOrFail($id)->delete();
        return back()->with(['info' => 'Bus eliminado con exito', 'color' => 'success']);
    }

    public function update(Request $request, $id)
    {
        Bus::findOrFail($id)->update($request->all());
        return back()->with(['info' => 'Bus actualizado con exito', 'color' => 'success']);
    }


    // adquisicion de Buses
    public function busesAddStore(Request $request)
    {

        // comprovamos si exsite un venta de bus 
        $venta = VentaBus::where('estudiante_id', $request->estudiante_id)->first();
        // si existe la venta de bus, buscamos la deuda de bus, para actualizar la venta de bus
        // el date('m')  === numero , es para ver si se asigna la deuda de bus al momento de vender
        if ($venta) {
            $deu = DeudaBus::where('estudiante_id', $request->estudiante_id)->first();
            if (isset($request->enero)) {
                // $deu->mes1 = $request->pago_mensual;
                $venta->estado1 = 'ASIGNADO';
                if (date('m') === '01' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->febrero)) {
                // $deu->mes2 = $request->pago_mensual;
                $venta->estado2 = 'ASIGNADO';
                if (date('m') === '02' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->marzo)) {
                // $deu->mes3 = $request->pago_mensual;
                $venta->estado3 = 'ASIGNADO';
                if (date('m') === '03' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->abril)) {
                // $deu->mes4 = $request->pago_mensual;
                $venta->estado4 = 'ASIGNADO';
                if (date('m') === '04' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->mayo)) {
                // $deu->mes5 = $request->pago_mensual;
                $venta->estado5 = 'ASIGNADO';
                if (date('m') === '05' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->junio)) {
                // $deu->mes6 = $request->pago_mensual;
                $venta->estado6 = 'ASIGNADO';
                if (date('m') === '06' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->julio)) {
                // $deu->mes7 = $request->pago_mensual;
                $venta->estado7 = 'ASIGNADO';
                if (date('m') === '07' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->agosto)) {
                // $deu->mes8 = $request->pago_mensual;
                $venta->estado8 = 'ASIGNADO';
                if (date('m') === '08' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->septiembre)) {
                // $deu->mes9 = $request->pago_mensual;
                $venta->estado9 = 'ASIGNADO';
                if (date('m') === '09' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->octubre)) {
                // $deu->mes10 = $request->pago_mensual;
                $venta->estado10 = 'ASIGNADO';
                if (date('m') === '10' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->noviembre)) {
                // $deu->mes11 = $request->pago_mensual;
                $venta->estado11 = 'ASIGNADO';
                if (date('m') === '11' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->diciembre)) {
                // $deu->mes12 = $request->pago_mensual;
                $venta->estado12 = 'ASIGNADO';
                if (date('m') === '12' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            $deu->save();
            $venta->save();
        } else {
            $ventanoexist = new VentaBus();
            $ventanoexist->pago_mensual = $request->pago_mensual;
            $ventanoexist->descripcion =  $request->descripcion;
            $ventanoexist->estudiante_id = $request->estudiante_id;
            $deu = new DeudaBus();
            $deu->estudiante_id = $request->estudiante_id;
            if (isset($request->enero)) {
                // $deu->mes1 = $request->pago_mensual;
                $ventanoexist->estado1 = 'ASIGNADO';
                if (date('m') === '01' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->febrero)) {
                // $deu->mes2 = $request->pago_mensual;
                $ventanoexist->estado2 = 'ASIGNADO';
                if (date('m') === '02' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->marzo)) {
                // $deu->mes3 = $request->pago_mensual;
                $ventanoexist->estado3 = 'ASIGNADO';
                if (date('m') === '03' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->abril)) {
                // $deu->mes4 = $request->pago_mensual;
                $ventanoexist->estado4 = 'ASIGNADO';
                if (date('m') === '04' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->mayo)) {
                // $deu->mes5 = $request->pago_mensual;
                $ventanoexist->estado5 = 'ASIGNADO';
                if (date('m') === '05' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->junio)) {
                // $deu->mes6 = $request->pago_mensual;
                $ventanoexist->estado6 = 'ASIGNADO';
                if (date('m') === '06' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->julio)) {
                // $deu->mes7 = $request->pago_mensual;
                $ventanoexist->estado7 = 'ASIGNADO';
                if (date('m') === '07' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->agosto)) {
                // $deu->mes8 = $request->pago_mensual;
                $ventanoexist->estado8 = 'ASIGNADO';
                if (date('m') === '08' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->septiembre)) {
                // $deu->mes9 = $request->pago_mensual;
                $ventanoexist->estado9 = 'ASIGNADO';
                if (date('m') === '09' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            if (isset($request->octubre)) {
                // $deu->mes10 = $request->pago_mensual;
                $ventanoexist->estado10 = 'ASIGNADO';
                if (date('m') === '10' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                }
            }
            // if (isset($request->noviembre)) {
                // $deu->mes11 = $request->pago_mensual;
                // $ventanoexist->estado11 = 'ASIGNADO';
                // if (date('m') === '11' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                // }
            // }
            // if (isset($request->diciembre)) {
                // $deu->mes12 = $request->pago_mensual;
                // $ventanoexist->estado12 = 'ASIGNADO';
                // if (date('m') === '12' && date('Y') === config('app.cliclo')) {
                    // $this->asignarDeudaEstudiante($request->estudiante_id, $request->pago_mensual);
                // }
            // }

            $deu->save();
            $ventanoexist->save();
        }


        return back()->with(['info' => 'SERVICIO DE BUS ASIGNADO con exito', 'color' => 'success']);
    }


    // asigna la deudan a un estudiante
    public function asignarDeudaEstudiante($id, $valor)
    {
        $estudiante = Estudiante::find($id);
        $estudiante->deuda += $valor;
        return  $estudiante->save();
    }

    // retorna el reporte de toso los buses REGISTRADOS
    public function allreport()
    {
        return view('admin.reports.buses.all', ['data' => Bus::all()]);
    }

    // elimina un mes de cobor de un estudiante
    public function delete_buses_compra($mes, $id)
    {
        $venta = VentaBus::where('estudiante_id', $id)->first();
        $deu = DeudaBus::where('estudiante_id', $id)->first();

        switch ($mes) {
            case '01':
                $venta->estado1 = 'NO-ASIGANDO';
                $deu->mes1 = 0;
                $venta->save();
                $deu->save();
                return back()->with(['info' => 'bus actualizado', 'color' => 'success']);
                break;
            case '02':
                $venta->estado2 = 'NO-ASIGANDO';
                $deu->mes2 = 0;
                $venta->save();
                $deu->save();
                return back()->with(['info' => 'bus actualizado', 'color' => 'success']);
                break;
            case '03':
                $venta->estado3 = 'NO-ASIGANDO';
                $deu->mes3 = 0;
                $venta->save();
                $deu->save();
                return back()->with(['info' => 'bus actualizado', 'color' => 'success']);
                break;
            case '04':
                $venta->estado4 = 'NO-ASIGANDO';
                $deu->mes4 = 0;
                $venta->save();
                $deu->save();

                return back()->with(['info' => 'bus actualizado', 'color' => 'success']);
                break;
            case '05':
                $venta->estado5 = 'NO-ASIGANDO';
                $deu->mes5 = 0;
                $venta->save();
                $deu->save();
                return back()->with(['info' => 'bus actualizado', 'color' => 'success']);
                break;
            case '06':
                $venta->estado6 = 'NO-ASIGANDO';
                $deu->mes6 = 0;
                $venta->save();
                $deu->save();
                return back()->with(['info' => 'bus actualizado', 'color' => 'success']);
                break;
            case '07':
                $venta->estado7 = 'NO-ASIGANDO';
                $deu->mes7 = 0;
                $venta->save();
                $deu->save();
                return back()->with(['info' => 'bus actualizado', 'color' => 'success']);
                break;
            case '08':
                $venta->estado8 = 'NO-ASIGANDO';
                $deu->mes8 = 0;
                $venta->save();
                $deu->save();
                return back()->with(['info' => 'bus actualizado', 'color' => 'success']);
                break;
            case '09':
                $venta->estado9 = 'NO-ASIGANDO';
                $deu->mes9 = 0;
                $venta->save();
                $deu->save();
                return back()->with(['info' => 'bus actualizado', 'color' => 'success']);
                break;
            case '10':
                $venta->estado10 = 'NO-ASIGANDO';
                $deu->mes10 = 0;
                $venta->save();
                $deu->save();
                return back()->with(['info' => 'bus actualizado', 'color' => 'success']);
                break;
            case '11':
                $venta->estado11 = 'NO-ASIGANDO';
                $deu->mes11 = 0;
                $venta->save();
                $deu->save();
                return back()->with(['info' => 'bus actualizado', 'color' => 'success']);
                break;
            case '12':
                $venta->estado12 = 'NO-ASIGANDO';
                $deu->mes12 = 0;
                $venta->save();
                $deu->save();
                return back()->with(['info' => 'bus actualizado', 'color' => 'success']);
                break;

            default:
                return back()->with(['info' => 'el dato no existe', 'color' => 'warning']);
                break;
        }
    }
}
