<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\CompraLibros;
use App\Models\Libros;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class CompraLibrosController extends Controller
{

    public function index()
    {
        $bolsas =  Libros::all();
        return view('admin.compra_libros.index', compact('bolsas'));
    }

    public function store(Request $request)
    {



        $com = CompraLibros::create($request->all());

        $bolsa = Libros::find($request->libro_id);
        $bolsa->stock += $request->cantidad;
        $bolsa->save();

        return back()->with(['info' => 'comrpa guardada con exito', 'color' => 'success']);
    }

    // retorna la vista para comprar articulos
    public function historial(Request $request)
    {
        $vis = false;
        $articulos = null;
        if ($request->fecha) {
            $vis = true;
            $articulos =
                DB::table('compra_libros as com')
                ->join('libros as bol', 'com.libro_id', '=', 'bol.id')
                ->join('users as u', 'com.user_id', '=', 'u.id')
                ->select('bol.*', 'com.*', 'u.*', 'com.id as compraId')
                ->whereDate('com.created_at', $request->fecha)
                ->get();
        }
        return view('admin.compra_libros.historial', ['articulos' => $articulos, 'vis' => $vis]);
    }


    // elimina la compra de una bolsa y retorna su stock
    public function delete($id)
    {
        $com = CompraLibros::find($id);
        $bolsa = Libros::find($com->bolsa_id);
        $bolsa->stock -= $com->cantidad;
        $bolsa->save();
        $com->delete();
        return back()->with(['info' => 'comrpa eliminada con exito', 'color' => 'success']);
    }
}
