<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\CompraUniformes;
use App\Models\Uniforme;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class CompraUniformeController extends Controller
{


    public function index()
    {
        $uniforme =  Uniforme::all();
        return view('admin.compra_uniforme.index', compact('uniforme'));
    }

    public function store(Request $request)
    {

        $com = CompraUniformes::create($request->all());
        $bolsa = Uniforme::find($request->unifrome_id);
        $bolsa->stock += $request->cantidad;
        $bolsa->save();

        return back()->with(['info' => 'comrpa guardada con exito', 'color' => 'success']);
    }

    // retorna la vista para comprar articulos
    public function historial(Request $request)
    {
        $vis = false;
        $articulos = null;
        if ($request->fecha) {
            $vis = true;
            $articulos =
                DB::table('compra_uniformes as com')
                ->join('uniformes as uni', 'com.unifrome_id', '=', 'uni.id')
                ->join('users as u', 'com.user_id', '=', 'u.id')
                ->select('uni.*', 'com.*', 'u.*', 'com.id as compraId')
                ->whereDate('com.f_compra', $request->fecha)
                ->get();
        }
        return view('admin.compra_uniforme.historial', ['articulos' => $articulos, 'vis' => $vis]);
    }


    // elimina la compra de una bolsa y retorna su stock
    public function delete($id)
    {
        $com = CompraUniformes::find($id);
        $bolsa = Uniforme::find($com->unifrome_id);
        $bolsa->stock -= $com->cantidad;
        $bolsa->save();
        $com->delete();
        return back()->with(['info' => 'comrpa eliminada con exito', 'color' => 'success']);
    }
}
