<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Convenio;
use Illuminate\Http\Request;

class ConvenioController extends Controller
{
    public function index()
    {
        $data = Convenio::all();
        return view('admin.convenio.index', compact('data'));
    }
    public function show(Convenio $convenio)
    {
        return view('admin.reports.estudiantes.convenio', compact('convenio'));
    }


    public function store(Request $request)
    {
        Convenio::create($request->all());
        return back()->with(['info' => 'convenio guardado']);
    }
    public function update(Request $request, $id)
    {
        Convenio::find($id)->update($request->all());
        return back()->with(['info' => 'convenio guardado']);
    }

    public function delete($id)
    {
        $data = Convenio::find($id)->delete();
        return back()->with(['info' => 'convenio eliminado']);
    }

    public function reporte(Request $request)
    {
        $convenio = Convenio::whereBetween('created_at', [$request->inicio, $request->fin])->where('tipo', $request->abonoa)->get();

        return view('admin.reports.estudiantes.convenoireporte', compact('convenio'));
    }

}
