<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\DeudaExtra;
use App\Models\Estudiante;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class DeudaExtraController extends Controller
{
    public function store(Request $request)
    {
        DeudaExtra::create($request->all());
        // asiganar deuda a estudiante 
        $this->asignarDeudaEstudiante($request->estudiante_id, $request->valor);
        return back()->with(['info' => 'deuda asignada con exito', 'color' => 'success']);
    }

    public function delete($id)
    {
        $deuda = DeudaExtra::find($id);

        $estudiante = Estudiante::find($deuda->estudiante_id);

        // cambiamos el total de las deudas en los estudiantes
        $estudiante->deuda -= $deuda->valor;


        $deuda->delete();
        $estudiante->save();

        return back()->with(['info' => 'DEUDA EXTRA ELIMINADA CON EXITO', 'color' => 'success']);
    }


    // asigna la deudan a un estudiante
    public function asignarDeudaEstudiante($id, $deuda)
    {
        $estudiante = Estudiante::find($id);
        $estudiante->deuda += $deuda;
        return  $estudiante->save();
    }
}
