<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\DeudaColegiatura;
use App\Models\DeudaInscripcion;
use App\Models\Encargado;
use App\Models\Estudiante;
use App\Models\Grado;
use App\Models\Promocion;
use App\Models\PromocionEstudiante;
use Illuminate\Http\Request;

class InscripcionContrller extends Controller
{

    public function index()
    {
        $grado = Grado::all();
        $promo = Promocion::all();

        // dd($promo);
        return view('admin.inscripcion.create', ['grados' => $grado, 'promo' => $promo]);
    }

    public function inscribir(Request $request)
    {

        
        $grado_id = explode("___", $request->grado_id);
        $encargado = new Encargado();
        $encargado->nombre1 = strtoupper($request->nombre1);
        $encargado->nombre2 = strtoupper($request->nombre2);
        $encargado->dpi1 = $request->dpi1;
        $encargado->dpi2 = $request->dpi2;
        $encargado->direccion1 = $request->direccion1;
        $encargado->direccion2 = $request->direccion2;
        $encargado->civil1 = $request->civil1;
        $encargado->civil2 = $request->civil2;
        $encargado->nacionalidad1 = $request->nacionalidad1;
        $encargado->nacionalidad2 = $request->nacionalidad2;
        $encargado->edad1 = $request->edad1;
        $encargado->edad2 = $request->edad2;
        $encargado->telefono1 = $request->telefono1;
        $encargado->telefono2 = $request->telefono2;
        $encargado->telefono3 = $request->telefono3;
        $encargado->telefono4 = $request->telefono4;
        $encargado->lugart1 = $request->lugart1;
        $encargado->lugart2 = $request->lugart2;
        $encargado->empresa1 = $request->empresa1;
        $encargado->empresa2 = $request->empresa2;
        $encargado->tel_empresa1 = $request->tel_empresa1;
        $encargado->tel_empresa2 = $request->tel_empresa2;
        $encargado->profecion1 = $request->profecion1;
        $encargado->profecion2 = $request->profecion2;
        $encargado->parentesco1 = $request->parentesco1;
        $encargado->parentesco2 = $request->parentesco2;
        // CAMBIOS SOLICITADOS
        $encargado->save();
        $estudiante = new Estudiante();
        $estudiante->nombre = strtoupper($request->nombre);
        $estudiante->encargado_id = $encargado->id;
        $estudiante->grado_id = $grado_id[0];
        $estudiante->fecha_nacimiento = $request->fecha_nacimiento;
        $estudiante->cui = $request->cui;
        $estudiante->telefono = $request->telefono;
        $estudiante->jornada = $request->jornada;
        $estudiante->colegiatura = $request->colegiatura;
        $estudiante->inscripcion = $request->inscripcion;
        $estudiante->ciclo = config('app.cliclo');
        $estudiante->estado = $request->estado;
        $estudiante->save();


        $deuda_inscripcion = new DeudaInscripcion();

        $deuda_inscripcion->estudiante_id = $estudiante->id;
        $deuda_inscripcion->deuda = $request->inscripcion;
        $deuda_inscripcion->save();

        $this->asignarDeudaEstudiante($estudiante->id, $request->inscripcion);
        // evaluamos si el ciclo escolar es igual al año actual para asignar una deuda a la colegitura o no asignarla
        if (config('app.cliclo') === date('Y')) {
            $this->asignarDeudaColegiatura($estudiante->id, $request->colegiatura);
        }

        // asignamos promociones a estudiantes

        // for ($i=0; $i < count($request->promocion); $i++) { 
        //     $p = new PromocionEstudiante();
        //     $p->estudiante_id = $estudiante->id;
        //     $p->promocion_id = $request->promocion[$i];
        //     $p->save();
        // }

        // en tal de que el ciclo no sea igual a año actual solo creamos los datos de deuda pero todos tendran el valor del mes igual a 0
        $deu = new DeudaColegiatura();
        $deu->estudiante_id = $estudiante->id;
        $deu->save();

        return redirect()->route('estudiante.show', ['id' => $estudiante->id])->with(['info' => "Estudiante: $estudiante->nombre inscrito con exito", 'color' => 'success']);
    }



    // guarda la deunda de una colegia al moento de inscribir o para que sirva de auciliar
    public function asignarDeudaColegiatura($id, $valor)
    {
        $deu = new DeudaColegiatura();
        $deu->estudiante_id = $id;
        // dd(date('m'));
        if (date('m') === '01') {
            $deu->mes1 = $valor;
            $deu->estado1 = 'PAGADO';
            $this->asignarDeudaEstudiante($id, $valor);
        }
        if (date('m') === '02') {
            $this->asignarDeudaEstudiante($id, $valor);
            $deu->estado2 = 'ASIGNADO';
            $deu->mes2 = $valor;
        }
        if (date('m') === '03') {
            $this->asignarDeudaEstudiante($id, $valor);
            $deu->estado3 = 'ASIGNADO';
            $deu->mes3 = $valor;
        }
        if (date('m') === '04') {
            $this->asignarDeudaEstudiante($id, $valor);
            $deu->estado4 = 'ASIGNADO';
            $deu->mes4 = $valor;
        }
        if (date('m') === '05') {
            $this->asignarDeudaEstudiante($id, $valor);
            $deu->estado5 = 'ASIGNADO';
            $deu->mes5 = $valor;
        }
        if (date('m') === '06') {
            $this->asignarDeudaEstudiante($id, $valor);
            $deu->estado6 = 'ASIGNADO';
            $deu->mes6 = $valor;
        }
        if (date('m') === '07') {
            $this->asignarDeudaEstudiante($id, $valor);
            $deu->estado7 = 'ASIGNADO';
            $deu->mes7 = $valor;
        }
        if (date('m') === '08') {
            $this->asignarDeudaEstudiante($id, $valor);
            $deu->estado8 = 'ASIGNADO';
            $deu->mes8 = $valor;
        }
        if (date('m') === '09') {
            $this->asignarDeudaEstudiante($id, $valor);
            $deu->estado9 = 'ASIGNADO';
            $deu->mes9 = $valor;
        }
        if (date('m') === '10') {
            $this->asignarDeudaEstudiante($id, $valor);
            $deu->estado10 = 'ASIGNADO';
            $deu->mes10 = $valor;
        }
        if (date('m') === '11') {
            $this->asignarDeudaEstudiante($id, $valor);
            $deu->estado1 = 'ASIGNADO';
            $deu->mes1 = $valor;
        }
        if (date('m') === '12') {
            $this->asignarDeudaEstudiante($id, $valor);
            $deu->estado1 = 'ASIGNADO';
            $deu->mes1 = $valor;
        }
        $deu->save();
    }


    // asigna la deudan a un estudiante
    public function asignarDeudaEstudiante($id, $valor)
    {
        $estudiante = Estudiante::find($id);
        $estudiante->deuda += $valor;
        return  $estudiante->save();
    }
}
