<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\ArticuloProveedor;
use App\Models\ListaDeUtiles;
use Illuminate\Http\Request;

class ListaDeUtilesController extends Controller
{
    public function index()
    {
        $data = ListaDeUtiles::groupby('codigo')->get();
        // dd($data);
        return view('admin.listaUtiles.index', compact('data'));
    }

    public function create()
    {
        $data = ArticuloProveedor::all();
        return view('admin.listaUtiles.create', compact('data'));
    }

    public function store(Request $request)
    {
        for ($i = 0; $i < count($request->id_bolsas); $i++) {

            $l = ListaDeUtiles::create([

                'articulo_id' => $request->id_bolsas[$i],
                'codigo' => $request->descripcion,
                'cantidad' => $request->cantidad_bolsa[$i]

            ]);
        }
        return back()->with(['info' => 'lista creada con exito', 'color' => 'success']);
    }

    public function show($codigo)
    {
        $data = ListaDeUtiles::where('codigo', $codigo)->get();

        // dd($data);

        return view('admin.listaUtiles.show', compact('data', 'codigo'));
    }

    public function deleteArticulo(ListaDeUtiles $lista)
    {

        $lista->delete();
        return back()->with(['info' => 'lista creada con utiles', 'color' => 'success']);
    }

    public function deleteAllList($codigo)
    {
        // dd($codigo);
        $d = ListaDeUtiles::where('codigo', $codigo)->get();

        foreach ($d as $value) {
            $value->delete();
        }

        return back()->with(['info' => 'lista creada con utiles', 'color' => 'success']);
    }
}
