<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\MobiliarioEquipo;
use App\Models\User;
use Illuminate\Http\Request;

class MobiliarioEquipoController extends Controller
{
    public function index()
    {
        return view('admin.mobiliarios.index', ['mobiliarios' => MobiliarioEquipo::all()]);
    }

    public function create()
    {
        $users = User::all();
        return view('admin.mobiliarios.create', compact('users'));
    }

    public function store(Request $request)
    {
        MobiliarioEquipo::create($request->all());
        return back()->with(['info' => 'mobiliario registrado con exito', 'color' => 'success']);
    }

    public function show($id)
    {
        $users = User::all();
        
        return view('admin.mobiliarios.show', ['mobiliario' => MobiliarioEquipo::findOrFail($id), 'users' => $users]);
    }

    public function delete($id)
    {
        MobiliarioEquipo::findOrFail($id)->delete();
        return back()->with(['info' => 'mobiliario eliminado con exito', 'color' => 'success']);
    }

    public function update(Request $request, $id)
    {
        MobiliarioEquipo::findOrFail($id)->update($request->all());
        return back()->with(['info' => 'mobiliario actualizado con exito', 'color' => 'success']);
    }

    // reporte
    public function reporte()
    {
        $users = User::all();
        return view('admin.mobiliarios.reporte', compact('users'));
    }

    // retirna el reporte de toso los mobiliario registrados
    public function allreport()
    {
        return view('admin.reports.mobiliario.all', ['dat' => MobiliarioEquipo::all(), 'visible' => true]);
    }

    // retirna el reporte de toso los mobiliario registrados si datos sensibles
    public function allcontrol()
    {
        return view('admin.reports.mobiliario.all', ['dat' => MobiliarioEquipo::all(), 'visible' => false]);
    }

    public function allcontrolToUser(Request $request)
    {
        return view('admin.reports.mobiliario.all', ['dat' => MobiliarioEquipo::where('user_id', $request->user_id)->get(), 'visible' => false]);
    }
}
