<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\NotaTrabajador;
use Illuminate\Http\Request;

class NotaTrabajadoresController extends Controller
{
    public function index()
    {
        return view('admin.notas_trabajadores.index', ['notas' => NotaTrabajador::all()]);
    }


    public function store(Request $request)
    {
        NotaTrabajador::create($request->all());
        return back()->with(['info' => 'nota registrada con exito', 'color' => 'success']);
    }

    public function show($id)
    {
        return view('admin.notas_trabajadores.show', ['data' => NotaTrabajador::findOrFail($id)]);
    }

    public function delete($id)
    {
        NotaTrabajador::findOrFail($id)->delete();
        return back()->with(['info' => 'nota eliminada con exito', 'color' => 'success']);
    }

    public function update(Request $request, $id)
    {
        NotaTrabajador::findOrFail($id)->update($request->all());
        return back()->with(['info' => 'nota actualizada con exito', 'color' => 'success']);
    }
}
