<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Caja;
use App\Models\PagoPlanilla;
use App\Models\Planilla;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class PagoPlanillaController extends Controller
{

    public function index()
    {
        $planilla = Planilla::all();
        return view('admin.planillas.pago', ['data' => $planilla]);
    }

    public function store(Request $request)
    {

        $planilla = Planilla::find($request->planilla_id);
        PagoPlanilla::create($request->all());

        $caja = new Caja();
        $caja->valor = $request->total;
        $caja->descripcion = 'GASTOS DE FUNCIONAMIENTO / PAGO DE PLANILLA: \n ' . $planilla->nombre . ', ' . $planilla->asignacion;
        $caja->operacion = 's';
        $caja->factura = $request->factura;
        $caja->tipo = 'PAGOS DE PLANILLA';
        $caja->fecha = date('Y-m-d');
        $caja->user_id = Auth::user()->id;
        $caja->save();
        return back()->with(['info' => 'Pago Registrado con exito', 'color' => 'success']);
    }

    // retorna los pagos de un colaborador en planilla en especifico
    public function getPagoToPlanilla(Request $request)
    {
        $pagos = PagoPlanilla::where('planilla_id', $request->planilla_id)
            ->whereBetween('created_at', [$request->inicio, $request->fin])
            ->get();
        $total =  0;
        foreach ($pagos as $p) {
            $total += $p->total;
        }
        $titulo = 'PAGOS REALIZADOS';
        return view('admin.reports.planilla.pagos', compact('pagos', 'titulo', 'total'));
    }

    // retorna todos los pagos a realizar
    public function getAllPagos(Request $request)
    {
        $pagos = PagoPlanilla::whereBetween('created_at', [$request->inicio, $request->fin])
            ->get();
        $total =  0;
        foreach ($pagos as $p) {
            $total += $p->total;
        }
        $titulo = 'TODOS LOS PAGOS REALIZADOS';
        return view('admin.reports.planilla.pagos', compact('pagos', 'titulo', 'total'));
    }
}
