<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Grado;
use App\Models\Papeleria;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class PapeleriaController extends Controller
{
    function crete_papeleria(Request $reques)
    {
        $pape = new  Papeleria();
        $pape->estudiante_id = $reques->estudiante_id;
        $pape->save();
        return back()->with(['info' => 'Papeleria Creada', 'color' => 'success']);
    }

    function updatePapeleria(Request $reques, Papeleria $pape)
    {


        $this->aux_update($reques);

        $pape->dpi_madre = $reques->dpi_madre;
        $pape->c_nacimiento = $reques->c_nacimiento;
        $pape->codigo_personal = $reques->codigo_personal;
        $pape->dpi_padre = $reques->dpi_padre;
        $pape->cer_preprimaria = $reques->cer_preprimaria;
        $pape->dip_preprimaria = $reques->dip_preprimaria;
        $pape->cer_1 = $reques->cer_1;
        $pape->cer_2 = $reques->cer_2;
        $pape->cer_3 = $reques->cer_3;
        $pape->cer_4 = $reques->cer_4;
        $pape->cer_5 = $reques->cer_5;
        $pape->cer_6 = $reques->cer_6;
        $pape->dip_primaria = $reques->dip_primaria;
        $pape->cer_7 = $reques->cer_7;
        $pape->cer_8 = $reques->cer_8;
        $pape->cer_9 = $reques->cer_9;
        $pape->dip_basico = $reques->dip_basico;
        $pape->c_10 = $reques->c_10;
        $pape->c_11 = $reques->c_11;
        $pape->aux1 = $reques->aux1;
        $pape->aux2 = $reques->aux2;
        $pape->aux3 = $reques->aux3;
        $pape->observacion = $reques->observacion;
        $pape->update($reques->all());
        return back()->with(['info' => 'Papeleria Actualizada', 'color' => 'success']);
    }

    function aux_update(Request $reques)
    {

        $reques->dpi_madre = (is_null($reques->dpi_padre)) ? 'NO' : 'SI';
        $reques->c_nacimiento = (is_null($reques->dpi_madre)) ? 'NO' : 'SI';
        $reques->codigo_personal = (is_null($reques->c_nacimiento)) ? 'NO' : 'SI';
        $reques->dpi_padre = (is_null($reques->codigo_personal)) ? 'NO' : 'SI';
        $reques->cer_preprimaria = (is_null($reques->cer_preprimaria)) ? 'NO' : 'SI';
        $reques->dip_preprimaria = (is_null($reques->dip_preprimaria)) ? 'NO' : 'SI';
        $reques->cer_1 = (is_null($reques->cer_1)) ? 'NO' : 'SI';
        $reques->cer_2 = (is_null($reques->cer_2)) ? 'NO' : 'SI';
        $reques->cer_3 = (is_null($reques->cer_3)) ? 'NO' : 'SI';
        $reques->cer_4 = (is_null($reques->cer_4)) ? 'NO' : 'SI';
        $reques->cer_5 = (is_null($reques->cer_5)) ? 'NO' : 'SI';
        $reques->cer_6 = (is_null($reques->cer_6)) ? 'NO' : 'SI';
        $reques->dip_primaria = (is_null($reques->dip_primaria)) ? 'NO' : 'SI';
        $reques->cer_7 = (is_null($reques->cer_7)) ? 'NO' : 'SI';
        $reques->cer_8 = (is_null($reques->cer_8)) ? 'NO' : 'SI';
        $reques->cer_9 = (is_null($reques->cer_9)) ? 'NO' : 'SI';
        $reques->dip_basico = (is_null($reques->dip_basico)) ? 'NO' : 'SI';
        $reques->c_10 = (is_null($reques->c_10)) ? 'NO' : 'SI';
        $reques->c_11 = (is_null($reques->c_11)) ? 'NO' : 'SI';
        $reques->aux1 = (is_null($reques->aux1)) ? 'NO' : 'SI';
        $reques->aux2 = (is_null($reques->aux2)) ? 'NO' : 'SI';
        $reques->aux3 = (is_null($reques->aux3)) ? 'NO' : 'SI';
        $reques->observacion = (is_null($reques->observacion)) ? 'NO' : 'SI';

        return $reques;
    }

    function print_recibo(Papeleria $papeleria)

    {
        return view('admin.reports.papelerias.recibo', compact('papeleria'));
    }

    function reportePapeleria(Request $request)
    {


        $paper = null;


        if ($request->grado_id === 'TODOS') {
            $grado = Grado::all();

            $paper = $t = Papeleria::join('estudiantes as estu', 'papelerias.estudiante_id', '=', 'estu.id')
                ->join('grados as gr', 'estu.grado_id', '=', 'gr.id')
                ->select('papelerias.*', 'estu.nombre as estudiante', 'estu.id as estu_id', 'gr.nombre', 'gr.nivel', 'gr.seccion')
                ->orderBy(DB::raw('gr.nombre'), 'asc')
                ->get();
        } else {
            $grado = Grado::find($request->grado_id);
            $paper = Papeleria::join('estudiantes as estu', 'papelerias.estudiante_id', '=', 'estu.id')
                ->join('grados as gr', 'estu.grado_id', '=', 'gr.id')
                ->select('papelerias.*', 'estu.nombre as estudiante', 'estu.id as estu_id', 'gr.nombre', 'gr.nivel', 'gr.seccion')
                ->where('estu.grado_id', $grado->id)
                ->get();
        }

        // dd($paper);


        return view('admin.reports.papelerias.reporte', compact('paper'));
    }
}
