<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Grado;
use App\Models\Promocion;
use App\Models\PromocionEstudiante;
use Illuminate\Http\Request;

class PromocionController extends Controller
{

    public function index()
    {
        $data = Promocion::all();
        return view('admin.promocion.index', compact('data'));
    }
    public function store(Request $request)
    {
        Promocion::create($request->all());
        return back()->with(['info' => 'promocion guardado']);
    }
    public function update(Request $request, $id)
    {
        Promocion::find($id)->update($request->all());
        return back()->with(['info' => 'promocion guardado']);
    }
    public function show(Promocion $promo)
    {
        return view('admin.promocion.show', compact('promo'));
    }
    public function delete($id)
    {
        $data = Promocion::find($id)->delete();
        return back()->with(['info' => 'promocion eliminado']);
    }

    public function delete_estudiante_promo(PromocionEstudiante $promo)
    {
        $promo->delete();
        return back()->with(['info' => 'promocion eliminada']);
    }

    public function print_comprobante(PromocionEstudiante $promo, $grado )
    {
        $grado = Grado::find($grado);
        return view('admin.reports.promociones.recibo', compact('promo', 'grado'));
    }

    public function reportes()
    {
        $promos = Promocion::all();
        $grados = Grado::all();
        return view('admin.promocion.reporte', compact('promos', 'grados'));
    }

    public function report_promociones(Request $request)
    {
        $promos = [];
        for ($i = 0; $i < count($request->promocion); $i++) {
            $p = PromocionEstudiante::where('promocion_id', $request->promocion[$i])->get();
            array_push($promos, $p);
        }
        return view('admin.reports.promociones.promos', compact('promos'));
    }

    public function report_promociones_to_grado(Request $request)
    {
        $promos = Promocion::all();

        $grado = Grado::find($request->grado_id);

        return view('admin.reports.promociones.grado', compact('promos', 'grado'));
    }
}
