<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Insumos;
use App\Models\SalidaInsumos;
use App\Models\User;
use Illuminate\Http\Request;

class SalidaInsumoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $salidas = SalidaInsumos::with('user', 'insumo')->get();
        $users = User::all();
        $insumos = Insumos::all();
        return view('admin.salida_insumos.index', compact('salidas', 'users', 'insumos'));
    }

    public function store(Request $request)
    {
        $validatedData = $request->validate([
            'user_id' => 'required|exists:users,id',
            'insumo_id' => 'required|exists:insumos,id',
            'cantidad' => 'required|integer',
            'fecha_salida' => 'required|date',
        ]);

        SalidaInsumos::create($validatedData);


        $insumo = Insumos::find($validatedData['insumo_id']);
        $insumo->cantidad -= $validatedData['cantidad'];
        $insumo->save();


        return redirect()->route('salida_insumos.index')->with('success', 'Salida de Insumo creada exitosamente.');
    }


    

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\SalidaInsumo  $salidaInsumo
     * @return \Illuminate\Http\Response
     */
    public function destroy(SalidaInsumos $salidaInsumo)
    {


        $insumo = Insumos::find($salidaInsumo->insumo_id);
        $insumo->cantidad += $salidaInsumo->cantidad;
        $insumo->save();

        $salidaInsumo->delete();



        return redirect()->route('salida_insumos.index')->with('success', 'Salida de Insumo eliminada exitosamente.');
    }
}
