<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Articulo;
use App\Models\Grado;
use App\Models\OperacionGrado;
use App\Models\VentaArticulo;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class VentaArticuloController extends Controller
{


    function index()
    {
        $articulos = Articulo::all();
        $grados = Grado::all();
        $ventas = VentaArticulo::whereDate('created_at', date('Y-m-d'))->get();
        $abonos = OperacionGrado::where('operacion', 'abn')->whereDate('created_at', date('Y-m-d'))->get();
        return view('admin.articulo.venta', compact('articulos', 'grados', 'ventas', 'abonos'));
    }

    function store(Request $request)
    {
        VentaArticulo::create($request->all());
        return back()->with(['info' => 'Venta Registrada  Con exito', 'color' => 'success']);
    }

    function storeAbono(Request $request)
    {
        $op = new OperacionGrado();

        $op->grado_id = $request->grado_id;
        $op->user_id = Auth::user()->id;
        $op->operacion = 'abn';
        $op->valor = $request->valor;
        $op->save();


        return back()->with(['info' => 'Venta Registrada  Con exito', 'color' => 'success']);
    }

    function delete($id)
    {
        VentaArticulo::find($id)->delete();
        return back()->with(['info' => 'Venta Anulada Con exito', 'color' => 'success']);
    }

    function deleteAbono($id)
    {
        OperacionGrado::find($id)->delete();
        return back()->with(['info' => 'Abono Anulado Con exito', 'color' => 'success']);
    }

    function reportes()
    {

        $articuslo = Articulo::all();
        return view('admin.articulo.reportes', compact('articuslo'));
    }


    function ventasPorFechas(Request $request)
    {
        $ventas = VentaArticulo::whereBetween('created_at', [$request->inicio, $request->fin])->get();

        $operaciones = OperacionGrado::where('operacion', 'abn')->whereBetween('created_at', [$request->inicio, $request->fin])->get();
        return view('admin.reports.articulos.ventas', compact('ventas', 'operaciones'))->render();;
    }
}
