<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Planilla;
use App\Models\Uniforme;
use App\Models\VentaUnidormeProfeso;
use Illuminate\Http\Request;

class VentaUnidormeProfesoController extends Controller
{

    public function index()
    {
        $data = VentaUnidormeProfeso::groupBy('created_at')->get();
        return view('admin.uniformes.ventAll', compact('data'));
    }

    public function create()
    {
        $profes = Planilla::all();
        $uniformes = Uniforme::all();
        return view('admin.uniformes.venta', compact('profes', 'uniformes'));
    }

    public function store(Request $request)
    {
        VentaUnidormeProfeso::create($request->all());
        $uni = Uniforme::find($request->uniforme_id);
        $uni->stock -= $request->cantidad;
        $uni->save();


        return back()->with(['info' => 'venta registrda con exito', 'color' => 'success']);
    }

    public function print($profe_id, $fecha)
    {

        $fr = explode(' ', $fecha)[0];
        $data = VentaUnidormeProfeso::where('profe_id', $profe_id)->whereDate('created_at', $fr)->get();
        return view('admin.reports.uniformes.proferecibo', compact('data'));
    }

    // todo: ELIMINAR

    function delete($id)
    {

        $venta = VentaUnidormeProfeso::find($id);
        $uni = Uniforme::find($venta->uniforme_id);
        $uni->stock += $venta->cantidad;
        $uni->save();
        $venta->delete();
        return back()->with(['info' => 'venta eliminada con exito', 'color' => 'success']);

    }
}
