<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BoletasControlCuadre extends Model
{
    use HasFactory;

    public $guarded = [];

    public function user()
    {
        return $this->hasOne('App\Models\ControlCuadre', 'id', 'controlcuadre_id');
    }

    /**
     * Get the controCuadre associated with the BoletasControlCuadre
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function controCuadre()
    {
        return $this->hasOne(ControlCuadre::class, 'id', 'controlcuadre_id');
    }

    public function scopeCuadre($query, $type)
    {
        return $query->where('controlcuadre_id', '=', $type);
    }
}
