<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OperacionGrado extends Model
{
    use HasFactory;

    public $guarded = [];

    /**
     * Get the grado associated with the OperacionGrado
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function grado()
    {
        return $this->hasOne(Grado::class, 'id', 'grado_id');
    }


    /**
     * Get the user associated with the OperacionGrado
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function user()
    {
        return $this->hasOne(User::class, 'id', 'user_id');
    }

}
