<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VentaArticulo extends Model
{
    use HasFactory;

    public $guarded = [];


    /**
     * Get the articulo associated with the VentaArticulo
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function articulo()
    {
        return $this->hasOne(Articulo::class, 'id', 'articulo_id');
    }

    /**
     * Get the grado associated with the VentaArticulo
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function grado()
    {
        return $this->hasOne(Grado::class, 'id', 'grado_id');
    }
}
