<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VentaLibros extends Model
{
    use HasFactory;
    public $guarded = [];

    /**
     * Get the estudiante associated with the VentaLibros
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function estudiante()
    {
        return $this->hasOne(Estudiante::class, 'id', 'estudiante_id');
    }


    /**
     * Get the libro associated with the VentaLibros
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function libro()
    {
        return $this->hasOne(Libros::class, 'id', 'libro_id');
    }

}
