<?php

use App\Models\AbonoActividad;
use App\Models\Abonos;
use App\Models\CompraBolsaUtiles;
use App\Models\CompraLibros;
use App\Models\CompraUniformes;
use App\Models\Convenio;
use App\Models\DescuentoEstudiatens;
use App\Models\DeudaBus;
use App\Models\DeudaColegiatura;
use App\Models\DeudaExtra;
use App\Models\Estudiante;
use App\Models\PromocionEstudiante;
use App\Models\VentaActividad;
use App\Models\VentaBolsa;
use App\Models\VentaLibros;
use App\Models\VentaUniforme;
use Illuminate\Support\Facades\DB;

function getDeudaEstudiante($deuda, $abono, $tipo = '')
{

   if (($deuda - $abono) > 0) return " <span class='text-danger'> $tipo: Q. " . number_format($deuda - $abono, 2) . "</span> <br>";
   // a favor
   if (($deuda - $abono) < 0) return  " <span class='text-primary'> $tipo: Q. " . number_format(($deuda - $abono) * (-1), 2) . "</span> <br>";
   if (($deuda - $abono) == 0) return  " <span class='text-dark'> $tipo: Q. " . number_format($deuda - $abono, 2) . "</span> <br>";
}

function getDeudaEstudianteRecibo($deuda, $abono, $tipo = '')
{
   if (($deuda - $abono) > 0) return  ['text' => " <span class='text-danger'> $tipo: Q. " . number_format($deuda - $abono, 2) . "</span> <br>", 'valor' => ($deuda - $abono)];
   // a favor
   if (($deuda - $abono) < 0) return  ['text' => " <span class='text-primary'> $tipo: " . ' --- '  . "</span> <br>", 'valor' => ($deuda - $abono)];
   if (($deuda - $abono) == 0) return  ['text' => " <span class='text-dark'> $tipo: Q. " . number_format($deuda - $abono, 2) . "</span> <br>", 'valor' => ($deuda - $abono)];
}

function getDescuentoToTipoAndEstudiante($tipo, $estudiante_id)
{

   $t = 0;
   $desuentos = DescuentoEstudiatens::where('tipo', $tipo)->where('estudiante_id', $estudiante_id)->get();
   foreach ($desuentos as $d) {
      $t += $d->valor;
   }
   return $t;
}

// sirve para mostrar la deuda menos lo abonoda de un estudiante
function getDeudaToAboo($tipo, $estudiante)
{
   switch ($tipo) {
      case 'COLEGIATURA':
         $t_col = 0;
         $tabono = 0;
         $deuda_colegiaturas = DeudaColegiatura::where('estudiante_id', $estudiante)->first();
         $t_col += $deuda_colegiaturas->mes1 + $deuda_colegiaturas->mes2 + $deuda_colegiaturas->mes3 + $deuda_colegiaturas->mes4 + $deuda_colegiaturas->mes5 + $deuda_colegiaturas->mes6 + $deuda_colegiaturas->mes7 + $deuda_colegiaturas->mes8 + $deuda_colegiaturas->mes9 + $deuda_colegiaturas->mes10;
         $tabono = getTipeAbonosHelper($tipo, $estudiante);
         $descuento = getDescuentoToTipoAndEstudiante($tipo, $estudiante);
         if (($t_col - ($tabono + $descuento)) <= 0) return 0;
         return $t_col - ($tabono + $descuento);
         break;


      case 'BUS':
         $deuda_Bus = DeudaBus::where('estudiante_id', $estudiante)->first();
         $t_bus = 0;
         if ($deuda_Bus != null) {
            $t_bus =  $deuda_Bus->mes1 + $deuda_Bus->mes2 + $deuda_Bus->mes3 + $deuda_Bus->mes4 + $deuda_Bus->mes5 + $deuda_Bus->mes6 + $deuda_Bus->mes7 + $deuda_Bus->mes8 + $deuda_Bus->mes9 + $deuda_Bus->mes10;
         }
         $tabono = getTipeAbonosHelper($tipo, $estudiante);
         $descuento = getDescuentoToTipoAndEstudiante($tipo, $estudiante);
         if (($t_bus - ($tabono + $descuento)) <= 0) return 0;
         return $t_bus - ($tabono + $descuento);
         break;


      case 'BOLSA DE UTILES':
         $venta = VentaBolsa::where('estudiante_id', $estudiante)->get();
         $t_venta = 0;
         foreach ($venta as $v) {
            $t_venta += $v->total;
         }
         $tabono = getTipeAbonosHelper($tipo, $estudiante);
         $descuento = getDescuentoToTipoAndEstudiante($tipo, $estudiante);
         if (($t_venta - ($tabono + $descuento)) <= 0) return 0;
         return $t_venta - ($tabono + $descuento);
         break;

      case 'LIBROS':
         $venta = VentaLibros::where('estudiante_id', $estudiante)->get();
         $t_venta = 0;
         foreach ($venta as $v) {
            $t_venta += $v->total;
         }
         $tabono = getTipeAbonosHelper($tipo, $estudiante);
         $descuento = getDescuentoToTipoAndEstudiante($tipo, $estudiante);
         if (($t_venta - ($tabono + $descuento)) <= 0) return 0;
         return $t_venta - ($tabono + $descuento);
         break;


      case 'UNIFORME':
         $venta = VentaUniforme::where('estudiante_id', $estudiante)->get();
         $t_venta = 0;
         foreach ($venta as $v) {
            $t_venta += $v->total;
         }
         $tabono = getTipeAbonosHelper($tipo, $estudiante);
         $descuento = getDescuentoToTipoAndEstudiante($tipo, $estudiante);
         if (($t_venta - ($tabono + $descuento)) <= 0) return 0;
         return $t_venta - ($tabono + $descuento);
         break;


      case 'INSCRIPCION':
         $inscripcion = Estudiante::find($estudiante)->inscripcion;
         $tabono = getTipeAbonosHelper($tipo, $estudiante);
         $descuento = getDescuentoToTipoAndEstudiante($tipo, $estudiante);
         if (($inscripcion - ($tabono + $descuento)) <= 0) return 0;
         return $inscripcion - ($tabono + $descuento);
         break;


      case 'ACTIVIDADES':
         $actividades = VentaActividad::where('estudiante_id', $estudiante)->get();
         $t_venta = 0;
         foreach ($actividades as $v) {
            $t_venta += $v->total;
         }
         $tabono = 0;
         $abono = AbonoActividad::where('estudiante_id', $estudiante)->get();

         foreach ($abono as $e) {
            $tabono += $e->valor;
         }

         $tabono2 = getTipeAbonosHelper($tipo, $estudiante);

         $descuento = getDescuentoToTipoAndEstudiante('ACTIVIDADES', $estudiante);

         if (($t_venta - ($tabono + $descuento + $tabono2)) <= 0) return 0;

         return $t_venta - ($tabono + $descuento + $tabono2);
         break;


      case 'DEUDA EXTRA':
         $venta = DeudaExtra::where('estudiante_id', $estudiante)->get();
         $t_venta = 0;
         foreach ($venta as $v) {
            $t_venta += $v->total;
         }
         $tabono = getTipeAbonosHelper($tipo, $estudiante);
         if (($t_venta - ($tabono)) <= 0) return 0;

         return $t_venta - $tabono;
         break;


      default:

         break;
   }
}

function getTipeAbonosHelper($tipo, $estudiante)
{

   $d =  Abonos::where('estudiante_id', $estudiante)
      ->where('estado', 'PAGADO')
      ->where('abonoa', $tipo)
      ->get();
   $t = 0;
   foreach ($d as $dt) {
      $t += $dt->valor;
   }
   return $t;
}

// sirve para poder agrupar los uniformes en ventas
function agrupacion_unifomes($inicio, $fin, $uniforme)
{

   $ventas_agrupadas =  DB::table('venta_uniformes as ven')
      ->join('uniformes as uni', 'ven.uniforme_id', '=', 'uni.id')
      ->select('ven.cantidad', 'ven.descuento', 'ven.factura_id', 'ven.total', 'ven.created_at', 'uni.*')
      ->whereBetween('ven.created_at', [$inicio, $fin])
      ->where('uni.id', $uniforme)
      ->where('ven.deleted_at', null)
      ->get();

   $t_total = 0;
   $t_con = 0;
   $t_des = 0;
   $tv = 0;

   foreach ($ventas_agrupadas as $ven) {
      $tv += $ven->cantidad;
      $t_total += ($ven->p_venta * $ven->cantidad) - $ven->descuento;
      $t_con += $ven->total;
      $t_des += $ven->descuento;
   }

   $obj =  new stdClass();
   $obj->descuento = $t_des;
   $obj->cantida = $tv;
   $obj->total = $t_total;
   $obj->desc  = $t_des;

   return $obj;
}

// sirve para poder agrupar los uniformes en ventas
function agrupacion_bolsa($inicio, $fin, $bolsa_id)
{

   $ventas_agrupadas = DB::table('venta_bolsas as ven')
      ->join('bolsas as bol', 'ven.bolsa_id', '=', 'bol.id')
      ->select('ven.cantidad', 'ven.descuento', 'ven.factura_id', 'ven.total', 'ven.created_at', 'bol.*')
      ->whereBetween('ven.created_at', [$inicio, $fin])
      ->where('bol.id', $bolsa_id)
      ->where('ven.deleted_at', null)
      ->get();


   $t_total = 0;
   $t_con = 0;
   $t_des = 0;
   $tv = 0;
   $gan = 0;

   foreach ($ventas_agrupadas as $ven) {
      $tv += $ven->cantidad;
      $t_total += ($ven->p_venta * $ven->cantidad) - $ven->descuento;
      $t_con += $ven->total;
      $t_des += $ven->descuento;
      $gan = $ven->total - ($ven->p_costo * $ven->cantidad);
   }

   $obj =  new stdClass();
   $obj->descuento = $t_des;
   $obj->cantida = $tv;
   $obj->total = $t_total;
   $obj->desc  = $t_des;

   return $obj;
}

function getConveniosToEstudiante($estudiante)
{
   $t =  Convenio::where('estudiante_id', $estudiante)->get();

   $t2 = 0;
   foreach ($t as $v) {
      $t2 += $v->valor;
   }

   return $t2;
}

function count_estudiantes_to_promocion($promo, $grado)
{
   return PromocionEstudiante::join('estudiantes', 'promocion_estudiantes.estudiante_id', '=', 'estudiantes.id')
      ->where('estudiantes.grado_id', $grado)
      ->where('promocion_estudiantes.promocion_id', $promo)
      ->count();
}

function count_compra_uniformes($uniforme)
{
   $total = CompraUniformes::select(DB::raw('SUM(cantidad) as total'))->where('unifrome_id', $uniforme)->first()->total;
   if ($total == 0) return 0;
   return $total;
}

function count_ventas_uniformes($uniforme)
{
   $total = VentaUniforme::select(DB::raw('SUM(cantidad) as total'))->where('uniforme_id', $uniforme)->first()->total;
   if ($total == 0) return 0;
   return $total;
}

function count_compra_bolsa($bolsa)
{
   $total = CompraBolsaUtiles::select(DB::raw('SUM(cantidad) as total'))->where('bolsa_id', $bolsa)->first()->total;
   if ($total == 0) return 0;
   return $total;
}

function count_ventas_bolsa($bolsa)
{
   $total = VentaBolsa::select(DB::raw('SUM(cantidad) as total'))->where('bolsa_id', $bolsa)->first()->total;
   if ($total == 0) return 0;
   return $total;
}

// libros
function count_compra_libro($libro)
{
   $total = CompraLibros::select(DB::raw('SUM(cantidad) as total'))->where('bolsa_id', $libro)->first()->total;
   if ($total == 0) return 0;
   return $total;
}

function count_ventas_libro($libro)
{
   $total = VentaLibros::select(DB::raw('SUM(cantidad) as total'))->where('bolsa_id', $libro)->first()->total;
   if ($total == 0) return 0;
   return $total;
}


// mas datos


function getTotalInscripcionToGrado($grado, $mes)
{
   $estudiantes = Estudiante::whereMonth('updated_at', $mes)->where('grado_id', $grado)->get();
   $total = 0;
   foreach ($estudiantes as $est) {
      $total += $est->inscripcion;
   }
   return $total;
}

function getTotalColegiaturaToGrado($grado, $mes)
{
   $deu = DeudaColegiatura::join('estudiantes as estu', 'deuda_colegiaturas.estudiante_id', '=', 'estu.id')
      ->where('estu.grado_id', $grado)
      ->get();

   $total = 0;
   // dd($mes);
   switch ($mes) {
      case '01':
         $total = 0;
         foreach ($deu as $de) {
            $total += $de->mes1;
         }
         return $total;
         break;
      case '02':
         $total = 0;
         foreach ($deu as $de) {
            $total += $de->mes2;
         }
         return $total;
         break;
      case '03':
         $total = 0;
         foreach ($deu as $de) {
            $total += $de->mes3;
         }
         return $total;
         break;
      case '04':
         $total = 0;
         foreach ($deu as $de) {
            $total += $de->mes4;
         }
         return $total;
         break;
      case '05':
         $total = 0;
         foreach ($deu as $de) {
            $total += $de->mes5;
         }
         return $total;
         break;
      case '06':
         $total = 0;
         foreach ($deu as $de) {
            $total += $de->mes6;
         }
         return $total;
         break;
      case '07':
         $total = 0;
         foreach ($deu as $de) {
            $total += $de->mes7;
         }
         return $total;
         break;
      case '08':
         $total = 0;
         foreach ($deu as $de) {
            $total += $de->mes8;
         }
         return $total;
         break;
      case '09':
         $total = 0;
         foreach ($deu as $de) {
            $total += $de->mes9;
         }
         return $total;
         break;
      case '10':
         $total = 0;
         foreach ($deu as $de) {
            $total += $de->mes10;
         }
         return $total;
         break;
      default:
         return 0;
         break;
   }
}

// =============================================
// ==== REGRESA EN INGRESO NETO PARA LOS REPORTES MENSUALES
// =============================================
function getIngresoNetoToReportes($grado, $mes)
{

   switch ($mes) {
      case '01':
         $abono = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'ENERO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->get();

         $abono2 = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'ENERO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'INSCRIPCION')
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         foreach ($abono2 as $ab) {
            $total += $ab->valor;
         }
         return $total;
         break;
      case '02':
         $abono = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'FEBRERO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->get();

         $abono2 = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'FEBRERO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'INSCRIPCION')
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         foreach ($abono2 as $ab) {
            $total += $ab->valor;
         }
         return $total;
         break;
      case '03':
         $abono = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'MARZO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->get();

         $abono2 = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'MARZO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'INSCRIPCION')
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         foreach ($abono2 as $ab) {
            $total += $ab->valor;
         }
         return $total;
         break;
      case '04':
         $abono = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'ABRIL' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->get();
         $abono2 = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'ABRIL' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'INSCRIPCION')
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         foreach ($abono2 as $ab) {
            $total += $ab->valor;
         }
         return $total;
         break;
      case '05':
         $abono = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'MAYO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->get();
         $abono2 = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'MAYO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'INSCRIPCION')
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         foreach ($abono2 as $ab) {
            $total += $ab->valor;
         }
         return $total;
         break;
      case '06':
         $abono = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'JUNIO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->get();
         $abono2 = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'JUNIO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'INSCRIPCION')
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         foreach ($abono2 as $ab) {
            $total += $ab->valor;
         }
         return $total;
         break;
      case '07':
         $abono = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'JULIO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->get();

         $abono2 = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'JULIO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'INSCRIPCION')
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         foreach ($abono2 as $ab) {
            $total += $ab->valor;
         }
         return $total;
         break;
      case '08':
         $abono = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'AGOSTO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->get();
         $abono2 = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'AGOSTO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'INSCRIPCION')
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         foreach ($abono2 as $ab) {
            $total += $ab->valor;
         }
         return $total;
         break;
      case '09':
         $abono = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'SEPTIEMBRE' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->get();
         $abono2 = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'SEPTIEMBRE' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'INSCRIPCION')
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         foreach ($abono2 as $de) {
            $total += $de->valor;
         }
         return $total;
         break;
      case '10':
         $abono = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'OCTUBRE' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->get();
         $abono2 = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'OCTUBRE' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'INSCRIPCION')
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         foreach ($abono2 as $de) {
            $total += $de->valor;
         }
         return $total;
         break;

      case '11':
         $abono = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->whereMonth('abonos.created_at', $mes)
            ->get();

         $abono2 = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'INSCRIPCION')
            ->whereMonth('abonos.created_at', $mes)
            ->get();
         $total = 0;

         foreach ($abono as $de) {
            $total += $de->valor;
         }
         foreach ($abono2 as $de) {
            $total += $de->valor;
         }
         return $total;
         break;


      case '12':
         $abono = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->whereMonth('abonos.created_at', $mes)
            ->get();

         $abono2 = Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'INSCRIPCION')
            ->whereMonth('abonos.created_at', $mes)
            ->get();
         $total = 0;

         foreach ($abono as $de) {
            $total += $de->valor;
         }
         foreach ($abono2 as $de) {
            $total += $de->valor;
         }
         return $total;
         break;


      default:
         return 123.45678;
         break;
   }
}

function getConvenioToGrado($grado, $mes)
{

   $convenio = Convenio::join('estudiantes as estu', 'convenios.estudiante_id', '=', 'estu.id')
      ->where('estu.grado_id', '=', $grado)
      ->whereMonth('convenios.created_at', $mes)
      ->where('tipo', 'COLEGIATURA')
      ->get();
   $convenio2 = Convenio::join('estudiantes as estu', 'convenios.estudiante_id', '=', 'estu.id')
      ->where('estu.grado_id', '=', $grado)
      ->whereMonth('convenios.created_at', $mes)
      ->where('tipo', 'INSCRIPCION')
      ->get();
   $total = 0;
   foreach ($convenio as $de) {
      $total += $de->valor;
   }

   foreach ($convenio2 as $e) {
      $total += $e->valor;
   }
   return $total;
}


// =============================================et()
// =============================================
// ==== FUNCIONES PARA REPORTES DE ACTIVIDADES
// =============================================
// =============================================
function activida_reporte($actividad, $nivel, $inicio, $final)
{

   $abono = AbonoActividad::join('actividades as act', 'abono_actividads.actividad_id', '=', 'act.id')
      ->join('estudiantes', 'abono_actividads.estudiante_id', '=', 'estudiantes.id')
      ->join('grados', 'estudiantes.grado_id', '=', 'grados.id')
      ->where('grados.id', $nivel)
      ->where('act.nombre', 'like', '%' . $actividad . '%')
      ->whereBetween('abono_actividads.created_at', [$inicio, $final])
      ->get();
   $t = 0;
   foreach ($abono as $ab) {
      $t += $ab->valor;
   }
   return $t;
}

function costoVentasActividadToReporte($actividad, $nivel)
{
   return  VentaActividad::join('actividades as act', 'venta_actividads.actividad_id', '=', 'act.id')
      ->join('estudiantes', 'venta_actividads.estudiante_id', '=', 'estudiantes.id')
      ->join('grados', 'estudiantes.grado_id', '=', 'grados.id')
      ->where('act.nombre', 'like', '%' . $actividad . '%')
      ->where('grados.id', $nivel)
      ->first()->costo;
}

function ventasActividadToReporte($actividad, $nivel)
{
   $v = VentaActividad::join('actividades as act', 'venta_actividads.actividad_id', '=', 'act.id')
      ->join('estudiantes', 'venta_actividads.estudiante_id', '=', 'estudiantes.id')
      ->join('grados', 'estudiantes.grado_id', '=', 'grados.id')
      ->where('act.nombre', 'like', '%' . $actividad . '%')
      ->where('grados.id', $nivel)
      ->get();

   $t = 0;
   foreach ($v as $a) {
      $t += $a->total;
   }

   return $t;
}

function countEstudianteAbonadoToActividad($actividad, $grad, $inicio, $final)
{
   $abono = AbonoActividad::join('actividades as act', 'abono_actividads.actividad_id', '=', 'act.id')
      ->join('estudiantes', 'abono_actividads.estudiante_id', '=', 'estudiantes.id')
      ->join('grados', 'estudiantes.grado_id', '=', 'grados.id')
      ->where('grados.id', $grad)
      ->where('act.nombre', 'like', '%' . $actividad . '%')
      ->whereBetween('abono_actividads.created_at', [$inicio, $final])
      ->groupBy('estudiantes.id')
      ->get();
   $t = 0;
   foreach ($abono as $ab) {
      $t++;
   }
   return $t;
}

function getDeudaColegiaturaToGrado($grado_id)
{
   $total_deuda = 0;

   $estudiantes = Estudiante::where('grado_id', $grado_id)->get();
   foreach ($estudiantes as $estu) {
      $total_cargo = DeudaColegiatura::select(DB::raw('sum(mes1 + mes2 + mes3 + mes4 + mes5 + mes6 + mes7 + mes8 + mes9 + mes10) as total'))
         ->where('estudiante_id', $estu->id)->first()->total;

      $abonos = Abonos::select(DB::raw('SUM(valor) as total'))
         ->where([
            ['abonoa', 'COLEGIATURA'],
            ['estudiante_id', $estu->id]

         ])->first()->total;

      $descuento = DescuentoEstudiatens::select(DB::raw('SUM(valor) as total'))
         ->where([
            ['tipo', 'COLEGIATURA'],
            ['estudiante_id', $estu->id]

         ])->first()->total;

      if ($total_cargo > ($abonos + $descuento)) {
         $total_deuda += $total_cargo - ($abonos + $descuento);
      }
   }
   return $total_deuda;
}

// =============================================
// =============================================
// ==== FUNCIONES PARA ANALISIS FINANCIEROS
// =============================================
// =============================================   

function getTotalAboActvda($actividad, $inicio, $fin)
{
   $abono = AbonoActividad::join('actividades as act', 'abono_actividads.actividad_id', '=', 'act.id')
      ->join('estudiantes', 'abono_actividads.estudiante_id', '=', 'estudiantes.id')
      ->join('grados', 'estudiantes.grado_id', '=', 'grados.id')
      ->where('act.id', $actividad)
      ->whereBetween('abono_actividads.created_at', [$inicio, $fin])
      ->get();
   $t = 0;
   foreach ($abono as $ab) {
      $t++;
   }
   return $t;
}

function count_estu_retirados_to_grado($grado)
{
   return DB::table('estudiantes')
      ->where('grado_id', $grado)
      ->where('deleted_at', '!=', null)
      ->count();
}

function getTotalAbonoInscripcionToMesAndGrado($grado, $mes)
{
   $t = 0;
   $data = DB::table('abonos as abn')
      ->leftJoin('estudiantes as estu', 'abn.estudiante_id', '=', 'estu.id')
      ->where('estu.grado_id', $grado)
      ->where('abn.deleted_at', '=', null)
      ->where('abn.abonoa', 'INSCRIPCION')
      ->whereMonth('abn.created_at', $mes)
      ->get();

   foreach ($data as $d) {
      $t += $d->valor;
   }
   return $t;
}


function getTotalAbonoColegiaturaToMesAndGrado($grado, $mes)
{
   print_r($grado, $mes);
   switch ($mes) {
      case '01':
         $abono = DB::table('abonos')
            ->join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'ENERO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->where('abonos.deleted_at', '=', null)
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         return $total;
         break;
      case '02':
         $abono = DB::table('abonos')
            ->join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'FEBRERO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->where('abonos.deleted_at', '=', null)
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         return $total;
         break;
      case '03':
         $abono = DB::table('abonos')
            ->join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'MARZO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->where('abonos.deleted_at', '=', null)
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         return $total;
         break;
      case '04':
         $abono = DB::table('abonos')
            ->join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'ABRIL' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->where('abonos.deleted_at', '=', null)
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         return $total;
         break;
      case '05':
         $abono = DB::table('abonos')
            ->join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'MAYO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->where('abonos.deleted_at', '=', null)
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         return $total;
         break;
      case '06':
         $abono = DB::table('abonos')
            ->join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'JUNIO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->where('abonos.deleted_at', '=', null)
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         return $total;
         break;
      case '07':
         $abono = DB::table('abonos')
            ->join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'JULIO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->where('abonos.deleted_at', '=', null)
            ->get();

         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         return $total;
         break;
      case '08':
         $abono = DB::table('abonos')
            ->join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'AGOSTO' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->where('abonos.deleted_at', '=', null)
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         return $total;
         break;
      case '09':
         $abono = DB::table('abonos')
            ->join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'SEPTIEMBRE' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->where('abonos.deleted_at', '=', null)
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         return $total;
         break;
      case '10':
         $abono = DB::table('abonos')
            ->join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
            ->where('descripcion', 'like', '%' . 'OCTUBRE' .  '%')
            ->where('estu.grado_id', $grado)
            ->where('abonoa', 'COLEGIATURA')
            ->where('abonos.deleted_at', '=', null)
            ->get();
         $total = 0;
         foreach ($abono as $de) {
            $total += $de->valor;
         }
         return $total;
         break;
      default:
         return 123.45678;
         break;
   }
}


function getTiposAbonosAndTotal($tipo, $grado, $inicio, $fin)
{

   return Abonos::join('estudiantes as estu', 'abonos.estudiante_id', '=', 'estu.id')
      ->where('abonos.abonoa', $tipo)
      ->where('estu.grado_id', $grado)
      ->whereBetween('abonos.created_at', [$inicio, $fin])
      ->get();
}
