<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEstudiantesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('estudiantes', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('encargado_id')->unsigned();
            $table->foreign('encargado_id')->references('id')->on('encargados');
            $table->bigInteger('grado_id')->unsigned();
            $table->foreign('grado_id')->references('id')->on('grados');
            $table->string('nombre', 120);
            $table->date('fecha_nacimiento');
            $table->string('cui', 20);
            $table->string('telefono')->nullable();
            $table->string('jornada', 30);
            $table->string('foto')->nullable();
            $table->double('deuda')->default(0);
            $table->double('abono')->default(0);
            $table->integer('ciclo')->default(0);
            $table->double('colegiatura');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('estudiantes');
    }
}
