<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBoletasControlCuadresTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('boletas_control_cuadres', function (Blueprint $table) {
            $table->id();

            $table->bigInteger('controlcuadre_id')->unsigned();
            $table->foreign('controlcuadre_id')->references('id')->on('control_cuadres')->onDelete('cascade')->onUpdate('cascade');

            $table->double('valor');
            $table->string('referencia', 25);
            $table->string('concepto', 20);
            $table->text('foto');
            $table->string('acept');
            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('boletas_control_cuadres');
    }
}
