<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompraLibrosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('compra_libros', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('libro_id')->unsigned();
            $table->foreign('libro_id')->references('id')->on('libros');
            $table->bigInteger('user_id')->unsigned();
            $table->foreign('user_id')->references('id')->on('users');
            $table->double('cantidad');
            $table->string('tipo')->nullable();
            $table->string('recibo')->nullable();
            $table->date('f_compra')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('compra_libros');
    }
}
