<?php

namespace Database\Seeders;

use App\Models\Permission;
use Illuminate\Database\Seeder;

class PermissionTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {

        $permissions = [

            // admin panel permissions

            [
                'name' => 'admin_panel_access',
            ],

            // user permissions

            [
                'name' => 'users_access',
            ],

            [
                'name' => 'user_edit',
            ],

            [
                'name' => 'user_delete',
            ],

            [
                'name' => 'user_create',
            ],

            [
                'name' => 'user_show',
            ],


            // role permissions

            [
                'name' => 'roles_access',
            ],

            [
                'name' => 'role_edit',
            ],

            [
                'name' => 'role_delete',
            ],

            [
                'name' => 'role_create',
            ],

            [
                'name' => 'role_show',
            ],


            // permission permissions

            [
                'name' => 'permissions_access',
            ],

            [
                'name' => 'permission_edit',
            ],

            [
                'name' => 'permission_delete',
            ],

            [
                'name' => 'permission_create',
            ],
            // abonos
            [
                'name' => 'abono.deleteAbono',
                'description' => 'PERMITE ELIMINAR UN ABONO YA REALIZADO'
            ],
            [
                'name' => 'abono.printRecibo',
                'description' => 'IMPRIME LOS ABONOS AGRUPADOS POR ESTUDIANTE Y POR FECTURA/ RECIBO'
            ],
            [
                'name' => 'abono.abonoStore',
                'description' => 'PERMITE GUARDAR / REGISTRAR UN NUEBO ABONO'
            ],
            [
                'name' => 'abono.abonoWweb',
                'description' => 'PERMITE VISUALIZAR LOS ABONOS REALIZADOS EN WEB'
            ],
            // actividades
            [
                'name' => 'actividad.create',
                'description' => 'PERMITE REGISTRAR UNA ACTIVIDAD'
            ],
            [
                'name' => 'actividad.index',
                'description' => 'PERMITE LISTA LAS ACTIVIDADES REGISTRADAS'
            ],
            [
                'name' => 'actividad.show.update',
                'description' => 'PERMITE VISUALIZAR EL PERFIL Y ACTUALIZAR LA ACTIVIDAD'
            ],
            [
                'name' => 'actividad.delete',
                'description' => 'PERMITE ELIMINAR UNA ACTIVIDAD'
            ],
            [
                'name' => 'actividad.deleteVenta',
                'description' => 'PERMITE ELIMINAR UNA ACTIVADAD QUE UN ESTUDIANTE A ADQUIRIDO'
            ],
            [
                'name' => 'actividad.allreport',
                'description' => 'PERMITE GENERAR EL REPORTE DE TODAS LAS ACTIVIDADES'
            ],
            // BOLSA DE UTILES
            [
                'name' => 'bolsa.store',
                'description' => 'PERMITE REGISTRAR UNA NUEVA BOLSA DE UTILES'
            ],
            [
                'name' => 'bolsa.deleteVenta',
                'description' => 'PERMITE ELIMINAR UN BOLSA DE UTILES ASIGNADA A CADA ESTUDIENTE'
            ],
            [
                'name' => 'bolsa.index',
                'description' => 'PERMITE LISTAR LAS BOLSAS DE UTILES REGISTRAR'
            ],
            [
                'name' => 'bolsa.reports',
                'description' => 'PERMITE LISTAR LOS REPORTES DISPONIBLES PARA LAS BOLSAS DE UTILES'
            ],
            [
                'name' => 'bolsa.allBolsa',
                'description' => 'PERMITE GENERAR EL REPORTE DE LAS BOLSAS DE UTILES REGISTRADAS Y DISPONIBLES EN EL SISTEMA'
            ],
            [
                'name' => 'bolsa.minStockBolsa',
                'description' => 'PERMITE GENERAR EL REPORTE DE LAS BOLSAS DE UTILES CON MINIMO  STOCK'
            ],
            [
                'name' => 'bolsa.reportVentas',
                'description' => 'PERMITE VISUALIZAR EL REPORTE DE VENTAS DE BOLSA DE UTILES'
            ],
            [
                'name' => 'bolsa.show',
                'description' => 'PERMITE VER EL PERFIL Y ACTUALIZAR UNA BOLSA DE UTILES'
            ],
            [
                'name' => 'bolsa.delete',
                'description' => 'PERMITE ELIMINAR UNA BOLSA DE UTILES'
            ],

            // buses
            [
                'name' => 'bus.store',
                'description' => 'PERMITE REGISTRAR UN NUEVO BUS'
            ],
            [
                'name' => 'bus.index',
                'description' => 'PERMITE LISTAR LOS BUSES REGISTRADOS'
            ],
            [
                'name' => 'bus.allreport',
                'description' => 'PREMITE GENERAR EL REPORTE DE LOS BUSES REGISTRADOS'
            ],
            [
                'name' => 'bus.show',
                'description' => 'PERMITE VISUALIZAR EL PERFIL DE UN BUS Y ACTUALIZAR SUS DATOS'
            ],
            [
                'name' => 'bus.delete',
                'description' => 'PERMITE ELIMINAR UN BUS REGISTRADO'
            ],


            // caja

            // caja
            [
                'name' => 'caja_registro_cajachica',
                'description' => 'PERMITE REGISTRAR DATOS EN CAJA CHICA'
            ],
            [
                'name' => 'caja_registro_gastos',
                'description' => 'PERMITE REGISTRAR GASTOS'
            ],
            [
                'name' => 'caja_cuadre',
                'description' => 'PERMITE REALIZAR UN CUADRE'
            ],
            [
                'name' => 'caja_cuadre_delete',
                'description' => 'PERMITE ELIMINAR REPORTE DE CUADRES DE CAJA'
            ],
            [
                'name' => 'caja_delete_cajachica',
                'description' => 'PERMITE ELIMINAR UN DATO DE CAJA CHICA'
            ],
            [
                'name' => 'caja_delete_gasto',
                'description' => 'PERMITE ELIMINAR UN DATO DE GASTOS'
            ],
            [
                'name' => 'caja_filtrado_cajachica',
                'description' => 'PERMITE VER MOVIMIENTOS DE CAJA CHICA FILTRADOS'
            ],
            [
                'name' => 'caja_filtrado_gastos',
                'description' => 'PERMITE VER MOVIMIENTOS DE GASTOS FILTRADOS'
            ],
            [
                'name' => 'caja_movimientos_filtrados',
                'description' => 'PERMITE VER LOS MOVIMIENTOS DEL MES / FILTRADOS'
            ],
            [
                'name' => 'caja_movimientos_dia',
                'description' => 'PERMITE VER LOS MOVIMIENTOS DEL DIA'
            ],


            // TODO: TERMIAR PERMISOS


            [
                'name' => 'admin',
                'description' => 'PERMISO GLOBAL PARA ADMINISTRADOR'
            ],
            [
                'name' => 'caja_independiente',
                'description' => 'CONTROL  PARA CAJA SECUNDARIA'
            ],
            [
                'name' => 'table_all',
                'description' => 'CONTROL PARA MODULO DE TABLAS'
            ],
            
            


        ];

        foreach ($permissions as $permission) {
            Permission::create($permission);
        }
    }
}
