<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="noindex,nofollow">
    <title>{{config('app.name')}}</title>
    <link rel="icon" type="image/png" sizes="16x16" href="{{asset('logos/logo.icon')}}">
    <link href="{{asset('css/style.css')}}" rel="stylesheet">
    <link href="{{asset('css/global.css')}}" rel="stylesheet">
    <script src="{{asset('plugins/fontawesome/key.js')}}" crossorigin="anonymous"></script>
    @yield('styles')

    <style>
        body {
            font-family: system-ui;
            font-weight: 900;
        }

    </style>
</head>

<body>

    <!--*******************
        Preloader start
    ********************-->
    <div id="preloader">
        <div class="loader">
            <svg class="circular" viewBox="25 25 50 50">
                <circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="3" stroke-miterlimit="10" />
            </svg>
        </div>
    </div>
    <!--*******************
        Preloader end
    ********************-->


    <div id="main-wrapper">

        @include('partial.admin.header')
        @include('partial.admin.sidebar')
        <div class="content-body">
            <div class="container mt-3">
                <div class="row justify-content-center">
                    <div class="col-md-8">
                        @include('partial.includes.alerts')
                    </div>
                </div>
            </div>
            @yield('content')
        </div>
    </div>

    @include('partial.admin.footer')





    <!--**********************************
        Scripts
    ***********************************-->
    <script src="{{asset('plugins/common/common.min.js')}}"></script>
    <script src="{{asset('js/custom.min.js')}}"></script>
    <script src="{{asset('js/settings.js')}}"></script>
    <script src="{{asset('js/gleek.js')}}"></script>
    <script src="{{asset('js/styleSwitcher.js')}}"></script>



    <script type="text/javascript">
        function alterna_modo_de_pantalla() {
            if ((document.fullScreenElement && document.fullScreenElement !== null) || // metodo alternativo
                (!document.mozFullScreen && !document.webkitIsFullScreen)) { // metodos actuales
                if (document.documentElement.requestFullScreen) {
                    document.documentElement.requestFullScreen();
                } else if (document.documentElement.mozRequestFullScreen) {
                    document.documentElement.mozRequestFullScreen();
                } else if (document.documentElement.webkitRequestFullScreen) {
                    document.documentElement.webkitRequestFullScreen(Element.ALLOW_KEYBOARD_INPUT);
                }
            } else {
                if (document.cancelFullScreen) {
                    document.cancelFullScreen();
                } else if (document.mozCancelFullScreen) {
                    document.mozCancelFullScreen();
                } else if (document.webkitCancelFullScreen) {
                    document.webkitCancelFullScreen();
                }
            }
        }
    </script>

    <script type="text/javascript">
        // alterna_modo_de_pantalla();
    </script>


    @yield('scripts')
</body>

</html>