@extends('layouts.admin')
@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection

@section('content')

<div class="container-fluid">
   <div class="row">
      <div class="col">

         <div class="card">
            <div class="card-body">
               <h4 class="card-title">ABONOS REALIZADOS EN WEB</h4>
               <div class="table-responsive">
                  <table class="table table-striped table-hover" id="table_id" data-page-length="15">
                     <thead class="thead">
                        <tr>
                           <th>No</th>
                           <th>ESTUDIANTES</th>
                           <th>CUI</th>
                           <th>TIPO</th>
                           <th>BOLETA</th>
                           <th>DESCRIPCION</th>
                           <th>VALOR</th>
                           <th>FECHA</th>
                           <th></th>
                        </tr>
                     </thead>
                     <tbody>
                        @foreach ($data as $estudiante)
                        <tr>
                           <td>{{ $estudiante->id }}</td>
                           <td>{{ $estudiante->nombre }}</td>
                           <td>{{ $estudiante->cui }}</td>
                           <td>{{ $estudiante->tipo }}</td>
                           <td>{{$estudiante->boleta}}</td>
                           <td>{{ $estudiante->descripcion }}</td>
                           <td>Q. {{ number_format($estudiante->valor, 2) }}</td>
                           <td>{{ $estudiante->created_at }}</td>


                           <td>

                              <a href="{{route('estudiante.deudasAll', ['id' => $estudiante->id])}}" class="btn btn-info btn-sm" target="_blank"> <i class="fa fa-money" aria-hidden="true"></i> </a>
                              <a href="{{config('app.url')}}/storage/abonosweb/{{$estudiante->foto}}" target="_blank" class="btn btn-success btn-sm"><i class="fa fa-download" aria-hidden="true"></i></a>
                             
                           </td>
                        </tr>
                        @endforeach
                     </tbody>
                  </table>
               </div>
            </div>
         </div>


      </div>
   </div>
</div>

@endsection

@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

<script>
   $(document).ready(function() {
      $('#table_id').DataTable({
         "language": {
            'info': '_TOTAL_ REGISTROS',
            'search': 'BUSCAR',
            'paginate': {
               'next': 'SIGUIENTE',
               'previous': 'ATRAS'
            },
            'loadingRecords': 'CARGANDO',
            'emptyTable': 'NO EXISTEN DATOS',
            'zeroRecords': 'NO EXISTEN DATOS IGUALES'
         },
         "order": [[ 7, "desc" ]]

      });
   });
</script>
@endsection