@extends('layouts.admin')
@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
@endsection
@section('content')

<div class="row">
    <div class="col-md-6">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">VENTA DE ARTICULOS</h4>
                <form action="{{route('venta.store')}}" method="post">
                    @csrf

                    <div class="row d-flex justify-content-center">
                        <div class="col-md-6">
                            <select name="articulo_id" id="articulo">
                                <option value="">Seleccione Un Articulo</option>
                                @foreach ($articulos as $art){
                                <option value="{{$art->id}}___{{$art->p_venta}}___{{$art->p_costo}}">{{$art->nombre}}, Q. {{number_format($art->p_venta)}}</option>
                                @endforeach
                            </select>

                            <select name="grado_id" id="grado_id" class="my-3">
                                <option value="">Seleccione Un Grado</option>
                                @foreach ($grados as $art){
                                <option value="{{$art->id}}">{{$art->nombre}} {{$art->nivel}}, Seccion {{$art->seccion}}</option>
                                @endforeach
                            </select>

                            <div class="form-group">
                                <label for="">CANTIDAD</label>
                                <input type="text" class="form-control" name="cantidad" id="cantidad" onkeyup="cambio_fun()">
                            </div>

                            <div class="form-group">
                                <label for="">TOTAL</label>
                                <input type="text" class="form-control" id="total" onchange="cambio_fun2()">
                            </div>

                            <div class="form-group">
                                <label for="">PAGO CON</label>
                                <input type="text" class="form-control" id="pago" onkeyup="cambio_fun2()">
                            </div>


                            <div class="form-group">
                                <label for="">CAMBIO</label>
                                <input type="text" class="form-control" id="cambio">
                            </div>


                            <div class="form-check">
                                <label class="form-check-label">
                                    <input type="checkbox" class="form-check-input" name="credito" value="true">
                                    CREDITO?
                                </label>
                            </div>

                            <input type="hidden" name="p_venta" id="p_venta">
                            <input type="hidden" name="p_costo" id="p_costo">
                        </div>

                    </div>

                    <button type="submit" class="btn btn-primary" onclick="return confirm('Esta Seguro de Registrar la Venta ?')"><i class="fas fa-save    "></i> REGISTRARA VENTA</button>
                </form>

            </div>
        </div>
    </div>

    <div class="col-md-6">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">DEUDORES</h4>

                <table class="table">
                    <thead>
                        <tr>
                            <th>GRADO</th>
                            <th>SALDO</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($grados as $art)
                        <?php
                        $venta = getVentaArticuloToGraoDaCreadito($art->id);
                        $abono = getAbonoToGrado($art->id);
                        ?>
                        <tr>
                            <td>{{$art->nombre}} {{$art->nivel}}, Seccion {{$art->seccion}}</td>
                            <td>Q. {{number_format($venta - $abono, 2)}}</td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>

            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-6">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Ventas Del Dia</h4>
                <div class="table-responsive-md">
                    <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">Grado</th>
                                <th scope="col">Credito</th>
                                <th scope="col">Valor</th>
                                <th scope="col"></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($ventas as $ven)

                            <tr class="">
                                <td>{{$ven->grado->nombre}} {{$ven->grado->nivel}}, Seccion: {{$ven->grado->seccion}}</td>
                                <td>Q. {{number_format($ven->p_venta * $ven->cantidad, 2)}}</td>
                                <td>
                                    @if ($ven->credito === 'true')
                                    SI
                                    @endif
                                </td>
                                <td>
                                    <form action="{{route('venta.delete', $ven->id)}}" method="post">
                                        @csrf
                                        @method('delete')
                                        <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar?')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                                    </form>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Abono del Dia</h4>

                

                <form action="{{route('venta.storeAbono') }}" method="post">
                    @csrf

                    <select name="grado_id" id="grado_id2" class="my-3">
                        <option value="">Seleccione Un Grado</option>
                        @foreach ($grados as $art){
                        <option value="{{$art->id}}">{{$art->nombre}} {{$art->nivel}}, Seccion {{$art->seccion}}</option>
                        @endforeach
                    </select>

                    <div class="form-group">
                        <label for="">VALOR</label>
                        <input type="text" class="form-control" name="valor">
                    </div>


                    <button type="submit" class="btn btn-primary"><i class="fas fa-save    "></i> GUARDAR</button>
                </form>
                <div class="table-responsive-md">
                    <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">Grado</th>
                                <th scope="col">Valor</th>
                                <th scope="col"></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($abonos as $ven)

                            <tr class="">
                                <td>{{$ven->grado->nombre}} {{$ven->grado->nivel}}, Seccion: {{$ven->grado->seccion}}</td>
                                <td>Q. {{number_format($ven->valor, 2)}}</td>
                                <td>
                                    @if ($ven->credito === 'true')
                                    SI
                                    @endif
                                </td>
                                <td>
                                    <form action="{{route('venta.deleteAbono', $ven->id)}}" method="post">
                                        @csrf
                                        @method('delete')
                                        <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar?')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                                    </form>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')

<script src="{{asset('plugins/slim-select/slimselect.min.js') }}">
</script>

<script>
    const articulo = $('#articulo');
    const p_venta = $('#p_venta');
    const p_costo = $('#p_costo');
    const cantidad = $('#cantidad');
    const total = $('#total');
    const pago = $('#pago');
    const cambio = $('#cambio');
    setTimeout(function() {
        new SlimSelect({
            select: '#articulo',
            placeholder: 'Seleccione un Articulo',
            deselectLabel: '<span>&times;</span>',
            hideSelectedOption: true,
        })
    }, 300);

    setTimeout(function() {
        new SlimSelect({
            select: '#grado_id',
            placeholder: 'Seleccione un Grado',
            deselectLabel: '<span>&times;</span>',
            hideSelectedOption: true,
        })
    }, 300);

    setTimeout(function() {
        new SlimSelect({
            select: '#grado_id2',
            placeholder: 'Seleccione un Grado',
            deselectLabel: '<span>&times;</span>',
            hideSelectedOption: true,
        })
    }, 300);


    articulo.change(mostrarvalores_bolsa);

    function mostrarvalores_bolsa() {
        let articulos = document.getElementById('articulo').value.split('___');
        p_venta.val(articulos[1]);
        p_costo.val(articulos[2]);
    }

    function cambio_fun() {
        let newTotal = parseFloat(cantidad.val()) * parseFloat(p_venta.val());
        total.val(newTotal)
    }

    function cambio_fun2() {
        let newTotal = parseFloat(pago.val()) - parseFloat(total.val());
        cambio.val(newTotal)
    }
</script>

@endsection