@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection
@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <div class="card">
            <div class="card-header">

               <div class="d-flex justify-content-md-around">
                  <div>
                     <h4>ARTICULOS</h4>
                  </div>
                  <div>
                     <button type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#modelId">
                        NUEVO REGITRO
                     </button>
                  </div>
               </div>
            </div>
            <div class="card-body">
               <div class="table-responsive">
                  <table class="table table-striped table-hover" id="table_id" data-page-length="15">
                     <thead class="thead">
                        <tr>
                           <th>PROVEEDOR</th>
                           <th>ARTICULO</th>
                           <th>CANTIDAD</th>
                           <th>F. MODIFICACION</th>
                           <th></th>
                        </tr>
                     </thead>
                     <tbody>
                        @foreach ($data as $art)
                        <tr>
                           <td>{{ $art->proveedor->empresa }}</td>
                           <td>{{ $art->articulo }}</td>
                           <td>{{ $art->cantidad }}</td>
                           <td>{{$art->updated_at}}</td>
                           <td>
                              <a href="{{route('proveA.show', $art)}}" class="btn btn-primary btn-sm"><i class="fa fa-eye" aria-hidden="true"></i> SALIDA / ACTUALIZAR</a>

                              <form action="{{route('proveA.delete', $art)}}" method="post">
                                 @csrf 
                                 @method('delete')

                                 <button type="submit" class="btn btn-sm btn-danger" onclick="return confirm('Esta Seguro de Eliminar?')"><i class="fa fa-trash" aria-hidden="true"></i></button>

                              </form>
                           </td>
                        </tr>
                        @endforeach
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>

<div class="modal fade" id="modelId" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">
   <div class="modal-dialog" role="document">
      <div class="modal-content">
         <div class="modal-header">
            <h5 class="modal-title">NUEVO ARTICULO</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <span aria-hidden="true">&times;</span>
            </button>
         </div>
         <form action="{{route('proveA.store')}}" method="post">
            @csrf
            <div class="modal-body">

               <div class="form-group">
                  <label for="">PROVEEDORES</label>
                  <select class="form-control" name="provee_id" id="">
                     @foreach ($proveedores as $p)
                     <option value="{{$p->id}}">{{$p->empresa}}</option>
                     @endforeach
                  </select>
               </div>

               <div class="form-group">
                  <label for="">NOMBRE DE ARTICULO</label>
                  <input type="text" class="form-control" name="articulo">
               </div>

               <div class="form-group">
                  <label for="">CANTIDAD</label>
                  <input type="text" class="form-control" name="cantidad">
               </div>

            </div>
            <div class="modal-footer">
               <button type="button" class="btn btn-secondary" data-dismiss="modal">CERRAR</button>
               <button type="submit" class="btn btn-primary">GUARDAR</button>
            </div>
         </form>
      </div>
   </div>
</div>
@endsection



@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

<script>
   $(document).ready(function() {
      $('#table_id').DataTable({
         "language": {
            'info': '_TOTAL_ REGISTROS',
            'search': 'BUSCAR',
            'paginate': {
               'next': 'SIGUIENTE',
               'previous': 'ATRAS'
            },
            'loadingRecords': 'CARGANDO',
            'emptyTable': 'NO EXISTEN DATOS',
            'zeroRecords': 'NO EXISTEN DATOS IGUALES'
         }
      });
   });
</script>
@endsection