@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
@endsection

@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col">

         <div class="card">
            <div class="card-body">
               <h4 class="card-title">FILTROS BOLSA</h4>

               <form action="" method="get">

                  <div class="row">

                     <div class="col-md-3">
                        <div class="form-group">
                           <label for="">GRADO A BUSCAR</label>
                           <select name="grado_id" id="grado">
                              @foreach ($grados as $grado)
                              <option value="{{$grado->id}}">{{$grado->nombre}}, Seccion: {{$grado->seccion}}</option>
                              @endforeach
                           </select>
                        </div>

                     </div>
                     <div class="col-md-3">
                        <div class="form-group">
                           <label for="">ENTREGADOS</label>
                           <select class="form-control" name="estado" id="">
                              <option value="SI">SI</option>
                              <option value="NO">NO</option>
                           </select>
                        </div>
                     </div>
                     <div class="col-md-3">
                        <div class="form-group">
                           <label for=""> (Fecha de Inicio): </label>
                           <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                        </div>
                     </div>
                     <div class="col-md-3">
                        <div class="form-group">
                           <label for=""> (Fecha de Final): </label>
                           <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                        </div>

                     </div>
                  </div>

                  <button type="submit" class="btn btn-primary float-right"><i class="fa fa-save"></i> GUARDAR</button>
               </form>
            </div>
         </div>


         @if ($vis)
         <div class="card">
            <img class="card-img-top" src="holder.js/100x180/" alt="">
            <div class="card-body table-responsive">
               <h4 class="card-title">PEDIDOS ENTREGADOS / PENDIENTES</h4>
               <table class="table" id="table_id" data-page-length="300">
                  <thead>
                     <tr>
                        <th>F. COMPRA</th>
                        <th>RECIBO</th>
                        <th>ESTUDIANTE</th>
                        <th>GRADO</th>
                        <th>BOLSA</th>
                        <th>CANTIDAD</th>
                        <th>DESCRIPCION</th>

                        <th>ENTREGADO</th>
                        <th>TOTAL</th>
                        <th></th>
                     </tr>
                  </thead>
                  <tbody>
                     @foreach ($ventas as $v)
                     @if ($grado_id == $v->estudiante->grado_id)
                     <tr>
                        <td>{{$v->created_at}}</td>
                        <td>{{$v->factura_id}}</td>
                        <td>{{$v->estudiante->nombre}}</td>
                        <td>{{$v->estudiante->grado->nombre}}</td>
                        <td>{{$v->bolsa->nombre}}</td>
                        <td>{{$v->cantidad}}</td>
                        <td>{{$v->factura->descripcion}}</td>
                        <td>{{$v->entregado}}</td>
                        <td>Q. {{number_format($v->total,2)}}</td>
                        <td>
                           <form action="{{route('bolsa.changeEntregado', $v->id)}}" method="get">
                              <select name="codigo" id="c{{$v->id}}" class="form-control">
                                 @foreach ($listas as $lista)
                                 <option value="{{$lista->codigo}}">{{$lista->codigo}} </option>
                                 @endforeach
                              </select>
                              <button type="submit" class="btn btn-primary"><i class="fa fa-check" aria-hidden="true"></i></button>
                           </form>
                        </td>
                     </tr>
                     @endif
                     @endforeach

                  </tbody>
               </table>
            </div>
         </div>
         @endif


      </div>
   </div>
</div>
@endsection

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection


@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

<script src="{{asset('plugins/slim-select/slimselect.min.js') }}"></script>

<script>
   new SlimSelect({
      select: '#grado',
      placeholder: 'Select Permissions',
      deselectLabel: '<span>&times;</span>',
      hideSelectedOption: true,
   });

   
   <?php
   if ($vis) {
      foreach ($ventas as $c) {
   ?>
         new SlimSelect({
            select: '#c<?php echo $c->id ?>',
            placeholder: 'Select Permissions',
            deselectLabel: '<span>&times;</span>',
            hideSelectedOption: true,
         })
   <?php }
   }
   ?>



   $(document).ready(function() {
      $('#table_id').DataTable({});
   });
</script>
@endsection