@extends('layouts.admin')

@section('content')

<div class="container-fluid">
   <div class="row">

      @can('bolsa.allBolsa')
      <div class="col-md-4">
         <a href="{{route('bolsa.allBolsa')}}" role="button">
            <div class="card">
               <img class="card-img-top" src="{{asset('images/lista1.png')}}" alt="">
               <div class="card-body">
                  <h4 class="card-title">BOLSAS DE UTILES</h4>
                  <p class="card-text">IMPRIME EL REPORTE DE TODOS LOS BOLSAS DE UTILES REGISTRADOS</p>


               </div>
            </div>
         </a>
      </div>
      @endcan


      <div class="col-md-4">
         <a href="{{route('bolsa.controldeExisteicias')}}">
            <div class="card">
               <img class="card-img-top" src="{{asset('images/lista2.png')}}" alt="">
               <div class="card-body">
                  <h4 class="card-title">BOLSAS DE UTILES CONTROL</h4>
                  <p class="card-text">IMPRIME EL REPORTE DE TODOS LOS BOLSAS DE UTILES REGISTRADOS OBTENIENDO DATOS NO SENSIBLES</p>
               </div>
            </div>
         </a>
      </div>

      @can('bolsa.minStockBolsa')
      <div class="col-md-4">
         <a href="{{route('bolsa.minStockBolsa')}}">
            <div class="card">
               <img class="card-img-top" src="{{asset('images/inicio/utiles.png')}}" alt="">
               <div class="card-body">
                  <h4 class="card-title">BOLSAS DE UTILES</h4>
                  <p class="card-text">IMPRIME EL REPORTE DE TODOS LOS BOLSAS DE UTILES CON MINIMO DE STOCK</p>

               </div>
            </div>
         </a>
      </div>
      @endcan

      @can('bolsa.reportVentas')

      <div class="col-md-4">
         <div class="card">
            <img class="card-img-top" src="{{asset('images/lista2.png')}}" alt="">
            <div class="card-body">
               <h4 class="card-title">VENTAS DE BOLSAS</h4>
               <p class="card-text">RETORNA EL REPORTE DE LAS VENTAS DE BOLSA DE UTILIES POR FECHA</p>

               <form action="{{route('bolsa.reportVentas')}}" method="post">
                  @csrf

                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>

                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>

                  <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>

               </form>

            </div>
         </div>
      </div>
      @endcan


      <div class="col-md-4">
         <div class="card">
            <img class="card-img-top" src="{{asset('images/lista1.png')}}" alt="">
            <div class="card-body">
               <h4 class="card-title">HISTORIAL DE COMPRAS DE BOLSAS DE UTILES</h4>
               <p class="card-text">IMPRIMER EL REPORTE DE COMPRAS DE BOLSA DE UTILES FILTRADO POR FECHA</p>
               <form action="{{route('bolsa.reporte_historial')}}" method="post">
                  @csrf
                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>
                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>
                  <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>
               </form>
            </div>
         </div>
      </div>

      <div class="col-md-4">
         <div class="card">
            <img class="card-img-top" src="{{asset('images/lista1.png')}}" alt="">
            <div class="card-body">
               <h4 class="card-title">HISTORIAL DE COMPRAS DE BOLSAS DE UTILES AGRUPADOS</h4>
               <p class="card-text">IMPRIMER EL REPORTE DE COMPRAS DE BOLSA DE UTILES FILTRADO POR FECHA AGRUPADOS</p>
               <form action="{{route('bolsa.reporte_historial_agrupado')}}" method="post">
                  @csrf
                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>
                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>
                  <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>
               </form>
            </div>
         </div>
      </div>


      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">BOLSA DE UTILES DETALLADAS / AGRUPADOS</h4>
               <p class="card-text">IMPRIMER EL REPORTE DE VENTA DE BOLSA DE UTILES FILTRADO POR FECHA</p>
               <form action="{{route('bolsa.ventas_agrupados_detallado')}}" method="post">
                  @csrf

                  <div class="form-group">
                     <label for="">BOSLA</label>
                     <select class="form-control" name="bolsa_id[]" id="bolsa_id" multiple>
                        @foreach ($bolsa as $b)
                        <option value="{{$b->id}}">{{$b->nombre}}</option>
                        @endforeach
                     </select>
                  </div>

                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>
                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>
                  <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>
               </form>
            </div>
         </div>
      </div>

      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">BOLSA DE UTILES AGRUPADAS</h4>
               <p class="card-text">IMPRIMER EL REPORTE DE VENTA DE BOLSA DE UTILES FILTRADO POR FECHA</p>
               <form action="{{route('bolsa.ventas_agrupados')}}" method="post">
                  @csrf
                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>
                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>
                  <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>
               </form>
            </div>
         </div>
      </div>


      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">COMPRAS POR RECIBOS Y FECHAS</h4>
               <p class="card-text">IMPRIMER EL REPORTE DE COMPRAS DE BOLSA DE UTILES FILTRADO POR FECHA </p>
               <form action="{{route('bolsa.getBolsaToReciboAndFecha')}}" method="get">

                  <div class="form-group">
                     <label for=""></label>
                     <select class="form-control" name="bolsa_id[]" id="uni2" multiple>
                        @foreach ($recibos as $re)
                        <option value="{{$re->recibo}}">{{$re->recibo}}</option>
                        @endforeach
                     </select>
                  </div>

                  @csrf
                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>
                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>
                  <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>
               </form>
            </div>
         </div>
      </div>


   </div>
</div>

@endsection


@section('scripts')

<script src="{{asset('plugins/slim-select/slimselect.min.js') }}">
</script>

<script>
   setTimeout(function() {
      new SlimSelect({
         select: '#bolsa_id',
         placeholder: 'Select Permissions',
         deselectLabel: '<span>&times;</span>',
         hideSelectedOption: true,
      })
   }, 300);

   setTimeout(function() {
      new SlimSelect({
         select: '#uni2',
         placeholder: 'Select Permissions',
         deselectLabel: '<span>&times;</span>',
         hideSelectedOption: true,
      })
   }, 300);
</script>
@endsection

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
@endsection