@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
@endsection

@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title text-uppercase">BOLSA: {{$bolsa->nombre}}</h4>
               <ul class="nav nav-pills mb-3 justify-content-end">
                  <li class="nav-item"><a href="#navpills2-1" class="nav-link active show" data-toggle="tab" aria-expanded="false">DATOS</a>
                  </li>
                  <li class="nav-item"><a href="#navpills2-2" class="nav-link" data-toggle="tab" aria-expanded="false">ACTUALIZAR</a>
                  </li>
               </ul>
               <div class="tab-content br-n pn">

                  <div id="navpills2-1" class="tab-pane active show">
                     <div class="row align-items-center">
                        <div class="col-sm-6 col-md-8 col-xl-10">
                           <p class="card-text text-uppercase">BOLSA: <b>{{$bolsa->nombre}}</b> </p>
                           <p class="card-text">PRECIO VENTA: <b>Q. {{number_format($bolsa->p_venta, 2)}}</b> </p>
                           <p class="card-text">PRECIO COSTO: <b>Q. {{number_format($bolsa->p_costo, 2)}}</b> </p>

                           <p class="card-text">STOCK:
                              @if ($bolsa->stock <= $bolsa->min_stock)
                                 <div class="alert alert-warning" role="alert">
                                    <strong>QUEDA POCA EXISTENCIA: {{$bolsa->stock}}</strong>
                                 </div>
                                 @else

                                 <div class="alert alert-info" role="alert">
                                    <strong>BUENA EXISTENCIA: {{$bolsa->stock}}</strong>
                                 </div>
                                 @endif </p>

                           <p class="card-text">MINIMO DE STOCK: <b>{{$bolsa->min_stock}}</b> </p>

                           <p class="card-text">UTILIDAD / GANANCIA: <b>{{number_format($bolsa->p_venta - $bolsa->p_costo, 2)}}</b> </p>

                           <p class="card-text">DESCRIPCION:  </p>
                           @php
                              echo $bolsa->decripcion;
                           @endphp

                        </div>
                        <div class="col-sm-6 col-md-4 col-xl-2">
                           <img src="images/big/card-4.png" alt="" class="img-fluid thumbnail m-r-15">
                        </div>
                     </div>
                  </div>

                  <div id="navpills2-2" class="tab-pane ">
                     <div class="row align-items-center ">
                        <div class="col">
                           <form action="{{route('bolsa.update', ['id' => $bolsa->id])}}" method="post">
                              @csrf
                              @method('put')
                              @include('admin.bolsas.forms.formupdate')

                              <button type="submit" class="btn btn-warning"><i class="fa fa-refresh" aria-hidden="true"></i> ACTUALIZAR</button>
                           </form>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
@endsection


@section('scripts')
<script src="{{ asset('plugins/ckeditor/ckeditor.js')  }}"></script>
<script>
   CKEDITOR.replace('editor1');
</script>
@endsection