@extends('layouts.admin')

@section('content')
<div class="container">
    <div class="row">
        <div class="col">
            <!-- <h4 class="card-title text-center display-4">Cuadre</h4>1 -->
            <div class="card">
                <div class="card-body">

                <p class="h2 text-center">CUADRE DEL DIA, {{date('d-m-Y' )}}</p>

                    <h4> Total en Caja Chica: Q. {{number_format($entradas, 2)}}</h4>
                    <h4> Total en Gastos: Q. {{number_format($salida, 2)}}</h4>
                    <hr>

                    <hr>

                    <div class="row">
                        <div class="col-md-6">
                            <h3>Abonos</h3>
                            <h4>Efectivo: Q. {{number_format($abonos[0], 2)}} </h4>
                            <h4>Pago Con Tarjeta: Q. {{number_format($abonos[1], 2)}} </h4>
                            <h4>Cheque: Q. {{number_format($abonos[2], 2)}} </h4>
                            <h4>Transferencias: Q. {{number_format($abonos[3], 2)}}</h4>
                            <h4>Depositos: Q. {{number_format($abonos[4], 2)}}</h4>
                            <h4>Otros: Q. {{number_format($abonos[5], 2)}} </h4>
                        </div>
                        <div class="col-md-6">
                            <h3>DISTRIBUICION DE PAGOS</h3>
                            <h4>COLEGIATURA Q. {{number_format($colegiatura->total, 2)}}</h4>
                            <h4>INSCRIPCION Q. {{number_format($inscripcion->total, 2)}}</h4>
                            <h4>BUS Q. {{number_format($bus->total, 2)}}</h4>
                            <h4>BOLSA Q. {{number_format($bolsa->total, 2)}}</h4>
                            <h4>LIBRO Q. {{number_format($libros->total, 2)}}</h4>
                            <h4>UNIFORME Q. {{number_format($uniforme->total, 2)}}</h4>
                            <h4>ACTIVIDAD Q. {{number_format($abono_acti, 2)}}</h4>
                            <h4>EXTRA Q. {{number_format($extra->total, 2)}}</h4>
                        </div>

                       

                    </div>


                    <h4>Total Abonos: Q {{number_format(($abonos[0] + $abonos[1] + $abonos[2] + $abonos[3] + $abonos[4] + $abonos[5]) + $abono_acti,2)}} </h4>
                    <hr>

                    <h4>Total Ventas de Uniformes Profesores: Q {{number_format($tup,2)}} </h4>
                    <hr>

                    <h4>Total Ventas / Abonos de Articulos: Q {{number_format($articulos,2)}}</h4>
                    <hr>

                    <h3>Total a Cuadrar = Q.
                        {{ ($abonos[0] + $abonos[1] + $abonos[2] + $abonos[3] + $abonos[4] + $abonos[5]) + $abono_acti  + $tup + $articulos + ($entradas - $salida) }}
                    </h3>


                    <form action="{{route('caja.cuadreStore')}}" method="post">
                        @csrf

                        <div class="invisible">
                            <input type="number" step="any" name="t_colegiatura" value="{{($colegiatura->total) ? $colegiatura->total : 0}}">
                            <input type="number" step="any" name="t_inscripcion" value="{{($inscripcion->total) ? $inscripcion->total : 0}}">
                            <input type="number" step="any" name="t_bus" value="{{($bus->total) ? $bus->total : 0}}">
                            <input type="number" step="any" name="t_bolsa" value="{{($bolsa->total) ? $bolsa->total : 0}}">
                            <input type="number" step="any" name="t_libro" value="{{($libros->total) ? $libros->total : 0}}">
                            <input type="number" step="any" name="t_uniforme" value="{{($uniforme->total) ? $uniforme->total : 0}}">
                            <input type="number" step="any" name="t_actividad" value="{{($abono_acti) ? $abono_acti : 0}}">
                            <input type="number" step="any" name="t_extra" value="{{($extra->total) ? $extra->total : 0}}">
                        </div>

                        <input type="hidden" name="entrada" value="{{$entradas}}">
                        <input type="hidden" name="salida" value="{{$salida}}">

                        <input type="hidden" id="cauadre" name="cuadre" value="{{($entradas - $salida) + $tup + $articulos + ($abonos[0] + $abonos[1] + $abonos[2] + $abonos[3] + $abonos[4] + $abonos[5]) + $abono_acti}}">

                        <div class="form-group my-2">
                            <input type="text" class="form-control" name="efectivo" placeholder="TOTAL EN EFECTIVO" id="efectivo">
                        </div>

                        <div class="form-group my-2">
                            <input type="text" class="form-control" name="visas" placeholder="TOTAL EN VISAS" id="visas" value="{{$abonos[1]}}">
                        </div>

                        <div class="form-group my-2">
                            <input type="text" class="form-control" name="faltante" placeholder="FALTANTE" id="faltante">
                        </div>

                        <div class="text-lefth my-2">
                            <button type="button" class="btn btn-info" id="igualar"> <i class="fa fa-save mr-1"></i> Cuadrar</button>
                        </div>

                        <div class="text-right my-2">
                            <button type="submit" id="guardar" class="btn btn-success" disabled> <i class="fa fa-save mr-1"></i> Guardar Registro</button>
                        </div>

                    </form>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    $(document).ready(function() {
        var cuadre = $('#cauadre').val();
        var efectivo = $('#efectivo');
        var faltante = $('#faltante');
        var boton = $('#igualar');
        var visas = $('#visas');

        boton.click(function() {
            let total = cuadre - (parseFloat(efectivo.val()) + parseFloat(visas.val()));
            faltante.val(total);
            $('#guardar').prop('disabled', false);
        });

    });
</script>
@endsection