@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
@endsection

@section('content')
<div class="container-fluid">
   <div class="row">

      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">GASTOS</h4>
               <p class="card-text">IMPRIME / VISUALIZA EL LISTADO DE GASTOS DE EFECTIVO FILTRADO POR FECHA</p>

               <br>


               <form action="{{route('caja.salidaReport')}}" method="post">
                  @csrf()
                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="desde" placeholder="Fecha de Inicio" required>
                  </div>
                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="hasta" placeholder="Fecha de Fin" required>
                  </div>

                  <button type="submit" class="btn btn-primary"> <i class="fa fa-filter" aria-hidden="true"></i> Buscar </button>
               </form>


            </div>
         </div>
      </div>

      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">CAJA CHICA</h4>
               <p class="card-text">IMPRIME / VISUALIZA EL LISTADO DE ENTRADAS A "CAJA CHICA" DE EFECTIVO FILTRADO POR FECHA</p>
               <br>
               <form action="{{route('caja.entradasReport')}}" method="post">
                  @csrf()
                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="desde" placeholder="Fecha de Inicio" required>
                  </div>

                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="hasta" placeholder="Fecha de Fin" required>
                  </div>

                  <button type="submit" class="btn btn-primary"> <i class="fa fa-filter" aria-hidden="true"></i> Buscar </button>
               </form>
            </div>
         </div>
      </div>

      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">REPORTES DE GASTOS</h4>
               <p class="card-text">RETORNA EL REPORTE DE LOS GASTOS AGRUPADOS POR TIPO Y MES</p>

               <form action="{{route('caja.gasto_tipo_fecha')}}" method="post">
                  @csrf


                  <div class="form-group">
                     <label for="">Tipo de Gasto</label>
                     <select class="form-control" name="tipo" id="gasto_id">
                        <optgroup label="GASTOS NO REEMBOLSABLES">
                           <option value="GASTOS ADMINISTRATIVOS">GASTOS ADMINISTRATIVOS</option>
                           <option value="GASTOS DE LIMPIEZA">GASTOS DE LIMPIEZA</option>
                           <option value="GASTOS INVERSION DE INSTALACIONES">GASTOS INVERSION DE INSTALACIONES</option>
                           <option value="GASTOS SAT">GASTOS SAT</option>
                           <option value="SERVICIOS">SERVICIOS</option>
                           <option value="GASTOS FAMILIA">GASTOS FAMILIA</option>
                           <option value="PAGOS DE PLANILLA">PAGOS DE PLANILLA</option>
                        </optgroup>
                        <optgroup label="GASTOS REEMBOLSABLES">
                           <option value="GASTOS DE BUS">GASTOS DE BUS</option>
                           <option value="GASTOS DE UNIFORMES">GASTOS DE UNIFORMES</option>
                           <option value="GASTOS DE BOLSA">GASTOS DE BOLSA</option>
                           <option value="GASTOS DE ACTIVIDADES">GASTOS DE ACTIVIDADES</option>
                        </optgroup>
                     </select>
                  </div>

                  <select name="mes" class="form-control">
                     <option selected hidden>Mes</option>
                     <option value="01">Enero</option>
                     <option value="02">Febrero</option>
                     <option value="03">Marzo</option>
                     <option value="04">Abril</option>
                     <option value="05">Mayo</option>
                     <option value="06">Junio</option>
                     <option value="07">Julio</option>
                     <option value="08">Agosto</option>
                     <option value="09">Septiembre</option>
                     <option value="10">Octubre</option>
                     <option value="11">Noviembre</option>
                     <option value="12">Diciembre</option>
                  </select>

                  <button type="submit" class="btn btn-primary mt-3"><i class="fa fa-search" aria-hidden="true"></i> BUSCAR RESULTADOS</button>

               </form>

            </div>
         </div>
      </div>

   </div>

   <div class="row justify-content-center">
      <div class="col-md-4">

         <div class="card">
            <div class="card-body">
               <h4 class="card-title">Reporte de Cuadres del Mes</h4>
               <p class="card-text">Imprime y lista un Reporte de los Cuadres Realizados</p>
               <a class="btn btn-primary" href="{{route('caja.cuadreReport')}}" role="button"> <i class="fa fa-print" aria-hidden="true"></i> IMPRIMIR </a>
            </div>
         </div>

      </div>

      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">Reporte de Cuadres Filtrado</h4>
               <p class="card-text">Imprime y lista un Reporte de los Cuadres Realizados Filtrados por mes y Año</p>

               <form action="{{route('caja.cuadrereportFilter')}}" method="get">

                  <div class="form-group">
                     <label for="mes">Año</label>
                     <select class="form-control" name="ano">
                        @for($i = 2021; $i < 2051; $i ++) <option value="{{$i}}">Año: {{$i}}</option>
                           @endfor
                     </select>
                  </div>

                  <div class="form-group">
                     <label for="mes">Mes</label>
                     <select class="form-control" name="mes">
                        @for($i = 1; $i < 13; $i ++) <option value="{{$i}}">Mes: {{$i}}</option>
                           @endfor
                     </select>
                  </div>

                  <button class="btn btn-primary" type="submit"> <i class="fa fa-print" aria-hidden="true"></i> IMPRIMIR </button>
               </form>
            </div>
         </div>
      </div>

      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">MOVIMIENTOS DE UN DIA EN ESPECIFICO</h4>
               <form action="{{route('caja.getMovimientoToData')}}" method="get">

                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>

                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>

                  <button type="submit" class="btn btn-primary"><i class="fa fa-search" aria-hidden="true"></i></button>
               </form>
            </div>
         </div>
      </div>'



      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">MOVIMIENTOS DE UN DIA EN ESPECIFICO POR TIPO</h4>
               <form action="{{route('abono.getAbonoToTipo')}}" method="post">
                  @csrf
                  <button type="submit" class="btn btn-primary"><i class="fa fa-search" aria-hidden="true"></i></button>


                  <!-- TODO: PROVAR VAROS TIPOS DE ABONOS !IMPORTANT  -->

                  <div class="form-group">
                     <label for="">TIPO DE ABONO: </label>
                     <select class="form-control" name="abonoa">
                        <option value="COLEGIATURA">COLEGIATURA</option>
                        <option value="BUS">BUS</option>
                        <option value="BOLSA DE UTILES">BOLSA DE UTILES</option>
                        <option value="LIBROS">LIBROS</option>
                        <option value="UNIFORME">UNIFORME</option>
                        <option value="INSCRIPCION">INSCRIPCION</option>
                        <option value="ACTIVIDADES">ACTIVIDADES</option>
                        <option value="DEUDA EXTRA">DEUDA EXTRA</option>
                     </select>
                  </div>

                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>

                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>


                  <div class="form-group">
                     <label for="grado_id">GRADO</label>
                     <select class="form-control" name="grado_id[]" id="grado_id" multiple>
                        <option value="TODOS">TODOS</option>
                        @foreach ($grados as $g)
                        <option value="{{$g->id}}">{{$g->nombre}}, {{$g->nivel}}, SECCION: {{$g->seccion}}</option>
                        @endforeach
                     </select>
                  </div>

               </form>
            </div>
         </div>
      </div>


      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">VENTAS A PROFESORES</h4>
               <form action="{{route('abono.getReporteProfesore')}}" method="post">
                  @csrf

                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>

                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>

                  <button type="submit" class="btn btn-primary"><i class="fa fa-search" aria-hidden="true"></i></button>
               </form>
            </div>
         </div>
      </div>


   </div>
</div>
@endsection

@section('scripts')
<script src="{{ asset('plugins/slim-select/slimselect.min.js') }}"></script>
<script>
   new SlimSelect({
      select: '#gasto_id'
   });

   new SlimSelect({
      select: '#grado_id'
   });
</script>
@endsection