@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
    
@endsection

@section('content')
<div class="container">


    <div class="row">

        <div class="col">
            <div class="alert alert-info alert-dismissible show" role="alert">
                <button type="button" class="close btn btn-info" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <div class="card card-info">
                    <div class="card-body" style="color:black;">
                        <h3 class="card-title text-center">REGISTRAR GASTOS</h3>

                        <form action="{{route('caja.salidaStore')}}" method="post">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">Valor </label>
                                <input type="number" step="any" name="valor" class="form-control">
                            </div>

                            <div class="form-group">
                                <label for="">Tipo de Gasto</label>
                                <select class="form-control" name="tipo" id="gasto_id">
                                    <optgroup label="GASTOS NO REEMBOLSABLES">
                                        <option value="GASTOS ADMINISTRATIVOS">GASTOS ADMINISTRATIVOS</option>
                                        <option value="GASTOS DE FUNCIONAMIENTO">GASTOS DE FUNCIONAMIENTO</option>
                                        <option value="GASTOS DE LIMPIEZA">GASTOS DE LIMPIEZA</option>
                                        <option value="GASTOS INVERSION DE INSTALACIONES">GASTOS INVERSION DE INSTALACIONES</option>
                                        <option value="GASTOS SAT">GASTOS SAT</option>
                                        <option value="SERVICIOS">SERVICIOS</option>
                                        <option value="GASTOS FAMILIA">GASTOS FAMILIA</option>

                                    </optgroup>
                                    <optgroup label="GASTOS REEMBOLSABLES">
                                        <option value="GASTOS DE BUS">GASTOS DE BUS</option>
                                        <option value="GASTOS DE UNIFORMES">GASTOS DE UNIFORMES</option>
                                        <option value="GASTOS DE BOLSA">GASTOS DE BOLSA</option>
                                        <option value="GASTOS DE ACTIVIDADES">GASTOS DE ACTIVIDADES</option>
                                    </optgroup>

                                </select>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">Descripcion</label>
                                <input type="text" class="form-control" name="descripcion" required>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">Factura: </label>
                                <input type="text" class="form-control" name="factura" required>
                            </div>

                            <button type="submit" class="btn mt-2 btn-sm btn-outline-success"><i class="fas fa-save"></i> GUARDAR</button>

                        </form>

                    </div>
                    <!-- /.card-body -->
                </div>

            </div>


        </div>
    </div>


    <div class="row">
        <div class="col">

            <h4 class="card-title text-center display-4">Salidas de Efectivo</h4>
            <div class="card">
                <div class="card-body">
                    <table class="table table-hover" id="table_id" data-page-length="15">
                        <thead>
                            <tr>
                                <th>Fecha</th>
                                <th>Valor </th>
                                <th>Descripcion</th>
                                <th>Tipo</th>
                                <th>Accion</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($entradas as $ent)
                            <tr>
                                <td>{{$ent->fecha}}</td>
                                <td>{{$ent->valor}}</td>
                                <td>{{$ent->descripcion}}</td>
                                <td>GASTO {{$ent->tipo}}</td>
                                <td>


                                    <a href="{{route('caja.deletesalida', ['id' => $ent->id])}}" class="btn btn-sm btn-danger"> <i class="fa fa-trash" aria-hidden="true"></i> Eliminar </a>


                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>

                    <div class="text-right mx-4">
                        <h2>Total de Salidas: Q. {{number_format($total, 2)}}</h2>
                    </div>



                </div>
            </div>
        </div>
    </div>
</div>


@endsection


@section('scripts')

<script src="{{ asset('plugins/slim-select/slimselect.min.js') }}"></script>


<script>
    new SlimSelect({
        select: '#gasto_id'
    });
</script>

@endsection