@extends('layouts.admin')
@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
@endsection

@section('content')

<div class="container-fluid">
   <div class="row justify-content-center">
      <div class="col-md-9">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">COMPRA DE LIBROS</h4>

               <form action="{{route('clibro.store')}}" method="post">
                  @csrf
                  <input type="hidden" value="{{Auth::user()->id}}" name="user_id">

                  <select name="libro_id" id="select">
                     @foreach ($bolsas as $b)
                     <option value="{{$b->id}}">{{$b->nombre}}</option>
                     @endforeach
                  </select>

                  <div class="form-group">
                     <label for="">CANTIDAD</label>
                     <input type="number" step="any" class="form-control" name="cantidad">
                  </div>

                  <div class="form-group">
                     <label for="">RECIBO</label>
                     <input type="text"  class="form-control" name="recibo" required>
                  </div>

                  <div class="form-group">
                     <label for="">FECHA DE COMPRA</label>
                     <input type="date"  class="form-control" name="f_compra" required>
                  </div>

                  <select class="form-control" name="tipo">
                     <option value="EFECTIVO">EFECTIVO</option>
                     <option value="VISA">VISA</option>
                     <option value="TRANSFERENCIA">TRANSFERENCIA</option>
                     <option value="DEPOSITO">DEPOSITO</option>
                     <option value="OTRO">OTRO</option>
                  </select>

                  <button type="submit" class="btn btn-success float-right"><i class="fas fa-save    "></i> GUARDAR</button>

               </form>


            </div>
         </div>
      </div>
   </div>
</div>

@endsection

@section('scripts')
<script src="{{asset('plugins/slim-select/slimselect.min.js') }}"></script>

<script>
   setTimeout(function() {
      new SlimSelect({
         select: '#select',
         placeholder: 'SELECCIONE UN DATO',
         deselectLabel: '<span>&times;</span>',
         hideSelectedOption: true,
      })
   }, 300);
</script>

@endsection