@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/toastr/toastr.min.css')}}">
@endsection

@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col-md-12">
         <div class="card">
            <div class="card-body">
               <div class="d-flex justify-content-md-around">
                  <div>
                     BOLETAS!!!
                  </div>
               </div>
               <div class="row">
                  @foreach ($boletas as $b )
                  <div class="col-md-4">
                     <div class="card">
                        <img class="card-img-top" src="{{config('app.url')}}{{ Storage::url('boletas/' . $b->foto) }}" alt="">
                        <div class="card-body">
                           <h4 class="card-title">VALOR: Q. {{number_format($b->valor, 2)}}</h4>
                           <p class="card-text">NUMERO DE REFERENCIA: {{$b->referencia}}</p>
                           <p class="card-text">CONCEPTO: {{$b->concepto}}</p>
                           <p class="card-text">ACEPTADO: {{$b->acept}}</p>
                           @if ($b->acept != 'SI')
                           <a class="btn btn-success" onclick="calificar( <?php echo  $b->id; ?>)"><i class="fa fa-check" aria-hidden="true"></i></a>
                           <form action="{{route('control.delete_boleta', $b)}}" method="post">
                              @csrf
                              @method('DELETE')
                              <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar?')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                           </form>
                           @else
                           @can('admin')
                           <form action="{{route('control.delete_boleta_no', $b)}}" method="post">
                              @csrf
                              @method('DELETE')
                              <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar?')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                           </form>
                           @endcan
                           @endif
                        </div>
                     </div>
                  </div>
                  @endforeach
               </div>
            </div>
         </div>
      </div>
   </div>
</div>

@endsection

@section('scripts')
<script src="{{asset('plugins/toastr/toastr.min.js')}}"></script>
<script>
   function calificar(boleta) {
      event.preventDefault();
      let route = "{{route('control.acept_boleta')}}"
      $.ajax({
         type: "GET",
         url: route,
         data: {
            boleta
         },
         dataType: "JSON",
         success: function(resp) {
            toastr["success"]("BOLETA ACEPTADA", "GENIAL")
            toastr.options = {
               "closeButton": true,
               "debug": false,
               "newestOnTop": false,
               "progressBar": true,
               "positionClass": "toast-bottom-center",
               "preventDuplicates": false,
               "onclick": null,
               "showDuration": "300",
               "hideDuration": "1000",
               "timeOut": "5000",
               "extendedTimeOut": "1000",
               "showEasing": "swing",
               "hideEasing": "linear",
               "showMethod": "fadeIn",
               "hideMethod": "fadeOut"
            }
         }
      });
   }
</script>

@endsection