@extends('layouts.admin')


@section('content')
<div class="container-fluid">

   <div class="row">
      <div class="col">
         <p class="text-center">ABONOS DE ACTIVIDADES</p>
      </div>
   </div>

   <div class="row">


      <div class="col-md-6">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">ABONOS</h4>

               @foreach ($abonos as $ab)

               <div class="card">
                  <div class="card-body">
                     <h4 class="card-title">{{$ab->descripcion}}</h4>
                     <p class="card-text">{{$ab->created_at}} <br> VALOR: Q. {{number_format($ab->valor, 2)}}</p>
                     <form action="{{route('abactividad.delete', $ab)}}" method="post">
                        @csrf
                        @method('DELETE')
                        <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar?')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                     </form>
                  </div>
               </div>
               @endforeach


            </div>
         </div>
      </div>

      <div class="col-md-6">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">NUEVO ABONO</h4>

               <form action="{{route('abactividad.storeAbono')}}" method="post">
                  @csrf


                  <div class="form-group">
                     <label for="">ACTIVIDAD</label>
                     <select class="form-control" name="actividad_id" id="">
                        @foreach ($actividades as $act )
                        <option value="{{$act->id}}">{{$act->nombre}}</option>
                        @endforeach
                     </select>
                  </div>


                  <div class="row">
                     <div class="col-md-6">
                        <div class="form-group">
                           <label for="">TIPO DE PAGO: </label>
                           <select class="form-control" name="tipo">
                              <option value="EFECTIVO">EFECTIVO</option>
                              <option value="VISA">PAGO CON TARJETA</option>
                              <option value="CHEQUE">CHEQUE</option>
                              <option value="TRANSFERENCIA">TRANSFERENCIA</option>
                              <option value="DEPOSITO">DEPOSITO</option>
                              <option value="OTRO">OTRO</option>
                           </select>
                        </div>
                     </div>
                  </div>

                  <div class="form-group">
                     <label for="">VALOR DE ABONO: </label>
                     <input type="number" step="any" class="form-control" name="valor" id="valor">
                  </div>

                  <div class="form-group">
                     <label for="">BANCO </label>
                     <input type="text" class="form-control" name="banco" id="banco">
                  </div>

                  <div class="form-group">
                     <label for="">BOLETA </label>
                     <input type="text" class="form-control" name="boleta" id="boleta">
                  </div>

                  <input type="hidden" name="estudiante_id" value="{{$estudiante->id}}">
                  <input type="hidden" name="user_id" value="{{Auth::user()->id}}">

                  <div class="form-group">
                     <label for="DESCRIPCION">DESCRIPCION</label>
                     <textarea class="form-control" name="descripcion" id="descripcion" rows="3"></textarea>
                  </div>

                  <button type="submit" id="submit" class="btn btn-success"><i class="fas fa-save"></i> GUARDAR</button>


               </form>

            </div>
         </div>
      </div>



   </div>
</div>
@endsection