@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">

@endsection
@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <div class="card">
            <div class="card-header">
               <div style="display: flex; justify-content: space-between; align-items: center;">

                  <span id="card_title" style="font-size: 172%;">
                     {{ __('ESTUDIANTES') }} DEL GRADO
                  </span>

               </div>
            </div>

            <!-- sirve para visualizar "modulo de filtrado de datos" -->
            <form action="{{route('estudiante.grados')}}" method="get">
               @include('admin.estudiantes.data.filtrogrados')
            </form>
            <!-- eend fin de datos -->

            <div class="card-body">
               <div class="table-responsive">
                  <table class="table table-striped table-hover" id="table_id" data-page-length="15">
                     <thead class="thead">
                        <tr>
                           <th>No</th>
                           <th>NOMBRE</th>
                           <th>CUI</th>
                           <th>JORNADA</th>

                           <th></th>
                        </tr>
                     </thead>
                     <tbody>
                        @foreach ($data as $estudiante)
                        <tr>
                           <td>{{ $estudiante->id }}</td>
                           <td>{{ $estudiante->nombre }}</td>
                           <td>{{ $estudiante->cui }}</td>
                           <td>{{ $estudiante->jornada }}</td>
                           <td>
                              <a href="{{route('estudiante.show', ['id' => $estudiante->id])}}" class="btn btn-primary btn-sm"><i class="fa fa-eye" aria-hidden="true"></i></a>

                              <a class="px-4 btn btn-success btn-sm" href="{{route('estu.resumendedeudas',$estudiante->id )}}" target="_blank"><i class="fa fa-print" aria-hidden="true"></i></a>
                           </td>
                        </tr>
                        @endforeach
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
@endsection



@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

<script>
   $(document).ready(function() {
      $('#table_id').DataTable({
         "language": {
            'info': '_TOTAL_ REGISTROS',
            'search': 'BUSCAR',
            'paginate': {
               'next': 'SIGUIENTE',
               'previous': 'ATRAS'
            },
            'loadingRecords': 'CARGANDO',
            'emptyTable': 'NO EXISTEN DATOS',
            'zeroRecords': 'NO EXISTEN DATOS IGUALES'
         },
         order: [
            [1, 'asc']
         ],
      });
   });
</script>

<script src="{{asset('plugins/slim-select/slimselect.min.js') }}">
</script>

<script>
   setTimeout(function() {
      new SlimSelect({
         select: '#grado_id',
         placeholder: 'Select Permissions',
         deselectLabel: '<span>&times;</span>',
         hideSelectedOption: true,
      })
   }, 300);
</script>


@endsection