@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection
@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <div class="card">
            <div class="card-header">
               <div style="display: flex; justify-content: space-between; align-items: center;">

                  <span id="card_title" style="font-size: 172%;">
                     {{ __('ESTUDIANTES') }}
                  </span>

               </div>
            </div>

            <div class="card-body">
               <div class="table-responsive">
                  <table class="table table-striped table-hover" id="table_id" data-page-length="15">
                     <thead class="thead">
                        <tr>
                           <th>F. INSCRIPCION</th>
                           <th>NOMBRE</th>
                           <th>CUI</th>
                           <th>GRADO</th>
                           <th>NIVEL</th>
                           <th>ENCARGADO</th>
                           <th></th>
                        </tr>
                     </thead>
                     <tbody>
                        @foreach ($data as $estudiante)
                        <tr>
                           <td>{{ $estudiante->created_at }}</td>
                           <td>{{ $estudiante->nombre }}</td>
                           <td>{{ $estudiante->cui }}</td>
                           <td class="text-uppercase">
                              <?php
                              if (isset($estudiante->grado->nombre)) {
                                 echo $estudiante->grado->nombre . ' Seccion:' . $estudiante->grado->seccion;
                              } else {
                                 echo 'GRADO ELIMINADO !!';
                              }
                              ?>
                           </td>
                           <td>
                              <?php
                              if (isset($estudiante->grado->nivel)) {
                                 echo $estudiante->grado->nivel;
                              } else {
                                 echo 'GRADO ELIMINADO !!';
                              }
                              ?>
                           </td>
                           <td>{{ $estudiante->padre->nombre1 }} <br>
                              {{$estudiante->padre->telefono1}} - {{$estudiante->padre->telefono2}}

                              @if ($estudiante->nombre2)
                              <br>
                              {{$estudiante->padre->nombre2}} <br>
                              {{$estudiante->padre->telefono3}} - {{$estudiante->padre->telefono4}}

                              @endif
                           </td>

                           <td>
                              <a href="{{route('estudiante.show', ['id' => $estudiante->id])}}" class="btn btn-primary btn-sm"><i class="fa fa-eye" aria-hidden="true"></i></a>

                              <a href="{{route('estudiante.deudasAll', ['id' => $estudiante->id])}}" class="btn btn-info btn-sm" target="_blank"> <i class="fa fa-money" aria-hidden="true"></i> </a>
                           </td>
                        </tr>
                        @endforeach
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
@endsection



@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

<script>
   $(document).ready(function() {
      $('#table_id').DataTable({
         "language": {
            'info': '_TOTAL_ REGISTROS',
            'search': 'BUSCAR',
            'paginate': {
               'next': 'SIGUIENTE',
               'previous': 'ATRAS'
            },
            'loadingRecords': 'CARGANDO',
            'emptyTable': 'NO EXISTEN DATOS',
            'zeroRecords': 'NO EXISTEN DATOS IGUALES'
         },
         columnDefs: [{
               targets: [0],
               orderData: [1, 4],
            },

            {
               targets: [0],
               orderData: [1, 0],
            },
         ],
      });
   });
</script>
@endsection