<div class="row">
   <div class="col-md-6">

      <!-- <small>AGRUPADOS POR RECIBO DE VENTA</small> -->


      @forelse ($v_bolsas as $venta)
      <p>FECHA DE ADQUISICION <b>{{$venta->created_at}}</b></p>
      <p>

         UNIFORME: <b>{{$venta->nombre}}</b> <br>
         DESCRIPCION: @php
         echo $venta->decripcion;
         @endphp <br>
         CANTIDAD: <b>{{$venta->cantidad}}</b> <br>
         DESCUENTO: <b>Q. {{number_format($venta->descuento, 2)}}</b> <br>
         TOTAL: <b>Q. {{number_format($venta->total, 2)}}</b> <br>
      </p>

      @can('bolsa.deleteVenta')
      <form action="{{route('bolsa.deleteVenta', ['id' => $venta->id])}}" method="post">
         @method('DELETE')
         @csrf
         <a href="{{route('bolsa.ventaRecibo', ['recibo' => $venta->factura_id, 'estudiante' => $data->id])}}" target="_blank" class="btn btn-info"><i class="fa fa-print" aria-hidden="true"></i></a>

         <button type="submit" class="btn btn-danger" onclick="return confirm('Estas Seguro?')"><i class="fa fa-trash-o" aria-hidden="true"></i></button>
      </form>
      @endcan

      @empty

      <div class="alert alert-primary" role="alert">
         <strong>NO EXISTEN DATOS</strong>
      </div>
      @endforelse

   </div>

   <div class="col-md-6">
      <p class="text-center h5">BOLSA A ADQUIRIR</p>

      <form action="{{route('bolsa.storeVenta')}}" method="post">
         @csrf
         <input type="hidden" name="estudiante_id" value="{{$data->id}}">
         <!-- articulos -->
         <div class="form-group row">
            <div class="col">
               <select class="form-control" name="articulo" id="bolsa_id" autofocus>
                  <option value="">Seleccione Articulo</option>
                  @foreach($utiles as $art)
                  <option value="{{$art->id}}__{{$art->stock}}__{{$art->p_venta}}__{{$art->decripcion}}">{{$art->nombre}}, <?php echo $art->decripcion ?> </option>
                  @endforeach
               </select>
               <br>
            </div>
         </div>

         <div class="form-group row">
            <div class="col">
               <select class="form-control" name="lista" id="lista" autofocus>
                  <option value="">Seleccione LISTA</option>
                  @foreach($listas as $art)
                  <option value="{{$art->codigo}}">{{$art->codigo}} </option>
                  @endforeach
               </select>
               <br>
            </div>
         </div>


         <!-- end articulos -->

         <div class="row">
            <div class="col">
               <h3 class="h6">Datos Descriptivos</h3>
               <div class="form-group row mx-3">
                  <div class="row">

                     <div class="col">
                        Precio
                        <input type="text" class="form-control" placeholder="Precio Venta" disabled name="" id="bolsa_pventa">

                     </div>
                     <div class="col">
                        Cantidad
                        <input type="number" step="any" class="form-control" name="" value="1" id="bolsa_cantidad">
                     </div>
                     <div class="col">
                        Descuento
                        <input type="number" step="any" class="form-control" placeholder="Descuento" id="bolsa_descuento">
                     </div>

                     <div class="form-group">
                        <label for="">ENTREGADO ?</label>
                        <select class="form-control" name="entregado_bolsa" id="entregado_bolsa">
                           <option value="NO">NO</option>
                           <option value="SI">SI</option>
                        </select>
                     </div>

                     
                  </div>
               </div>
            </div>
         </div>

         <div class="row p-4 ">
            <div class="col">
               <label for="" id="abolsa_descripArt"></label>
            </div>
         </div>

         <div class="row mb-3">
            <div class="col">
               <button type="button" id="add_bolsa" class="btn btn-outline-primary btn-block"> <i class="fa fa-plus-circle" aria-hidden="true"></i> </button>
            </div>
         </div>


         <div class="row justify-content-center">
            <div class="col table-responsive">
               <!-- Widget: user widget style 1 -->

               <table class="table table-hover table-inverse" id="tabla_bolsa">
                  <thead class="" style="    background-color: #1eb3a2;color: white;">
                     <tr>
                        <th></th>
                        <th>Articulo</th>
                        <th>Precio Venta</th>
                        <th>Descuento</th>
                        <th>Cantidad</th>
                        <th>Subtotal</th>
                     </tr>
                  </thead>
                  <tbody>

                     <tr>

                     </tr>

                  </tbody>
               </table>

               <!-- /.widget-user -->
            </div>

         </div>

         <div class="row">
            <label id="bolsa_total"> </label>
            <br>
            <label id="bolsa_descuento"> </label>
         </div>

         <div class="row">
            <div class="col">

               <div class="form-group">
                  <label for="">DESCRIPCION / NOTA</label>
                  <textarea class="form-control" name="descripcion" rows="3"></textarea>
               </div>

               <br>

               <button type="submit" class="btn btn-primary"><i class="fas fa-save"></i> GUARDAR</button>
            </div>
         </div>
      </form>

   </div>

</div>