@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
@endsection

@section('content')

<div class="container-fluid">
   <div class="row">
      <div class="col-md-4">

         <div class="card">
            <img class="card-img-top" style="width: 75%; margin-left: auto; margin-right: auto" src="{{asset('images/inicio/student.png')}}" alt="">
            <div class="card-body">
               <h4 class="card-title">ESTUDIANTES</h4>
               <p class="card-text">PERMITE VISUALIZAR EL REPORTE DE TODOS LOS ESTUDIANTES</p>
               <a class="btn btn-info" href="{{route('estudiante.allEstudiante')}}"><i class="fa fa-print" aria-hidden="true"></i></a>
            </div>
         </div>

      </div>


      <div class="col-md-4">
         <div class="card">
            <img class="card-img-top" style="width: 75%; margin-left: auto; margin-right: auto" src="{{asset('images/inicio/retirados.png')}}" alt="">
            <div class="card-body">
               <h4 class="card-title">RETIRADOS</h4>
               <p class="card-text">PERMITE VISUALIZAR EL REPORTE DE TODOS LOS ESTUDIANTES RETIRADOS</p>
               <a class="btn btn-info" href="{{route('estudiante.getRetirados')}}"><i class="fa fa-print" aria-hidden="true"></i></a>
            </div>
         </div>
      </div>

      <div class="col-md-4">
         <div class="card">
            <img class="card-img-top" style="width: 75%; margin-left: auto; margin-right: auto" src="{{asset('images/inicio/deuda.png')}}" alt="">
            <div class="card-body">
               <h4 class="card-title">DEUDORES</h4>
               <p class="card-text">PERMITE VISUALIZAR EL REPORTE DE TODOS LOS DEUDORES</p>

               <a class="btn btn-info" href="{{route('estudiante.alldeudores')}}"><i class="fa fa-print" aria-hidden="true"></i></a>

            </div>
         </div>
      </div>

      <div class="col-md-4">
         <div class="card">
            <img class="card-img-top" style="width: 75%; margin-left: auto; margin-right: auto" src="{{asset('images/inicio/level.png')}}" alt="">
            <div class="card-body">
               <h4 class="card-title">NIVELES</h4>
               <p class="card-text">RETORNA EL REPORTE DE ESTUDIANTES POR NIVEL</p>

               <form action="{{route('estudiante.allnivel')}}" method="GET">

                  <select name="nivel" class="form-control" required>
                     <option value="">SELECCIONE UN NIVEL</option>
                     <option value="PRE-PRIMARIA">PRE-PRIMARIA</option>
                     <option value="PRIMARIA">PRIMARIA</option>
                     <option value="BASICO">BASICO</option>
                     <option value="DIVERSIFIFCADO">DIVERSIFIFCADO</option>
                     <option value="BASICO POR MADUREZ">BASICO POR MADUREZ</option>
                     <option value="DIVERSIFIFCADO POR MADUREZ">DIVERSIFIFCADO POR MADUREZ</option>
                  </select>

                  <button type="submit" class="btn btn-primary my-2"><i class="fa fa-print" aria-hidden="true"></i></button>

               </form>
            </div>
         </div>
      </div>

      <div class="col-md-4">
         <div class="card">
            <img class="card-img-top" style="width: 75%; margin-left: auto; margin-right: auto" src="{{asset('images/inicio/cumple.png')}}" alt="{{config('app.name')}}">
            <div class="card-body">
               <h4 class="card-title">CUMPLEAÑEROS</h4>
               <p class="card-text">RETORNA EL LISTADO DE LOS ESTUDIANTES CUMPLEAÑEROS POR MES</p>

               <form action="{{route('estudiante.cumpleaneros')}}" method="post">
                  @csrf

                  <select name="mes" class="form-control">
                     <option selected hidden>Mes</option>
                     <option value="01">Enero</option>
                     <option value="02">Febrero</option>
                     <option value="03">Marzo</option>
                     <option value="04">Abril</option>
                     <option value="05">Mayo</option>
                     <option value="06">Junio</option>
                     <option value="07">Julio</option>
                     <option value="08">Agosto</option>
                     <option value="09">Septiembre</option>
                     <option value="10">Octubre</option>
                     <option value="11">Noviembre</option>
                     <option value="12">Diciembre</option>
                  </select>

                  <button type="submit" class="btn btn-info mt-3"><i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>

               </form>
            </div>
         </div>
      </div>


      <div class="col-md-4">
         <div class="card">
            <img class="card-img-top p-4" src="{{asset('images/inicio/rango.png')}}" style="width: 75%; margin-left: auto; margin-right: auto" alt="{{config('app.name')}}">
            <div class="card-body">
               <h4 class="card-title">ESTUDIANTES POR RANGO DE DEUDAS</h4>
               <p class="card-text">RETORNA LOS ESTUDIANTES CON DEUDAS POR UNA SELECCION DE RANGO</p>

               <form action="{{route('estudiante.rangodeDeudas')}}" method="post">
                  @csrf

                  <div class="form-group">
                     <label for="minimo">MINIMO</label>
                     <input type="number" step="any" class="form-control" name="minimo" placeholder="MINIMO DE DEUDA">
                  </div>

                  <div class="form-group">
                     <label for="">MAXIMO</label>
                     <input type="text" class="form-control" name="maximo" placeholder="MAXIMO DE DEUDA">
                  </div>

                  <button type="submit" class="btn btn-primary"><i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>

               </form>
            </div>
         </div>
      </div>

      <div class="col-md-4">
         <div class=" card text-center">
            <img class="card-img-top" style="width: 30%; margin-left: auto; margin-right: auto;" src="{{asset('images/lista2.png')}}" alt="{{config('app.name')}}">
            <div class="card-body">
               <h4 class="card-title">REPORTE PAPELERIAS</h4>
               <p class="card-text">RETORNA EL LISTADO DE TODAS LA PAPELERIAS CON SUS ESTADO</p>

               <form action="{{route('papeleria.reportePapeleria')}}" method="GET">
                  <div class="container">
                     <div class="row">
                        <div class="col">
                           <div class="form-group">
                              <label for="">SELECCIONAR GRADO</label>
                              <select name="grado_id" id="grado_id2">
                                 <option value="TODOS">TODOS</option>
                                 @foreach ($grados as $grado)
                                 <option value="{{$grado->id}}" class="text-uppercase">{{$grado->nombre}} / Seccion: {{$grado->seccion}} / {{$grado->nivel}}</option>
                                 @endforeach
                              </select>
                           </div>
                        </div>
                        <div class="col-md-3">
                           <button type="submit" class="btn btn-primary mt-4" id="buscar"><i class="fa fa-search" aria-hidden="true"></i></button>
                        </div>
                     </div>
                  </div>
               </form>

            </div>
         </div>
      </div>

   </div>

</div>
@endsection

@section('scripts')
<script src="{{asset('plugins/slim-select/slimselect.min.js') }}"></script>

<script>
   setTimeout(function() {
      new SlimSelect({
         select: '#grado_id2',
         placeholder: 'Select Permissions',
         deselectLabel: '<span>&times;</span>',
         hideSelectedOption: true,
      })
   }, 300);
</script>
@endsection