@extends('layouts.admin')

@section('content')
<div class="container-fluid">
   <div class="row">

      <div class="col-md-6">
         <a href="{{route('grados.allgrados')}}" target="_blank">
            <div class="card text-center">
               <img class="card-img-top" style="width: 30%; margin-left: auto; margin-right: auto;" src="{{asset('images/lista1.png')}}" alt="{{config('app.name')}}">
               <div class="card-body">
                  <h4 class="card-title">REPORTE DE GRADOS</h4>
                  <p class="card-text">RETORNA EL LISTADO DE TODOS LOS GRADOS REGISTRADOS</p>
               </div>
            </div>
         </a>
      </div>

      <div class="col-md-6">
         <div class="card text-center">
            <img class="card-img-top" style="width: 30%; margin-left: auto; margin-right: auto;" src="{{asset('images/lista2.png')}}" alt="{{config('app.name')}}">
            <div class="card-body">
               <h4 class="card-title">REPORTE ESTUDIANTES POR GRADO</h4>
               <p class="card-text">RETORNA EL LISTADO DE TODOS LOS ESTUDIANTES EN UN GRADO</p>

               <form action="{{route('grados.estudiantesDeGrados')}}" method="GET">
                  @include('admin.estudiantes.data.filtrogrados')
               </form>

            </div>
         </div>
      </div>
      <div class="col-md-6">
         <div class="card text-center">
            <img class="card-img-top" style="width: 30%; margin-left: auto; margin-right: auto;" src="{{asset('images/lista2.png')}}" alt="{{config('app.name')}}">
            <div class="card-body">
               <h4 class="card-title">REPORTE ESTUDIANTES, PADRE POR GRADO</h4>
               <p class="card-text">RETORNA EL LISTADO DE TODOS LOS ESTUDIANTES EN UN GRADO</p>

               <form action="{{route('grados.getPadreToGrado')}}" method="GET">
                  <div class="container">
                     <div class="row">
                        <div class="col">
                           <div class="form-group">
                              <label for="">SELECCIONAR GRADO</label>
                              <select name="grado_id" id="grado_id2">
                                 @foreach ($grados as $grado)
                                 <option value="{{$grado->id}}" class="text-uppercase">{{$grado->nombre}} / Seccion: {{$grado->seccion}} / {{$grado->nivel}}</option>
                                 @endforeach
                              </select>
                           </div>
                        </div>
                        <div class="col-md-3">
                           <button type="submit" class="btn btn-primary mt-4" id="buscar"><i class="fa fa-search" aria-hidden="true"></i></button>
                        </div>
                     </div>
                  </div>
               </form>

            </div>
         </div>
      </div>

   </div>

   <div class="row">

      <div class="col-md-6">
         <a href="{{route('grados.deudores')}}">
            <div class="card text-center">
               <img class="card-img-top" style="width: 30%; margin-left: auto; margin-right: auto;" src="{{asset('images/deudas.png')}}" alt="{{config('app.name')}}">
               <div class="card-body">
                  <h4 class="card-title">REPORTE DE DEUDORES</h4>
                  <p class="card-text">RETORNA EL LISTADO DE TODOS LOS ESTUDIANTES DEUDORES DE COLEGIATURA</p>
               </div>
            </div>
         </a>
      </div>

      <div class="col-md-6">
         <div class="card text-center">
            <img class="card-img-top" style="width: 30%; margin-left: auto; margin-right: auto;" src="{{asset('images/deuda2.png')}}" alt="{{config('app.name')}}">
            <div class="card-body">
               <h4 class="card-title">DEUDORES POR GRADO</h4>
               <p class="card-text">RETORNA EL LISTADO DE TODOS LOS ESTUDIANTES DEUDORES POR GRADO</p>
               <form action="{{route('grados.alldeures')}}" method="post">
                  @csrf

                  <div class="form-group">
                     <label for=""></label>
                     <select class="form-control" name="grado_id" id="grado_deu_id">
                        <option>SELECCIONE UN GRADO</option>
                        <option value="TODOS">TODOS</option>
                        @foreach ($grados as $gr)
                        <option value="{{$gr->id}}">{{$gr->nombre}} / Seccion: {{$gr->seccion}} / Nivel: {{$gr->nivel}}</option>
                        @endforeach
                     </select>
                  </div>

                  <button type="submit" class="btn btn-primary">GENERAR REPORTE</button>

               </form>
            </div>
         </div>
      </div>


      <div class="col-md-6">
         <div class="card text-center">
            <img class="card-img-top" style="width: 30%; margin-left: auto; margin-right: auto;" src="{{asset('images/deuda2.png')}}" alt="{{config('app.name')}}">
            <div class="card-body">
               <h4 class="card-title">DEUDORES POR GRADO</h4>
               <p class="card-text">RETORNA EL LISTADO DE TODOS LOS ESTUDIANTES DEUDORES POR GRADO Y POR TIPO DE DEUDA</p>
               <form action="{{route('grados.getDeudoreForTipo')}}" method="post">
                  @csrf
                  <button type="submit" class="btn btn-primary">GENERAR REPORTE</button>
                  <div class="form-group">
                     <label for="">TIPO DE DEUDA: </label>
                     <select class="form-control" name="abonoa[]" id="grados3" multiple>
                        <option value="COLEGIATURA">COLEGIATURA</option>
                        <option value="BUS">BUS</option>
                        <option value="BOLSA DE UTILES">BOLSA DE UTILES</option>
                        <option value="LIBROS">LIBROS</option>
                        <option value="UNIFORME">UNIFORME</option>
                        <option value="INSCRIPCION">INSCRIPCION</option>
                        <option value="ACTIVIDADES">ACTIVIDADES</option>
                        <option value="DEUDA EXTRA">DEUDA EXTRA</option>
                     </select>
                  </div>

                  <div class="form-group">
                     <label for=""></label>
                     <select class="form-control" name="grado_id[]" id="grado_deu_id2" multiple>
                        <option value="TODOS">TODOS</option>
                        @foreach ($grados as $gr)
                        <option value="{{$gr->id}}">{{$gr->nombre}} / Seccion: {{$gr->seccion}} / Nivel: {{$gr->nivel}}</option>
                        @endforeach
                     </select>
                  </div>


               </form>
            </div>
         </div>
      </div>


      <div class="col-md-6">
         <div class="card text-center">
            <div class="card-body">
               <h4 class="card-title">CONVENIOS</h4>
               <p class="card-text">RETORNA EL REPORTE DE LOS CONVENIOS</p>
               <form action="{{route('conv.reporte')}}" method="get">
                  @csrf
                  <div class="form-group">
                     <label for="">TIPO DE DEUDA: </label>
                     <select class="form-control" name="abonoa">
                        <option value="COLEGIATURA">COLEGIATURA</option>
                        <option value="BUS">BUS</option>
                        <option value="BOLSA DE UTILES">BOLSA DE UTILES</option>
                        <option value="LIBROS">LIBROS</option>
                        <option value="UNIFORME">UNIFORME</option>
                        <option value="INSCRIPCION">INSCRIPCION</option>
                        <option value="ACTIVIDADES">ACTIVIDADES</option>
                        <option value="DEUDA EXTRA">DEUDA EXTRA</option>
                     </select>
                  </div>

                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>

                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>


                  <button type="submit" class="btn btn-primary">GENERAR REPORTE</button>
               </form>
            </div>
         </div>
      </div>


   </div>
</div>

@endsection

@section('scripts')
<script src="{{asset('plugins/slim-select/slimselect.min.js') }}"></script>
<script>
   setTimeout(function() {
      new SlimSelect({
         select: '#grado_id',
         placeholder: 'Select Permissions',
         deselectLabel: '<span>&times;</span>',
         hideSelectedOption: true,
      })
   }, 300);
   
     setTimeout(function() {
      new SlimSelect({
         select: '#grado_id2',
         placeholder: 'Select Permissions',
         deselectLabel: '<span>&times;</span>',
         hideSelectedOption: true,
      })
   }, 300);
   setTimeout(function() {
      new SlimSelect({
         select: '#grado_deu_id',
         placeholder: 'Select Permissions',
         deselectLabel: '<span>&times;</span>',
         hideSelectedOption: true,
      })
   }, 300);

   new SlimSelect({
      select: '#grado_deu_id2',
      placeholder: 'SLECIONE GRADOS',
      deselectLabel: '<span>&times;</span>',
      hideSelectedOption: true,
   })

   new SlimSelect({
      select: '#grados3',
      placeholder: 'SELECCIONE TIPOS DE DEUDAS',
      deselectLabel: '<span>&times;</span>',
      hideSelectedOption: true,
   })
</script>
@endsection

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
@endsection