@extends('layouts.admin')

@section('content')

<div class='row'>
    <div class='col'>
        <div class='card'>
            <div class='card-body'>
                <h4 class='card-title'>INSUMOS REGISTRADOS</h4>


                <div class="table-responsive">
                    <table class="table" id="table">
                        <thead>
                            <tr>
                                <th>Nombre</th>
                                <th>Cantidaad</th>
                                <th>Costo Total</th>
                                <th>Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($insumos as $insumo)
                            <tr>
                                <td>{{$insumo->nombre}}</td>
                                <td>{{$insumo->cantidad}}</td>
                                <td>Q. {{number_format($insumo->p_venta, 2)}}</td>
                                <td>
                                    <a href="{{route('insumos.edit', $insumo->id)}}" class="btn btn-primary"><i class="fas fa-edit"></i></a>
                                    <form action="{{route('insumos.destroy', $insumo->id)  }}" method="post">
                                        @csrf
                                        @method('DELETE')
                                        <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar?')" ><i class='fa fa-trash' aria-hidden='true'></i></button>
                                    </form>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>



            </div>
        </div>
    </div>
</div>

@endsection

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection


@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>
<script>
    $(document).ready(function() {
      $('#table').DataTable({
         "language": {
            'info': '_TOTAL_ REGISTROS',
            'search': 'BUSCAR',
            'paginate': {
               'next': 'SIGUIENTE',
               'previous': 'ATRAS'
            },
            'loadingRecords': 'CARGANDO',
            'emptyTable': 'NO EXISTEN DATOS',
            'zeroRecords': 'NO EXISTEN DATOS IGUALES'
         },
         
      });
   });
</script>
@endsection