@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection
@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <div class="card">
            <div class="card-header">
               <div style="display: flex; justify-content: space-between; align-items: center;">

                  <span id="card_title" style="font-size: 172%;">
                     {{ __('NOTAS TRABAJADORES') }}
                  </span>

               </div>
            </div>

            <div class="card-body">

               <p>
                  <button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#contentId" aria-expanded="false" aria-controls="contentId">
                     NUEVA NOTA
                  </button>
               </p>
               <div class="collapse" id="contentId">
                  <form action="{{route('notas.store')}}" method="post">
                     @csrf
                     <div class="form-group">
                        <label for="titulo">TITUTLO DE NOTA</label>
                        <input type="text" class="form-control" name="titulo" placeholder="TITULO DE NOTA">
                     </div>

                     <div class="form-group">
                        <textarea class="form-control" name="descripcion" id="editor1" cols="30" rows="2" placeholder="Post a new message"></textarea>
                     </div>

                     <div class="form-group">
                        <label for="">FECHA DE ASIGNACION</label>
                        <input type="date" class="form-control" name="fecha">
                     </div>

                     <div class="d-flex align-items-center">
                        <button type="submit" class="btn btn-primary px-3 ml-4"><i class="fas fa-save    "></i> GUARDAR NOTA</button>
                     </div>
                  </form>

               </div>

               <div class="table-responsive">
                  <table class="table table-striped table-hover" id="table_id" data-page-length="15">
                     <thead class="thead">
                        <tr>
                           <th>No</th>
                           <th>TITULO</th>
                           <th>FECHA DE ASIGNACION</th>
                           <th>DESCRIPCION</th>
                           <th></th>
                        </tr>
                     </thead>
                     <tbody>
                        @foreach ($notas as $nota)
                        <tr>
                           <td>{{ $nota->id }}</td>
                           <td>{{ $nota->titulo }}</td>
                           <td>{{ $nota->fecha }}</td>
                           <td><?php echo $nota->descripcion; ?></td>
                           <td>
                              <a href="{{route('notas.show', ['id' => $nota->id])}}" class="btn btn-primary btn-sm"><i class="fa fa-eye" aria-hidden="true"></i></a>

                              <form action="{{route('notas.delete', ['id' => $nota->id])}}" method="post">
                                 @csrf
                                 @method('DELETE')
                                 <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('Estas Seguro?')"><i class="fa fa-fw fa-trash"></i> </button>
                              </form>
                           </td>
                        </tr>
                        @endforeach
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
@endsection



@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

<script>
   $(document).ready(function() {
      $('#table_id').DataTable({

         "language": {
            'info': '_TOTAL_ REGISTROS',
            'search': 'BUSCAR',
            'paginate': {
               'next': 'SIGUIENTE',
               'previous': 'ATRAS'
            },
            'loadingRecords': 'CARGANDO',
            'emptyTable': 'NO EXISTEN DATOS',
            'zeroRecords': 'NO EXISTEN DATOS IGUALES'
         }
      });
   });
</script>
<script src="{{ asset('plugins/ckeditor/ckeditor.js')  }}"></script>
<script>
   CKEDITOR.replace('editor1', {
      uiColor: '#9AB8F3',
   });
</script>
@endsection