@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection

@section('content')

<div class="container-flid">
   <div class="row justify-content-center">
      <div class="col-md-10">
         <div class="card">
            <div class="card-body">


               <div class="d-flex justify-content-around">

                  <p class="h4">PLANILLAS REGISTRADAS</p>

                  <a class="btn btn-primary" href="{{route('planilla.create')}}"> REGISTRAR NUEVA PLANILLA</a>

               </div>

               <div class="table-responsive mt-3">

                  <table class="table" id="table_id">
                     <thead>
                        <tr>
                           <th>#</th>
                           <th>NOMBRE</th>
                           <th>ASIGNACION</th>
                           <th></th>
                        </tr>
                     </thead>
                     <tbody>
                        @foreach ($data as $dt)
                        <tr>
                           <td>{{$dt->id}}</td>
                           <td>{{$dt->nombre}}</td>
                           <td>{{$dt->asignacion}}</td>
                           <td>
                              <form action="{{route('planilla.delete', ['id' => $dt->id])}}" method="post">
                                 @csrf
                                 @method('DELETE')

                                 <a class="btn btn-sm btn-info" href="{{route('planilla.show', ['id' => $dt->id])}}" role="button"><i class="fa fa-eye" aria-hidden="true"></i></a>

                                 <button type="submit" class="btn btn-sm btn-danger" onclick="return confirm('Estas Seguro de Eliminar?')"><i class="fa fa-trash" aria-hidden="true"></i></button>

                              </form>
                           </td>
                        </tr>
                        @endforeach
                     </tbody>
                  </table>

               </div>

            </div>
         </div>
      </div>
   </div>
</div>

@endsection




@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

<script>
   $(document).ready(function() {
      $('#table_id').DataTable({
         "language": {
            'info': '_TOTAL_ REGISTROS',
            'search': 'BUSCAR',
            'paginate': {
               'next': 'SIGUIENTE',
               'previous': 'ATRAS'
            },
            'loadingRecords': 'CARGANDO',
            'emptyTable': 'NO EXISTEN DATOS',
            'zeroRecords': 'NO EXISTEN DATOS IGUALES'
         }
      });
   });
</script>
@endsection