@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">

@endsection

@section('content')

<div class="container-flid">
   <div class="row justify-content-center">
      <div class="col-md-10 card mt-4 pb-4">

         <p class="text-center h2 p-4">PAGO DE PLANILLA</p>

         <form action="{{route('pago_planilla.store')}}" method="post">
            @csrf()
            <div class="row">
               <select name="planilla_id" id="planilla_id" class="col-md-6 mb-3" required>
                  <option value="">SELECCIONE COLABORADOR</option>
                  @foreach ($data as $planilla)
                  <option value="{{$planilla->id}}">{{$planilla->nombre}} / {{$planilla->asignacion}}</option>
                  @endforeach
               </select>
               <select name="tipo" id="tipo" class="mb-3 col-md-6" required>
                  <option value="EFECTIVO">EFECTIVO</option>
                  <option value="DEPOSITO">DEPOSITO</option>
                  <option value="TRANSFERENCIA">TRANSFERENCIA</option>
                  <option value="CHEQUE">CHEQUE</option>
                  <option value="OTRO">OTRO</option>
               </select>
               <div class="form-group col-md-6">
                  <label for="">TOTAL</label>
                  <input type="number" step="any" class="form-control" name="total" placeholder="TOTAL A CANCELAR">
               </div>
            </div>
            <button type="submit" class="btn btn-warning"><i class="fas fa-save    "></i> GUARDAR</button>
         </form>
   </div>
</div>

@endsection




@section('scripts')
<script src="{{asset('plugins/slim-select/slimselect.min.js') }}"></script>

<script>
   new SlimSelect({
      select: '#planilla_id',
      placeholder: 'Select Permissions',
      deselectLabel: '<span>&times;</span>',
      hideSelectedOption: true,
   });
   new SlimSelect({
      select: '#tipo',
      placeholder: 'Select Permissions',
      deselectLabel: '<span>&times;</span>',
      hideSelectedOption: true,
   });
</script>
@endsection