@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection
@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <div class="card">
            <div class="card-header">
               <div style="display: flex; justify-content: space-between; align-items: center;">

                  <span id="card_title" style="font-size: 172%;">
                     {{ __('GRADOS') }}
                  </span>

                  <div class="float-right">
                     <!-- Button trigger modal -->
                     <button type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#modelId">
                        NUEVA PROMOCION DEL
                     </button>


                  </div>
               </div>

               <div class="card-body">
                  <div class="table-responsive">
                     <table class="table table-striped table-hover" id="table_id" data-page-length="15">
                        <thead class="thead">
                           <tr>
                              <th>No</th>
                              <th>Nombre</th>
                              <th>Costo</th>
                              <th>Tipo</th>
                              <th></th>
                           </tr>
                        </thead>
                        <tbody>
                           @foreach ($data as $promo)
                           <tr>
                              <td>{{ $promo->id }}</td>
                              <td>{{ $promo->nombre }}</td>
                              <td> {{ $promo->costo }} %</td>
                              <td>{{ $promo->tipo }}</td>

                              <td>
                   
                                 <form action="{{route('promocion.delete',  $promo->id)}}" method="POST">
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('Estas Seguro de Eliminar?')"><i class="fa fa-fw fa-trash"></i> </button>
                                 </form>

                              </td>
                           </tr>
                           @endforeach
                        </tbody>
                     </table>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>

   <!-- Modal -->
   <div class="modal fade" id="modelId" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">
      <div class="modal-dialog" role="document">
         <div class="modal-content">
            <div class="modal-header">
               <h5 class="modal-title">NUEVA PROMOCION</h5>
               <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
               </button>
            </div>
            <form action="{{route('promocion.store')}}" method="post">
               @csrf()
               <div class="modal-body">
                  <div class="form-group">
                     <label for="">PROMOCION</label>
                     <input type="text" class="form-control" name="nombre" required>
                  </div>
                  <div class="form-group">
                     <label for="">COSTO</label>
                     <input type="text" class="form-control" name="costo" required>
                  </div>
               </div>

               <div class="form-group">
                 <label for="">TIPO: </label>
                 <select class="form-control" name="tipo" required>
                   <option value="INSCRIPCION" >INSCRIPCION</option>
                   <option value="COLEGIATURA" >COLEGIATURA</option>
                 </select>
               </div>

               <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">CERRAR</button>
                  <button type="submit" class="btn btn-primary">GUARDAR</button>
               </div>
            </form>
         </div>
      </div>
   </div>

   @endsection



   @section('scripts')
   <script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
   <script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

   <script>
      $(document).ready(function() {
         $('#table_id').DataTable({
            "language": {
               'info': '_TOTAL_ REGISTROS',
               'search': 'BUSCAR',
               'paginate': {
                  'next': 'SIGUIENTE',
                  'previous': 'ATRAS'
               },
               'loadingRecords': 'CARGANDO',
               'emptyTable': 'NO EXISTEN DATOS',
               'zeroRecords': 'NO EXISTEN DATOS IGUALES'
            }
         });
      });
   </script>
   @endsection