@extends('layouts.admin')

@section('content')

<div class="container-fluid">
   <div class="row">

      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">PROMOCIONES</h4>
               <p class="card-text">RETORNA LOS ESTUDIANTES POR PROMOCION</p>
               <form action="{{route('promocion.report_promociones')}}" method="get">

                  <div class="form-group">
                     <label for="">PROMOCIONES</label>
                     <select class="form-control" name="promocion[]" id="promocioni" multiple>
                        @foreach ($promos as $pro )
                        <option value="{{$pro->id}}">{{$pro->nombre}}</option>
                        @endforeach
                     </select>
                  </div>

                  <button type="submit" class="btn btn-primary"><i class="fa fa-print" aria-hidden="true"></i> IMPRIMIR</button>

               </form>
            </div>
         </div>
      </div>


      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">GRADOS</h4>
               <p class="card-text">RETORNA EL REPORTE DE LAS PROMOCIONES POR GRADO</p>
               <form action="{{route('promocion.report_promociones_to_grado')}}" method="get">

                  <div class="form-group">
                     <label for="">GRADO: </label>
                     <select class="form-control" name="grado_id" id="grado_id">
                        @foreach ($grados as $g )
                        <option value="{{$g->id}}">{{$g->nombre}} - {{$g->nivel}}</option>
                        @endforeach
                     </select>
                  </div>

                  <button type="submit" class="btn btn-primary"><i class="fa fa-print" aria-hidden="true"></i> IMPRIMIR</button>

               </form>
            </div>
         </div>
      </div>


   </div>
</div>
@endsection

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
@endsection

@section('scripts')

<script src="{{asset('plugins/slim-select/slimselect.min.js') }}"></script>

<script>
   new SlimSelect({
      select: '#promocioni',
      placeholder: 'Select Permissions',
      deselectLabel: '<span>&times;</span>',
      hideSelectedOption: true,
   });
   
   new SlimSelect({
      select: '#grado_id',
      placeholder: 'Select Permissions',
      deselectLabel: '<span>&times;</span>',
      hideSelectedOption: true,
   });
</script>


@endsection