@extends('layouts.recibos')

@if ($abonos->abonoa == 'COLEGIATURA' || $abonos->abonoa == 'INSCRIPCION')
@section('logo')
<div class="row">
   <img src="{{asset('logos/recibo.png')}}" alt="{{config('app.name', 'DeCoDev')}}" class="img-fluidd mt-4" style="border-radius: 25px; width: 165px !important; height: 155 !important;">
   <br>
   <center style="text-transform: uppercase;"><b>{{config('app.name')}}</b></center>
</div>
<div align="center">
   <div style="font-size: 20px;">
      <p style="text-transform: uppercase;">
         {{config('app.direccion')}}
      </p>
      <p class="text-center">
         Teléfono: <span class="text-info">{{config('app.telefono')}}</span>
      </p>
      <p class="text-center">
         Email: <span class="text-info">{{config('app.email')}}</span>
      </p>
   </div>
</div>
@endsection
@endif

@if ($abonos->abonoa != 'COLEGIATURA' || $abonos->abonoa != 'INSCRIPCION')
@section('logo')
<div align="center">
   <div style="font-size: 20px;">
      <p style="text-transform: uppercase;">
         PRODEA
      </p>
   </div>
</div>
@endsection
@endif


@section('content')

<div align="center">
   <h3 class="text-capitalize text-center">DATOS DE RECIBO</h3>
   <div class="text-right" style="font-size: 20px;">
      <p class="text-uppercase text-center">
         NUMERO DE RECIBO: <b>CSB #00{{$factura}}</b> <br>
      </p>
      <p class="text-uppercase text-center">
         FECHA DE PAGO: {{$fecha}} <br>
      </p>
   </div>
</div>



<div align="center">
   <p style="text-transform: capitalize;">
      ESTUDIANTE: {{$estudiante->nombre}} <br>
      <span class="text-rigth">GRADO: {{$estudiante->grado->nombre}} <br> Seccion:{{$estudiante->grado->seccion}}</span> <br>
   <table>
      <thead>
         <tr>
            <th class="cantidad">Tipo</th>
            <th class="producto">Desc..</th>
            <th class="precio">Sub.</th>
         </tr>
      </thead>
      <tbody>
         @php
         $total_Abo = 0;
         @endphp

         <tr>
            <td class="cantidad">
               {{$abonos->tipo}}
            </td>
            <td class="producto">ABONO POR: {{$abonos->abonoa}} <br> <?php echo $abonos->descripcion; ?></td>
            <td class="precio">Q.{{$abonos->valor}}</td>
         </tr>
         @php
         $total_Abo += $abonos->valor;
         @endphp

      </tbody>
   </table>

</div>



<div class="row">

   <div class="col">
      <h5 class="text-right text-info">
         <p>Total A Pagar: Q. {{ number_format($total_Abo,2) }}</p>
         <input type="hidden" id="total" value="{{$total_Abo}}" >
         <p style="text-align: center;">DEUDAS</p>

         <?php $dts = 0; ?>

         @php
         $abono =0;
         @endphp
         @for ($i = 0; $i < count($abonos2[0]); $i++) @php $abono +=$abonos2[0][$i]->valor;
            @endphp
            @endfor

            <?php
            if (getDeudaEstudianteRecibo($estudiante->inscripcion, $abono + getDescuentoToTipoAndEstudiante('INSCRIPCION', $estudiante->id), 'INSCRIPCION')['valor'] > 0) {
               $dts += getDeudaEstudianteRecibo($estudiante->inscripcion, $abono + getDescuentoToTipoAndEstudiante('INSCRIPCION', $estudiante->id), 'INSCRIPCION')['valor'];
               echo getDeudaEstudianteRecibo($estudiante->inscripcion, $abono + getDescuentoToTipoAndEstudiante('INSCRIPCION', $estudiante->id), 'INSCRIPCION')['text'];
            }
            ?>

            @php
            $abono = 0;
            @endphp
            @for ($i = 0; $i < count($abonos2[1]); $i++) @php $abono +=$abonos2[1][$i]->valor;
               @endphp
               @endfor
               <?php
               if (getDeudaEstudianteRecibo($total_colegiatura, $abono + getDescuentoToTipoAndEstudiante('COLEGIATURA', $estudiante->id), 'COLEGIATURA')['valor'] > 0) {
                  $dts += getDeudaEstudianteRecibo($total_colegiatura, $abono + getDescuentoToTipoAndEstudiante('COLEGIATURA', $estudiante->id), 'COLEGIATURA')['valor'];
                  echo  getDeudaEstudianteRecibo($total_colegiatura, $abono + getDescuentoToTipoAndEstudiante('COLEGIATURA', $estudiante->id), 'COLEGIATURA')['text'];
               }
               ?>


               @php
               $abono = 0;
               @endphp
               @for ($i = 0; $i < count($abonos2[3]); $i++) @php $abono +=$abonos2[3][$i]->valor;
               @endphp
               @endfor
               <?php
               if (getDeudaEstudianteRecibo($total_bolsa, $abono + getDescuentoToTipoAndEstudiante('BOLSA DE UTILES', $estudiante->id), 'BOLSA DE UTILES')['valor']) {
                  $dts += getDeudaEstudianteRecibo($total_bolsa, $abono + getDescuentoToTipoAndEstudiante('BOLSA DE UTILES', $estudiante->id), 'BOLSA DE UTILES')['valor'];
                  echo getDeudaEstudianteRecibo($total_bolsa, $abono + getDescuentoToTipoAndEstudiante('BOLSA DE UTILES', $estudiante->id), 'BOLSA DE UTILES')['text'];
               }
               ?>

               @php
               $abono = 0;
               @endphp
               @for ($i = 0; $i < count($abonos2[7]); $i++) @php $abono +=$abonos2[7][$i]->valor;
               @endphp
               @endfor
               <?php
               if (getDeudaEstudianteRecibo($total_libros, $abono + getDescuentoToTipoAndEstudiante('LIBROS', $estudiante->id), 'LIBROS')['valor']) {
                  $dts += getDeudaEstudianteRecibo($total_libros, $abono + getDescuentoToTipoAndEstudiante('LIBROS', $estudiante->id), 'LIBROS')['valor'];
                  echo getDeudaEstudianteRecibo($total_libros, $abono + getDescuentoToTipoAndEstudiante('LIBROS', $estudiante->id), 'LIBROS')['text'];
               }
               ?>


                  @php
                  $abono = 0;
                  @endphp
                  @for ($i = 0; $i < count($abonos2[4]); $i++) @php $abono +=$abonos2[4][$i]->valor;
                  @endphp
                  @endfor
                  <?php
                  if (getDeudaEstudianteRecibo($total_uniforme, $abono + getDescuentoToTipoAndEstudiante('UNIFORME', $estudiante->id), 'UNIFORMES')['valor']) {
                     $dts += getDeudaEstudianteRecibo($total_uniforme, $abono + getDescuentoToTipoAndEstudiante('UNIFORME', $estudiante->id), 'UNIFORMES')['valor'];
                     echo getDeudaEstudianteRecibo($total_uniforme, $abono + getDescuentoToTipoAndEstudiante('UNIFORME', $estudiante->id), 'UNIFORMES')['text'];
                  }
                  ?>

                  @php
                  $abono = 0;
                  @endphp
                  @for ($i = 0; $i < count($abonos2[5]); $i++) @php $abono +=$abonos2[5][$i]->valor + $ab_actividad;
                  @endphp
                  @endfor
                  <?php
                  if (getDeudaEstudianteRecibo($total_actividad, $abono + getDescuentoToTipoAndEstudiante('ACTIVIDADES', $estudiante->id) + $ab_actividad, 'ACTIVIDADES')['valor']) {
                     $dts += getDeudaEstudianteRecibo($total_actividad, $abono + getDescuentoToTipoAndEstudiante('ACTIVIDADES', $estudiante->id) + $ab_actividad, 'ACTIVIDADES')['valor'];
                     echo getDeudaEstudianteRecibo($total_actividad, $abono + getDescuentoToTipoAndEstudiante('ACTIVIDADES', $estudiante->id) + $ab_actividad, 'ACTIVIDADES')['text'];
                  }
                  ?>

                  @php
                  $abono = 0;
                  @endphp
                  @for ($i = 0; $i < count($abonos2[6]); $i++) @php $abono +=$abonos2[6][$i]->valor;
                  @endphp
                  @endfor
                  <?php
                  if (getDeudaEstudianteRecibo($total_ext, $abono + getDescuentoToTipoAndEstudiante('DEUDAS EXTRAS', $estudiante->id), 'DEUDAS EXTRAS')['valor']) {
                     $dts += getDeudaEstudianteRecibo($total_ext, $abono + getDescuentoToTipoAndEstudiante('DEUDAS EXTRAS', $estudiante->id), 'DEUDAS EXTRAS')['valor'];
                     echo getDeudaEstudianteRecibo($total_ext, $abono + getDescuentoToTipoAndEstudiante('DEUDAS EXTRAS', $estudiante->id), 'DEUDAS EXTRAS')['text'];
                  }
                  ?>

                  @php
                  $abono = 0;
                  @endphp
                  @for ($i = 0; $i < count($abonos2[2]); $i++) @php $abono +=$abonos2[2][$i]->valor;
                  @endphp
                  @endfor
                  <?php
                  if (getDeudaEstudianteRecibo($total_bus, $abono + getDescuentoToTipoAndEstudiante('BUS', $estudiante->id), 'BUS')['valor']) {
                     if (getDeudaEstudianteRecibo($total_bus, $abono + getDescuentoToTipoAndEstudiante('BUS', $estudiante->id), 'BUS')['valor'] < 0) {
                        $dts += 0;
                     } else {
                        $dts += getDeudaEstudianteRecibo($total_bus, $abono + getDescuentoToTipoAndEstudiante('BUS', $estudiante->id), 'BUS')['valor'];
                     }
                     echo getDeudaEstudianteRecibo($total_bus, $abono + getDescuentoToTipoAndEstudiante('BUS', $estudiante->id), 'BUS')['text'];
                  }
                  ?>


                              @if ($dts > 0)
                              <p>TOTAL DE DEUDA: Q. {{number_format($dts, 2)}}</p>
                              @endif

      </h5>
   </div>
</div>


<p>
   LE ATENDIO: {{$abonos->user->name}}
</p>


<div class="oculto-impresion">
   <label for="">
      Cancelo con: <br>
      <input type="text" style="font-size: 16px" type="number" onkeyup="cambio_fun()" id="cancela" step="any">
   </label>
   <br>
   <br>


   <label for="">
   <label for="" id="cambio"></label>
   </label>


</div>
@endsection



@if ($abonos->abonoa == 'COLEGIATURA' || $abonos->abonoa == 'INSCRIPCION')
@section('texto')





<p class="centrado" style="text-transform: uppercase;">
   {{config('app.name')}} / {{config('app.slogan')}}
</p>
<!-- 
<textarea cols="30" rows="2" style="border-width: 0px;border-style: initial;border-color: initial;"></textarea> -->
@endsection
@endif



@section('scripts')

<script>


function cambio_fun() {
   let total = document.getElementById('total').value;
   console.log(total);
        let cambiof = parseFloat(cancela.value)
        let newcambio = cambiof - total;
        cambio.innerHTML = `<label style="font-size: 16px"> CAMBIO: Q. ${newcambio.toFixed(2)}  </label>`;
    }

</script>
   
@endsection