@extends('layouts.app')


@section('content')
<div class="row">
    <div class="col-md-6">
    <h3>Ventas de Grados</h3>

        <table class="table">
            <thead>
                <tr>
                    <th>Articulo</th>
                    <th>Credito</th>
                    <th>Grado</th>
                    <th>Precio Venta</th>
                    <th>Precio Costo</th>
                    <th>Cantidad</th>
                    <th>Total</th>
                    <th>Utilidad</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $total = 0;
                $total_pventa = 0;
                $total_pcosto = 0;
                $total_ganacia = 0;
                ?>
                @foreach ($ventas as $d)
                <?php

                if (!$d->credito) {
                    $total_pcosto += ($d->p_costo * $d->cantidad);
                    $total_pventa += ($d->p_venta * $d->cantidad);
                    $total_ganacia += ($total_pventa - $total_pcosto);
                    # code...
                }

                $utilidad = $d->p_venta * $d->cantidad - $d->p_costo * $d->cantidad;
                $mas = $d->p_venta * $d->cantidad;

                ?>
                <tr>
                    <td>{{$d->articulo->nombre}}</td>
                    <td>{{$d->credito}}</td>
                    <td>{{$d->grado->nombre}}</td>
                    <td>Q. {{number_format($d->p_venta, 2)}}</td>
                    <td>Q. {{number_format($d->p_costo, 2)}}</td>
                    <td>{{$d->cantidad}}</td>
                    <td>Q. {{number_format($mas, 2)}}</td>
                    <td>Q. {{number_format($utilidad, 2)}}</td>
                </tr>
                @endforeach
            </tbody>
        </table>


        <p>TOTAL VENTA: Q. {{number_format($total_pventa, 2)}}</p>
        <p>TOTAL INVERSION: Q. {{number_format($total_pcosto, 2)}}</p>
        <p>TOTAL GANACIA: Q. {{number_format($total_ganacia, 2)}}</p>
    </div>

    <div class="col-md-6">
        <h3>Operaciones de Grados</h3>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Grado</th>
                    <th>Usuario</th>
                    <th>Operacion</th>
                    <th>Valor</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $total = 0;
                ?>
                @foreach ($operaciones as $op)
                <?php
                $total += $op->valor;
                ?>
                <tr>
                    <td>{{ $op->grado->nombre }}, {{ $op->grado->nivel }},{{ $op->grado->seccion }}</td>
                    <td>{{ $op->user->name }}</td>
                    <td>{{ $op->operacion }}</td>
                    <td>Q. {{ number_format($op->valor, 2) }}</td>
                </tr>
                @endforeach
                <tr>
                    <td colspan="3" class="text-center">Total</td>
                    <td>Q. {{ number_format($total, 2) }}</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>

@endsection