@extends('layouts.reportes')

@section('content')

<p class="text-center h3 text-uppercase my-4">REPORTE {{$nombre}}</p>

<table class="table" id="table_id">
   <thead class="thead">
      <tr>
         <th>No</th>
         <th>BOLSA</th>
         <th>PRECIO VENTA</th>
         @if ($visible)
         <th>PRECIO PRECIO COSTO</th>
         <th>UTILIDAD UNITARIA</th>
         <th>UTILIDAD TOTAL</th>
         @endif
         <th>STOCK</th>
         <th>DESCRIPCION</th>
      </tr>
   </thead>
   <tbody>
      @php
      $t_inve =0;
      $t_ven =0;
      $t_gan =0;
      @endphp
      @foreach ($bolsas as $bolsa)
      <tr>
         <td>{{ $bolsa->id }}</td>
         <td>{{ $bolsa->nombre }}</td>
         <td>Q. {{ number_format($bolsa->p_venta, 2) }}</td>
         @if ($visible)
         <td>Q. {{ number_format($bolsa->p_costo, 2) }}</td>
         <td>Q. {{ number_format($bolsa->p_venta - $bolsa->p_costo, 2) }}</td>
         <td>Q. {{ number_format(($bolsa->p_venta - $bolsa->p_costo) * $bolsa->stock, 2) }}</td>
         @endif
         <td>{{ $bolsa->stock }} / Minimo {{$bolsa->min_stock}}</td>
         <td>@php
            echo $bolsa->decripcion;
            @endphp</td>
      </tr>


      @php
      $t_inve += $bolsa->p_costo * $bolsa->stock;
      $t_ven += $bolsa->p_venta * $bolsa->stock;
      $t_gan += ($bolsa->p_venta - $bolsa->p_costo) * $bolsa->stock;
      @endphp
      @endforeach
   </tbody>
</table>

@if ($visible)
<p class="text-center h4">TOTAL DE INVERSION: <b>Q. {{number_format($t_inve, 2)}}</b></p>
<p class="text-center h4">TOTAL DE VENTAS: <b>Q. {{number_format($t_ven, 2)}}</b></p>
<p class="text-center h4">TOTAL DE GANANCIA: <b>Q. {{number_format($t_gan, 2)}}</b></p>
@endif

@endsection