@extends('layouts.reportes')
@section('content')

<div class="row">
    <div class="col">
        @include('partial.includes.alerts')
    </div>
</div>

<div class="container-fluid p-3">
    <div class="row">
        <div class="col mt-4">
            <h4 class="text-center display-4">CUADRES </h4>
        </div>
    </div>
    <div class="row my-4">
        <div class="col">
            <table class="table table-hover" id="cauadres" data-page-length="31">
                <thead>
                    <tr>
                        <th>Fecha</th>
                        <th>Entradas </th>
                        <th>Salidas</th>
                        <th>Total A Cuadrar</th>
                        <th>Total en Efectivo</th>
                        <th>Total en Pagos Con Tarjeta</th>
                        <th>Faltante</th>
                        <th>USUARIO</th>
                        <th>Acciones</th>

                    </tr>
                </thead>
                <tbody>
                    @php
                    $totalMes = 0;
                    @endphp
                    @foreach($cuadres as $cau)
                    <tr>
                        <td>{{$cau->created_at}}</td>
                        <td>Q. {{number_format($cau->entrada, 2)}}</td>
                        <td>Q. {{number_format($cau->salida, 2)}}</td>
                        <td>Q. {{number_format($cau->cuadre, 2)}}</td>
                        <td>Q. {{number_format($cau->totalEfectico, 2)}}</td>
                        <td>Q. {{number_format($cau->totalVisas, 2)}}</td>
                        <td>Q. {{number_format($cau->faltante, 2)}}</td>
                        <td>{{$cau->user->name}}</td>
                        <td>
                            @php
                            $aux = explode(" ", $cau->created_at);
                            $totalMes += $cau->cuadre;
                            @endphp

                            
                            @can('caja_movimientos_dia')
                            <a href="{{route('caja.cuadreFecha', [ 'fecha' => $aux[0] ] )}}" class="btn btn-sm btn-info"> <i class="fa fa-eye" aria-hidden="true"></i></a>
                            @endcan

                            @can('caja_cuadre_delete')
                            <a href="{{route('caja.deleteCuadre', [ 'id' => $cau->id ] )}}" class="btn btn-sm btn-danger" onclick="return confirm('¿Esta Seguro de Eliminar?')"> <i class="fa fa-trash" aria-hidden="true"></i></a>
                            @endcan
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>

            <p class="h2 text-center">

                TOTAL EN EL MES: Q. {{number_format($totalMes, 2)}}

            </p>

        </div>
    </div>
</div>
@endsection