@extends('layouts.reportes')

@section('content')

<div class="container-fluid">

   <div class="row">
      <div class="col">

         <p class="text-center h3">ESTUDIANTES QUE ABONARON</p>

         <div class="table-responsive">
            <table class="table">
               <thead>
                  <tr>
                     <th>#</th>
                     <th>Estudiante</th>
                     <th>Grado</th>
                     <th>Tipo</th>
                     <th>Abono a</th>
                     <th>Valor</th>
                     <th>Boleta</th>
                     <th>Banco</th>
                     <th>Estado</th>
                     <th>Descripcion</th>
                     <th>Usuario</th>
                  </tr>
               </thead>
               <tbody>
                  @foreach ($abonos_list as $a )
                  <tr>
                     <td>{{$a->id}}</td>
                     <td>{{$a->nombre_estudiante}}</td>
                     <td>{{$a->nombre}}</td>
                     <td>{{$a->tipo}}</td>
                     <td>{{$a->abonoa}}</td>
                     <td>Q. {{number_format($a->valor, 2)}}</td>
                     <td>{{$a->boleta}}</td>
                     <td>{{$a->banco}}</td>
                     <td>{{$a->estado}}</td>
                     <td><?php echo $a->descripcion; ?></td>
                     <td>{{$a->name}}</td>
                  </tr>
                  @endforeach
               </tbody>
            </table>
         </div>

      </div>
   </div>

   <hr>

   <div class="row">
      <div class="col">
         <p class="h3 text-center">ABONOS</p>
         <h4>Efectivo: Q. {{number_format($abonos[0], 2)}} </h4>
         <h4>Pago Con Tarjeta: Q. {{number_format($abonos[1], 2)}} </h4>
         <h4>Cheque: Q. {{number_format($abonos[2], 2)}} </h4>
         <h4>Transferencias: Q. {{number_format($abonos[3], 2)}}</h4>
         <h4>Depositos: Q. {{number_format($abonos[4], 2)}}</h4>
         <h4>Otros: Q. {{number_format($abonos[5], 2)}} </h4>
         <hr>

      </div>
   </div>

   <div class="row">
      <div class="col">
         <p class="h4 text-center">ESTUDIANTES INSCRITOS</p>
         <table class="table table-striped table-hover" id="table_id" data-page-length="15">
            <thead class="thead">
               <tr>
                  <th>NOMBRE</th>
                  <th>CUI</th>
                  <th>GRADO</th>
                  <th>NIVEL</th>
                  <th>ENCARGADO</th>
                  <th class="oculto-impresion"></th>
               </tr>
            </thead>
            <tbody>
               @foreach ($inscripcion as $estudiante)
               <tr>
                  <td>{{ $estudiante->nombre }}</td>
                  <td>{{ $estudiante->cui }}</td>
                  <td class="text-uppercase">{{ $estudiante->grado }} Seccion: {{$estudiante->seccion}}</td>
                  <td>{{$estudiante->nivel}}</td>
                  <td>{{ $estudiante->encargado }} <br>
                     {{$estudiante->telefono1}} - {{$estudiante->telefono2}}

                     @if ($estudiante->nombre2)
                     <br>
                     {{$estudiante->nombre2}} <br>
                     {{$estudiante->telefono3}} - {{$estudiante->telefono4}}

                     @endif
                  </td>

                  <td class="oculto-impresion">
                     <a href="{{route('estudiante.show', ['id' => $estudiante->id])}}" class="btn btn-primary btn-sm"><i class="fa fa-eye" aria-hidden="true"></i></a>

                     <a href="{{route('estudiante.deudasAll', ['id' => $estudiante->id])}}" class="btn btn-info btn-sm" target="_blank"> <i class="fa fa-money" aria-hidden="true"></i> </a>
                  </td>
               </tr>
               @endforeach
            </tbody>
         </table>
      </div>
   </div>

   <div class="row">
      <div class="col-md-6">
         <p class="h3 text-center">CAJA CHICA</p>
         <table class="table">
            <thead>
               <tr>
                  <th>Fecha</th>
                  <th>Valor</th>
                  <th>Descripcion</th>
               </tr>
            </thead>
            <tbody>
               @php
               $total = 0;
               @endphp
               @foreach ($entradas as $dt)
               <tr>
                  <td scope="row">{{$dt->fecha}}</td>
                  <td>Q. {{number_format($dt->valor, 2)}}</td>
                  <td>{{$dt->descripcion}}</td>
               </tr>

               @php
               $total += $dt->valor;
               @endphp
               @endforeach

            </tbody>
         </table>

         <h4>Total: Q. {{number_format($total, 2)}}</h4>
      </div>

      <div class="col-md-6">
         <p class="h3 text-center">GASTOS</p>

         <table class="table">
            <thead>
               <tr>
                  <th>Fecha</th>
                  <th>Valor</th>
                  <th>Descripcion</th>
               </tr>
            </thead>
            <tbody>
               @php
               $total2 = 0;
               @endphp
               @foreach ($salidas as $dt)
               <tr>
                  <td scope="row">{{$dt->fecha}}</td>
                  <td>Q. {{number_format($dt->valor, 2)}}</td>
                  <td>{{$dt->descripcion}}</td>
               </tr>

               @php
               $total2 += $dt->valor;
               @endphp
               @endforeach

            </tbody>
         </table>

         <h4>Total: Q. {{number_format($total2, 2)}}</hh4>
      </div>
   </div>

   <!-- uniformes -->
   <div class="row my-5">
      <div class="col">
         <p class="h4 text-center">UNIFORMES VENDIDOS</p>
         <table class="table">
            <thead>
               <tr>
                  <th>RECIBO</th>
                  <th>ARTICULO</th>
                  <th>PRECIO COSTO</th>
                  <th>PRECIO VENTA / UNITARIO</th>
                  <th>CANTIDAD VENDIDA</th>
                  <th>DESCUENTO</th>
                  <th>TOTAL DE VENTA</th>
                  <th>GANANCIA TOTAL</th>
               </tr>
            </thead>
            <tbody>

               @foreach ($ventas_uniforme as $ven )
               @php
               $gan = 0;
               $gan = $ven->total - ( $ven->p_costo * $ven->cantidad );

               $tu_sin += $ven->p_venta * $ven->cantidad;
               $tu_con += $ven->total;
               $tu_des += $ven->descuento;
               $tu_gan += $gan;
               @endphp
               <tr>
                  <td>{{$ven->factura_id}}</td>
                  <td class="text-uppercase">{{$ven->nombre}} <br> {{$ven->description}}</td>
                  <td>Q. {{number_format($ven->p_costo,2)}}</td>
                  <td>Q. {{number_format($ven->p_venta,2)}}</td>
                  <td>{{$ven->cantidad}}</td>
                  <td>Q. {{number_format($ven->descuento,2)}}</td>
                  <td>Q. {{number_format($ven->total,2)}}</td>
                  <td>Q {{number_format($gan, 2)}}</td>
               </tr>
               @endforeach
            </tbody>
         </table>

         <p class="text-center text-uppercase h4">Total de Ventas Sin Descuentos: <b>Q. {{number_format($tu_sin, 2)}}</b> </p>
         <p class="text-center text-uppercase h4">Total de Ventas Con Descuentos: <b>Q. {{number_format($tu_con, 2)}}</b> </p>
         <p class="text-center text-uppercase h4">Total de Descuentos: <b>Q. {{number_format($tu_des, 2)}}</b> </p>
         <p class="text-center text-uppercase h4">Total de Ganancias: <b>Q. {{number_format($tu_gan, 2)}}</b> </p>


      </div>
   </div>

   <div class="row my-5">
      <div class="col">
         <p class="h4 text-center">COMPRA DE UNIFORMES</p>

         <table class="table">
            <thead>
               <tr>
                  <th>#</th>
                  <th>UNIFORME</th>
                  <th>CANTIDAD</th>
                  <th>FECHA DE COMPRA</th>
                  <th>TIPO</th>
                  <th>USUARIO</th>
               </tr>
            </thead>
            <tbody>
               @foreach ($compra_uni as $art)
               <tr>
                  <td>{{$art->id}}</td>
                  <td>{{$art->nombre}}</td>
                  <td>{{$art->cantidad}}</td>
                  <td>{{$art->created_at}}</td>
                  <td>{{$art->tipo}}</td>
                  <th>{{$art->name}}</th>
               </tr>
               @endforeach
            </tbody>
         </table>

      </div>
   </div>

   <!-- bolsa de utilies -->
   <div class="row my-5">
      <div class="col">
         <p class="text-center h3">VENTA DE BOLSA DE UTILES</p>

         <table class="table">
            <thead>
               <tr>
                  <th>RECIBO</th>
                  <th>ARTICULO</th>
                  <th>PRECIO COSTO</th>
                  <th>PRECIO VENTA / UNITARIO</th>
                  <th>CANTIDAD VENDIDA</th>
                  <th>DESCUENTO</th>
                  <th>TOTAL DE VENTA</th>
                  <th>GANANCIA TOTAL</th>
               </tr>
            </thead>
            <tbody>

               @foreach ($ventas_bolsa as $ven )
               @php
               $gan = 0;
               $gan = $ven->total - ( $ven->p_costo * $ven->cantidad );

               $tb_sin += $ven->p_venta * $ven->cantidad;
               $tb_con += $ven->total;
               $tb_des += $ven->descuento;
               $tb_gan += $gan;
               @endphp
               <tr>
                  <td>{{$ven->factura_id}}</td>
                  <td class="text-uppercase">{{$ven->nombre}} <br> @php
                     echo $ven->decripcion;
                     @endphp</td>
                  <td>Q. {{number_format($ven->p_costo,2)}}</td>
                  <td>Q. {{number_format($ven->p_venta,2)}}</td>
                  <td>{{$ven->cantidad}}</td>
                  <td>Q. {{number_format($ven->descuento,2)}}</td>
                  <td>Q. {{number_format($ven->total,2)}}</td>
                  <td>Q {{number_format($gan, 2)}}</td>
               </tr>
               @endforeach
            </tbody>
         </table>

         <p class="text-center text-uppercase h4">Total de Ventas Sin Descuentos: <b>Q. {{number_format($tb_sin, 2)}}</b> </p>
         <p class="text-center text-uppercase h4">Total de Ventas Con Descuentos: <b>Q. {{number_format($tb_con, 2)}}</b> </p>
         <p class="text-center text-uppercase h4">Total de Descuentos: <b>Q. {{number_format($tb_des, 2)}}</b> </p>
         <p class="text-center text-uppercase h4">Total de Ganancias: <b>Q. {{number_format($tb_gan, 2)}}</b> </p>

      </div>
   </div>
   <div class="row my-5">
      <div class="col">
         <p class="text-center h3">COMPRA DE BOLSA DE UTILES</p>

         <table class="table">
            <thead>
               <tr>
                  <th>#</th>
                  <th>BOLSA</th>
                  <th>CANTIDAD</th>
                  <th>FECHA DE COMPRA</th>
                  <th>TIPO</th>
                  <th>USUARIO</th>
               </tr>
            </thead>
            <tbody>
               @foreach ($compra_bolsa as $art)
               <tr>
                  <td>{{$art->id}}</td>
                  <td>{{$art->nombre}}</td>
                  <td>{{$art->cantidad}}</td>
                  <td>{{$art->created_at}}</td>
                  <td>{{$art->tipo}}</td>
                  <th>{{$art->name}}</th>
               </tr>
               @endforeach
            </tbody>
         </table>
      </div>
   </div>

   <!-- venta de bus -->

   <div class="row my-5">
      <div class="col">
         <p>VENTA DE BUS</p>

         <table class="table">
            <thead>
               <tr>
                  <th>ESTUDIENTE</th>
                  <th>COSTO </th>
                  <th>DIRECCION</th>
               </tr>
            </thead>
            <tbody>
               @foreach ($venta_bus as $bus )
               <tr>
                  <td>{{$bus->estudiante->nombre}}</td>
                  <td>
                     ENERO: {{$bus->estado1}} <br>
                     FEBRERO: {{$bus->estado2}} <br>
                     MARZO: {{$bus->estado3}} <br>
                     ABRIL: {{$bus->estado4}} <br>
                     MAYO: {{$bus->estado5}} <br>
                     JUNIO: {{$bus->estado6}} <br>
                     JULIO: {{$bus->estado7}} <br>
                     AGOSTO: {{$bus->estado8}} <br>
                     SEPTIEMBRE: {{$bus->estado9}} <br>
                     OCTIBRE: {{$bus->estado10}} <br>
                     NOVIEMBRE: {{$bus->estado11}} <br>
                     DICIEMBRE: {{$bus->estado12}} <br>
                  </td>
                  <td>{{$bus->descripcion}}</td>
               </tr>
               @endforeach

            </tbody>
         </table>
      </div>
   </div>

   <hr>

   <div class="row">
      <div class="col-md-6">
         <p class="text-center">VENTAS DE ARTICULOS</p>
         <table class="table">
            <thead>
               <tr>
                  <th scope="col">Grado</th>
                  <th scope="col">Credito</th>
                  <th scope="col">Valor</th>
                  <th scope="col"></th>
               </tr>
            </thead>
            <tbody>
               <?php
               $t = 0;
               ?>
               @foreach ($venta_articulos as $ven)

               <?php
               $t += $ven->p_venta * $ven->cantidad;
               ?>

               <tr class="">
                  <td>{{$ven->grado->nombre}} {{$ven->grado->nivel}}, Seccion: {{$ven->grado->seccion}}</td>
                  <td>
                     @if ($ven->credito === 'true')
                     SI
                     @endif
                  </td>
                  <td>Q. {{number_format($ven->p_venta * $ven->cantidad, 2)}}</td>
                  <td>

                  </td>
               </tr>
               @endforeach
            </tbody>
         </table>
         <p class="text-center">TOTAL: Q. {{number_format($t, 2)}}</p>
      </div>
      <div class="col-md-6">
         <p class="text-center">ABONO DE GRADOS</p>
         <table class="table">
            <thead>
               <tr>
                  <th scope="col">Grado</th>
                  <th scope="col">Valor</th>
                  <th scope="col"></th>
               </tr>
            </thead>
            <tbody>

               <?php
               $t = 0;
               ?>
               @foreach ($operaciones as $ven)
               <?php
               $t += $ven->valor;
               ?>
               <tr class="">
                  <td>{{$ven->grado->nombre}} {{$ven->grado->nivel}}, Seccion: {{$ven->grado->seccion}}</td>
                  <td>Q. {{number_format($ven->valor, 2)}}</td>
                  <td>
                     @if ($ven->credito === 'true')
                     SI
                     @endif
                  </td>
                  <td>
                     <form action="{{route('venta.deleteAbono', $ven->id)}}" method="post">
                        @csrf
                        @method('delete')
                        <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar?')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                     </form>
                  </td>
               </tr>
               @endforeach
            </tbody>
         </table>
         <p class="text-center">TOTAL: Q. {{number_format($t, 2)}}</p>
      </div>
   </div>



</div>


@endsection