<!DOCTYPE html>
<html>

<head>
   <title>Recibo</title>
   <link rel="icon" type="image/png" sizes="16x16" href="{{asset('logos/logo.icon')}}">
</head>

<style>
   @media print {

      .oculto-impresion,
      .oculto-impresion * {
         display: none !important;
      }
   }

   * {
      font-size: 12px;
      font-family: sans-serif;
      font-weight: 800;
   }

   td,
   th,
   tr,
   table {
      border-top: 1px solid black;
      border-collapse: collapse;
   }

   td.producto,
   th.producto {
      padding-left: 2px;
      width: 136px;
      max-width: 199px;
   }

   td.cantidad,
   th.cantidad {
      width: 105px;
      max-width: 110px;
      word-break: break-all;
   }

   td.precio,
   th.precio {
      width: 84px;
      max-width: 84px;
      word-break: break-all;
   }

   .centrado {
      text-align: center;
      align-content: center;
   }

   .ticket {
      width: 260px;
      max-width: 320px;
   }

   img {
      max-width: inherit;
      width: inherit;

      -webkit-filter: grayscale(100%);
      filter: grayscale(100%);
   }
</style>

<body align="center">
   <div class="ticket">
      <p style="text-align: center;">CONVENIO DE PAGO</p>
      <hr>
      <p style="text-transform: uppercase;">{{$convenio->estudiante->padre->nombre1}}</p>
      <p>PADRE DE FAMILIA</p>
      <hr>
      <p style="text-transform: uppercase;">{{$convenio->estudiante->nombre}}</p>
      <p style="text-transform: uppercase;">GRADO: {{$convenio->estudiante->grado->nombre}}, SECCION: {{$convenio->estudiante->grado->seccion}}</p>
      <hr>
      <p>TIPO DE ACTIVIDAD: {{$convenio->tipo}}</p>
      <p>MONTO DE PAGO: Q. {{number_format($convenio->valor, 2)}}</p>
      <p>FECHA DE PAGO: Q. {{$convenio->f_pago}}</p>
      <br><br>

      <p>
         F. ___________________________________
         <br>
         PADRE DE FAMILIA
      </p>
      <br><br>

      <p>
         F. ___________________________________ <br>
         ADMINISTRACION
      </p>

   </div>



   <button class="oculto-impresion" onclick="imprimir()">Imprimir</button>

   <script>
      function imprimir() {
         window.print();
      }
      window.onload = function() {
         imprimir();
         // window.close();
      }
   </script>
</body>

</html>