@extends('layouts.reportes')

@section('styles')
<style>
   .right {
      text-align: right;
   }

   .sticky {
      position: -webkit-sticky;
      /* Safari */
      position: sticky;
      top: 0;
      background: white;
   }
</style>
@endsection

@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col">

         <h1 class="text-center">REPORTES DE ACTIVIDADES</h1>

         <form action="" method="get" class="oculto-impresion">

            <input type="hidden" name="nivel" value="{{$nivel}}">
            <div class="form-group">
               <label for=""></label>
               <select class="form-control" name="actividad_id">
                  @foreach ($actividad as $a)
                  <option value="{{$a->actividad_nombre}}">{{$a->actividad_nombre}}</option>
                  @endforeach
               </select>
            </div>

            <div class="form-group">
               <label for="">De (Fecha de Inicio): </label>
               <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
            </div>
            <div class="form-group">
               <label for="">Hasta (Fecha de Final): </label>
               <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
            </div>
            <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>

         </form>

         @if ($visi)
         <table class="table">
            <thead>
               <tr>
                  <th>GRADO</th>
                  <th>CT. ESTUDIANTES</th>
                  <th>COSTO ACTIVIDAD</th>
                  <th>VENTAS SISTEMA</th>
                  <th>ABONOS</th>
                  <th>ESTUDIANTES QUE ABONARON</th>
                  <th>FALTANTE</th>
               </tr>
            </thead>
            <tbody>
               @foreach ($grados as $g)
               <tr>
                  <td>{{$g->nombre}} {{$g->seccion}}</td>
                  <td>{{count($g->estudiante)}}</td>
                  <td>{{costoVentasActividadToReporte($act, $g->id)}} --consto de actividad </td>
                  <td>{{ventasActividadToReporte($act, $g->id) }} -- ventas por sistema</td>
                  <td>{{activida_reporte($act, $g->id, $inicio, $final) }} --abonos</td>
                  <td>{{countEstudianteAbonadoToActividad($act, $g->id, $inicio, $final) }} --ESTUDIAntes que abonaron</td>
                  <td>{{ 0 }} - faltante</td>
               </tr>
               @endforeach
            </tbody>
         </table>
         @endif

      </div>
   </div>
</div>
@endsection