@extends('layouts.reportes')

@section('styles')
<style>
   .right {
      text-align: right;
   }


   @media print {
      @import url('<?php echo asset('plugins/bootstrap/bootstrap.min.css') ?>');

      div.saltopagina {
         display: block;
         page-break-before: always;
      }

      body {
         background-color: red;
      }

      .t1 {
         text-align: center;
         background-color: #ebc752;
         color: black;
      }

      .t2 {
         text-align: center;
         background-color: #7e0915;
         color: white;
      }
   }
</style>
@endsection

@section('content')
<div>
   <div class="row">
      <div class="col">

         @for ($i = 0; $i < count($niveles); $i++) @if ($i==0) <p class="text-center h3">REPORTE MENSUAL NIVEL PRE PRIMARIO </p>
            <p class="text-center h3">{{$mes}} - {{config('app.cliclo')}}</p>
            @endif
            @if ($i == 1)
            <p class="text-center h3">REPORTE MENSUAL NIVEL PRIMARIO </p>
            <p class="text-center h3">{{$mes}} - {{config('app.cliclo')}}</p>
            @endif
            @if ($i == 2)
            <p class="text-center h3">REPORTE MENSUAL NIVEL BASICO </p>
            <p class="text-center h3">{{$mes}} - {{config('app.cliclo')}}</p>
            @endif
            @if ($i == 3)
            <p class="text-center h3">REPORTE MENSUAL DIVERSIFICADO </p>
            <p class="text-center h3">{{$mes}} - {{config('app.cliclo')}}</p>
            @endif
            @if ($i == 4)
            <p class="text-center h3">REPORTE MENSUAL BASICO PRO MADUREZ </p>
            <p class="text-center h3">{{$mes}} - {{config('app.cliclo')}}</p>
            @endif
            @if ($i == 5)
            <p class="text-center h3">REPORTE MENSUAL DIVERSIFICADO POR MADUREZ </p>
            <p class="text-center h3">{{$mes}} - {{config('app.cliclo')}}</p>
            @endif


            <table class="table table-striped">
               <thead class="thead sticky">
                  <tr class="">
                     <th class="t1" style="text-align: center; background-color: #ebc752; color: black;" colspan="4">INGRESO SEGUN MATRICULA</th>
                     <th class="t2" style="text-align: center; background-color: #7e0915; color: white;" colspan="4">COBREOS DEL MES</th>
                  </tr>
                  <trc class="">
                     <th>TIPO</th>
                     <th class="right">INSCRIPCION</th>
                     <th class="right">COLEGIATURA</th>
                     <th class="right">TOTAL</th>
                     <th class="right">INGRESO NETO</th>
                     <th class="right">CONVENIOS</th>
                     <th class="right">POR COBRAR</th>
                     <th class="right">FALTANTE TOTAL</th>
                  </trc>
               </thead>
               <tbody>
                  <?php
                  $aux1 = 0;
                  $aux2 = 0;
                  $aux3 = 0;
                  $aux4 = 0;
                  $aux5 = 0;
                  $aux6 = 0;
                  $aux7 = 0;

                  $inscripcion = 0;
                  $colegiatura = 0;
                  $ingreso_neto = 0;
                  $convenio = 0;
                  $cobro = 0;
                  $deuda_real = 0;
                  $total = 0;

                  ?>
                  @foreach ($niveles[$i] as $grado)
                  <?php
                  $inscripcion = getTotalInscripcionToGrado($grado->id, $mes);
                  $colegiatura = getTotalColegiaturaToGrado($grado->id, $mes);
                  $ingreso_neto = getIngresoNetoToReportes($grado->id, $mes);
                  $convenio = getConvenioToGrado($grado->id, $mes);
                  $cobro = ($inscripcion + $colegiatura) - ($ingreso_neto + $convenio);
                  $deuda_real = getDeudaColegiaturaToGrado($grado->id);
                  $total = $inscripcion + $colegiatura;
                  $aux1 += $inscripcion;
                  $aux2 += $colegiatura;
                  $aux3 += $total;
                  $aux4 += $ingreso_neto;
                  $aux5 += $convenio;
                  $aux6 += $cobro;
                  $aux7 += $deuda_real;
                  ?>
                  <tr>
                     <td class="">{{$grado->id}}-{{$grado->nombre}} - {{$grado->seccion}}</td>
                     <td class="right">Q. {{number_format($inscripcion, 2)}}</td>
                     <td class="right">Q. {{number_format($colegiatura, 2)}}</td>
                     <td class="right">Q. {{number_format($total, 2)}}</td>
                     <td class="right">Q. {{number_format($ingreso_neto, 2)}}</td>
                     <td class="right">Q. {{number_format($convenio, 2)}} </td>
                     <td class="right">Q. {{ number_format($cobro, 2) }}</td>
                     <td class="right">Q. {{ number_format($deuda_real, 2) }}</td>
                  </tr>
                  @endforeach
                  <tr>
                     <td class="right"></td>
                     <td class="right">Q. {{number_format($aux1, 2)}} </td>
                     <td class="right">Q. {{number_format($aux2, 2)}} </td>
                     <td class="right">Q. {{number_format($aux3, 2)}} </td>
                     <td class="right">Q. {{number_format($aux4, 2)}} </td>
                     <td class="right">Q. {{number_format($aux5, 2)}} </td>
                     <td class="right" style="color: <?php if ($aux6 > 0) {
                                                         echo 'red';
                                                      } ?>">Q. {{number_format($aux6, 2)}} </td>
                     <td class="right" style="color: <?php if ($aux6 > 0) {
                                                         echo 'red';
                                                      } ?>">Q. {{number_format($aux7, 2)}} </td>
                  </tr>
               </tbody>
            </table>

            <div class="saltopagina"></div>

            @endfor

      </div>
   </div>
</div>
@endsection