@extends('layouts.reportes')

@section('content')

<p class="text-center h3 text-uppercase my-4">REPORTE {{$nombre}}</p>

<table class="table table-striped table-hover" id="table_id" data-page-length="15">
   <thead class="thead">
      <tr>
         <th>No</th>
         <th>NOMBRE</th>
         <th>TALLA</th>
         <th>CANTIDAD</th>
         <th>PRECIO DE VENTA</th>
         @if ($visible)
         <th>PRECIO COSTO</th>
         <th>UTILIDAD UNITARIA</th>
         <th>UTILIDAD TOTAL</th>
         @endif
         <th>DESCRIPCION</th>
      </tr>
   </thead>
   <tbody>
      @php
      $t_inve =0;
      $t_ven =0;
      $t_gan =0;
      @endphp
      @foreach ($uniformes as $uniforme)
      <tr>
         <td>{{ $uniforme->id }}</td>
         <td>{{ $uniforme->nombre }}</td>
         <td>{{ $uniforme->talla }}</td>
         <td>{{ $uniforme->stock }} / Minimo: {{$uniforme->minio_stock}}</td>
         <td>Q. {{ number_format($uniforme->p_venta, 2) }}</td>
         @if ($visible)
         <td>Q. {{ number_format($uniforme->p_costo, 2) }}</td>
         <td>Q. {{ number_format($uniforme->p_venta - $uniforme->p_costo, 2) }}</td>
         <td>Q. {{ number_format(($uniforme->p_venta - $uniforme->p_costo) * $uniforme->stock, 2) }}</td>
         @endif
         <td>{{ $uniforme->description }}</td>
      </tr>

      @php
      $t_inve += $uniforme->p_costo * $uniforme->stock;
      $t_ven += $uniforme->p_venta * $uniforme->stock;
      $t_gan += ($uniforme->p_venta - $uniforme->p_costo) * $uniforme->stock;
      @endphp
      @endforeach
   </tbody>
</table>

@if ($visible)
<p class="text-center h4">TOTAL DE INVERSION: <b>Q. {{number_format($t_inve, 2)}}</b></p>
<p class="text-center h4">TOTAL DE VENTAS: <b>Q. {{number_format($t_ven, 2)}}</b></p>
<p class="text-center h4">TOTAL DE GANANCIA: <b>Q. {{number_format($t_gan, 2)}}</b></p>
@endif

@endsection