@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection
@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <div class="card">
            <div class="card-header">
               <div style="display: flex; justify-content: space-between; align-items: center;">

                  <span id="card_title" style="font-size: 172%;">
                     {{ __('UNIFORMES') }}
                  </span>

                  <div class="float-right">
                     <a href="{{ route('uniforme.create') }}" class="btn btn-primary  float-right" data-placement="left">
                        {{ __('REGISTRAR NUEVO UNIFORME') }}
                     </a>
                  </div>
               </div>
            </div>

            <div class="card-body">
               <div class="table-responsive">
                  <table class="table table-striped table-hover" id="table_id" data-page-length="15">
                     <thead class="thead">
                        <tr>
                           <th>No</th>
                           <th>NOMBRE</th>
                           <th>TALLA</th>
                           <th>CANTIDAD</th>
                           <th>PRECIO DE VENTA</th>
                           <th>DESCRIPCION</th>
                           <th>DESCRIPCION INTERNA</th>
                           <th></th>
                        </tr>
                     </thead>
                     <tbody>
                        @foreach ($uniformes as $uniforme)
                        <tr>
                           <td>{{ $uniforme->id }}</td>
                           <td>{{ $uniforme->nombre }}</td>
                           <td>{{ $uniforme->talla }}</td>
                           <td>{{ $uniforme->stock }} / Minimo: {{$uniforme->minio_stock}}</td>
                           <td>Q. {{ number_format($uniforme->p_venta, 2) }}</td>
                           <td>{{ $uniforme->description }}</td>
                           <td>{{ $uniforme->descripcion_interna }}</td>
                           <td>
                              @can('uniorme.show')
                              <a href="{{route('uniforme.show', ['id' => $uniforme->id])}}" class="btn btn-primary btn-sm"><i class="fa fa-eye" aria-hidden="true"></i></a>
                              @endcan
                              <a href="{{route('bolsa.code_print', ['id' => $uniforme->id])}}" class="btn btn-dark btn-sm"><i class="fa fa-code" aria-hidden="true"></i></a>

                              @can('uniforme.delete')
                              <form action="{{route('uniforme.delete', ['id' => $uniforme->id])}}" method="POST">
                                 @csrf
                                 @method('DELETE')
                                 <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('Estas Seguro?')"><i class="fa fa-fw fa-trash"></i> </button>
                              </form>
                              @endcan

                           </td>
                        </tr>
                        @endforeach
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
@endsection



@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

<script>
   $(document).ready(function() {
      $('#table_id').DataTable({
         "language": {
            'info': '_TOTAL_ REGISTROS',
            'search': 'BUSCAR',
            'paginate': {
               'next': 'SIGUIENTE',
               'previous': 'ATRAS'
            },
            'loadingRecords': 'CARGANDO',
            'emptyTable': 'NO EXISTEN DATOS',
            'zeroRecords': 'NO EXISTEN DATOS IGUALES'
         }
      });
   });
</script>
@endsection