@extends('layouts.admin')

@section('content')

<div class="container-fluid">
   <div class="row">

      <div class="col-md-4">
         <a href="{{route('uniforme.allUniformes')}}">
            <div class="card">
               <img class="card-img-top" src="{{asset('images/lista1.png')}}" alt="">
               <div class="card-body">
                  <h4 class="card-title">UNIFORMES</h4>
                  <p class="card-text">IMPRIME EL REPORTE DE TODOS LOS UNIFORMES REGISTRADOS</p>
               </div>
            </div>
         </a>
      </div>

      <div class="col-md-4">
         <a href="{{route('uniforme.controldeExisteicias')}}">
            <div class="card">
               <img class="card-img-top" src="{{asset('images/lista2.png')}}" alt="">
               <div class="card-body">
                  <h4 class="card-title">UNIFORMES CONTROL</h4>
                  <p class="card-text">IMPRIME EL REPORTE DE TODOS LOS UNIFORMES REGISTRADOS OBTENIENDO DATOS NO SENSIBLES</p>
               </div>
            </div>
         </a>
      </div>

      <div class="col-md-4">
         <a href="{{route('uniforme.minStockUniformes')}}">
            <div class="card">
               <img class="card-img-top" src="{{asset('images/inicio/unifo.png')}}" alt="">
               <div class="card-body">
                  <h4 class="card-title">UNIFORMES</h4>
                  <p class="card-text">IMPRIME EL REPORTE DE TODOS LOS UNIFORMES CON MINIMO DE STOCK</p>
               </div>
            </div>
         </a>
      </div>

      <div class="col-md-4">
         <div class="card">
            <img class="card-img-top" src="{{asset('images/lista2.png')}}" alt="">
            <div class="card-body">
               <h4 class="card-title">VENTAS DE UNIFORMES</h4>
               <p class="card-text">RETORNA EL REPORTE DE LAS VENTAS DE UNIFORMES POR MES</p>

               <form action="{{route('uniforme.reportVentas')}}" method="post">
                  @csrf

                  <select name="mes" class="form-control">
                     <option selected hidden>Mes</option>
                     <option value="01">Enero</option>
                     <option value="02">Febrero</option>
                     <option value="03">Marzo</option>
                     <option value="04">Abril</option>
                     <option value="05">Mayo</option>
                     <option value="06">Junio</option>
                     <option value="07">Julio</option>
                     <option value="08">Agosto</option>
                     <option value="09">Septiembre</option>
                     <option value="10">Octubre</option>
                     <option value="11">Noviembre</option>
                     <option value="12">Diciembre</option>
                  </select>

                  <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>

               </form>

            </div>
         </div>
      </div>

      <div class="col-md-4">

         <div class="card">
            <img class="card-img-top" src="{{asset('images/lista1.png')}}" alt="">
            <div class="card-body">
               <h4 class="card-title">HISTORIAL DE COMPRAS DE UNIFORMES</h4>
               <p class="card-text">IMPRIMER EL REPORTE DE COMPRAS DE UNIFORMES FILTRADO POR FECHA</p>
               <form action="{{route('uniforme.reporte_historial')}}" method="post">
                  @csrf

                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>

                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>

                  <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>@section('styles')
                  <link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
                  @endsection

               </form>

            </div>
         </div>

      </div>

      <div class="col-md-4">

         <div class="card">
            <img class="card-img-top" src="{{asset('images/lista1.png')}}" alt="">
            <div class="card-body">
               <h4 class="card-title">HISTORIAL DE COMPRAS DE UNIFORMES AGRUPADOS</h4>
               <p class="card-text">IMPRIMER EL REPORTE DE COMPRAS DE UNIFORMES FILTRADO POR FECHA Y AGRUPASO</p>
               <form action="{{route('uniforme.reporte_historial_agrupado')}}" method="post">
                  @csrf

                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>

                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>

                  <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>

               </form>

            </div>
         </div>

      </div>

      <div class="col-md-4">
         <div class="card">

            <img class="card-img-top" src="{{asset('images/inicio/unifo.png')}}" alt="">
            <div class="card-body">
               <h4 class="card-title">HISTORIAL DE VENTAS TIPO / DESGLOSADO</h4>
               <p class="card-text">IMPRIMER EL REPORTE DE COMPRAS DE UNIFORMES FILTRADO POR FECHA Y AGRUPASO</p>
               <form action="{{route('uniforme.ventas_agrupados_detallado')}}" method="post">
                  @csrf

                  <div class="form-group">
                     <label for=""></label>
                     <select class="form-control" name="uniforme_id" id="">
                        @foreach ($uniforme as $uni)
                        <option value="{{$uni->id}}">{{$uni->nombre}} - TALLA: {{$uni->talla}}</option>
                        @endforeach
                     </select>
                  </div>

                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>
                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>
                  <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>
               </form>
            </div>
         </div>
      </div>

      <div class="col-md-4">
         <div class="card">

            <img class="card-img-top" src="{{asset('images/inicio/unifo.png')}}" alt="">
            <div class="card-body">
               <h4 class="card-title">HISTORIAL DE VENTAS AGRUPADAS</h4>
               <p class="card-text">IMPRIMER EL REPORTE DE VENTA DE UNIFORMES FILTRADO POR FECHA Y AGRUPADO</p>
               <form action="{{route('uniforme.ventas_agrupados')}}" method="post">
                  @csrf
                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>
                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>
                  <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>
               </form>
            </div>
         </div>
      </div>

      <div class="col-md-4">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title">COMPRAS POR RECIBOS Y FECHAS</h4>
               <p class="card-text">IMPRIMER EL REPORTE DE COMPRAS DE UNIFORMES FILTRADO POR FECHA </p>
               <form action="{{route('uniforme.getUniformesToReciboAndFecha')}}" method="get">

                  <div class="form-group">
                     <label for=""></label>
                     <select class="form-control" name="uniforme_id[]" id="uni2" multiple>
                        @foreach ($recibos as $re)
                        <option value="{{$re->recibo}}">{{$re->recibo}}</option>
                        @endforeach
                     </select>
                  </div>

                  @csrf
                  <div class="form-group">
                     <label for="">De (Fecha de Inicio): </label>
                     <input type="date" class="form-control" name="inicio" placeholder="Fecha de Inicio" required>
                  </div>
                  <div class="form-group">
                     <label for="">Hasta (Fecha de Final): </label>
                     <input type="date" class="form-control" name="fin" placeholder="Fecha de Fin" required>
                  </div>
                  <button type="submit" class="btn btn-success mt-3"> <i class="fa fa-search" aria-hidden="true"></i> BUSCAR</button>
               </form>
            </div>
         </div>
      </div>

   </div>
</div>

@endsection



@section('scripts')

<script src="{{asset('plugins/slim-select/slimselect.min.js') }}">
</script>

<script>
   setTimeout(function() {
      new SlimSelect({
         select: '#select',
         placeholder: 'Select Permissions',
         deselectLabel: '<span>&times;</span>',
         hideSelectedOption: true,
      })
   }, 300);

   setTimeout(function() {
      new SlimSelect({
         select: '#uni2',
         placeholder: 'Select Permissions',
         deselectLabel: '<span>&times;</span>',
         hideSelectedOption: true,
      })
   }, 300);
</script>
@endsection

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/slim-select/slimselect.min.css') }}">
@endsection