@extends('layouts.admin')


@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col">

         <div class="card">
            <div class="card-body">
               <h4 class="card-title text-uppercase">UNIFORME: {{$uniforme->nombre}}</h4>
               <ul class="nav nav-pills mb-3 justify-content-end">
                  <li class="nav-item"><a href="#navpills2-1" class="nav-link active show" data-toggle="tab" aria-expanded="false">DATOS</a>
                  </li>
                  <li class="nav-item"><a href="#navpills2-2" class="nav-link" data-toggle="tab" aria-expanded="false">ACTUALIZAR</a>
                  </li>
               </ul>
               <div class="tab-content br-n pn">

                  <div id="navpills2-1" class="tab-pane active show">
                     <div class="row align-items-center">
                        <div class="col-sm-6 col-md-8 col-xl-10">
                           <p class="card-text">TALLA: <b>{{$uniforme->talla}}</b> </p>
                           <p class="card-text">CANTIDAD: <b>Q. {{number_format($uniforme->stock, 2)}}</b> </p>
                           <p class="card-text">PRECIO VENTA: <b>Q. {{number_format($uniforme->p_venta, 2)}}</b> </p>
                           <p class="card-text">PRECIO COSTO: <b>Q. {{number_format($uniforme->p_costo, 2)}}</b> </p>
                           <p class="card-text">UTILIDAD / GANANCIA: <b>{{number_format($uniforme->p_venta - $uniforme->p_costo, 2)}}</b> </p>
                           <p class="card-text">DESCRIPCION: <b>{{$uniforme->description}}</b> </p>
                           <p class="card-text">DESCRIPCION INTERNA: <b>{{$uniforme->descripcion_interna}}</b> </p>
                           <p class="card-text">ULTIMA FECHA DE ACTUALIZACION: <b>{{$uniforme->updated_at}}</b> </p>
                           <p class="card-text">INVENTARIO FISICO: <b>{{$uniforme->fisico}}</b> </p>
                           <p class="card-text">INVENTARIO INICIAL: <b>{{$uniforme->inicial}}</b> </p>
                        </div>
                        <div class="col-sm-6 col-md-4 col-xl-2">
                           <img src="images/big/card-4.png" alt="" class="img-fluid thumbnail m-r-15">
                        </div>
                     </div>
                  </div>

                  <div id="navpills2-2" class="tab-pane ">
                     <div class="row align-items-center ">
                        <div class="col">
                           <form action="{{route('uniforme.update', ['id' => $uniforme->id])}}" method="post">
                              @csrf
                              @method('put')
                              @include('admin.uniformes.forms.formupdate')

                              <button type="submit" class="btn btn-warning"><i class="fa fa-refresh" aria-hidden="true"></i> ACTUALIZAR</button>
                           </form>
                        </div>
                     </div>
                  </div>



               </div>
            </div>
         </div>

      </div>
   </div>
</div>

@endsection