@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection
@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <div class="card">
            <div class="card-header">
               <div style="display: flex; justify-content: space-between; align-items: center;">

                  <span id="card_title" style="font-size: 172%;">
                     {{ __('UNIFORMES VENDIDOS A PROFESORES') }}
                  </span>

                  <div class="float-right">
                  </div>
               </div>
            </div>

            <div class="card-body">
               <div class="table-responsive">
                  <table class="table table-striped table-hover" id="table_id" data-page-length="15">
                     <thead class="thead">
                        <tr>
                           <th>No</th>
                           <th>PROFESOR</th>
                           <th>UNIFORME</th>
                           <th>TALLA</th>
                           <th>CANTIDAD</th>
                           <th>PRECIO DE VENTA</th>
                           <th></th>
                        </tr>
                     </thead>
                     <tbody>
                        @foreach ($data as $uniforme)
                        <tr>
                           <td>{{ $uniforme->id }}</td>
                           <td>{{ $uniforme->profe->nombre }}</td>
                           <td>{{ $uniforme->uniforme->nombre }}</td>
                           <td>{{ $uniforme->uniforme->talla }}</td>
                           <td>{{ $uniforme->cantidad }}</td>
                           <td>Q. {{ number_format($uniforme->total, 2) }}</td>
                           <td>
                              <a name="" id="" class="btn btn-primary" href="{{route('ventaP.print', [$uniforme->profe_id, $uniforme->created_at])}}" role="button"><i class="fa fa-print" aria-hidden="true"></i></a>
                              @can('admin')
                              <form action="{{route('ventaP.delete', $uniforme->id)}}" method="post">
                                 @csrf
                                 @method('delete')
                                 <button type='submit' class='btn btn-danger' onclick="return confirm('Esta Seguro de Eliminar?')"><i class='fa fa-trash' aria-hidden='true'></i></button>
                              </form>
                              @endcan
                           </td>
                        </tr>
                        @endforeach
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
@endsection



@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

<script>
   $(document).ready(function() {
      $('#table_id').DataTable({
         "language": {
            'info': '_TOTAL_ REGISTROS',
            'search': 'BUSCAR',
            'paginate': {
               'next': 'SIGUIENTE',
               'previous': 'ATRAS'
            },
            'loadingRecords': 'CARGANDO',
            'emptyTable': 'NO EXISTEN DATOS',
            'zeroRecords': 'NO EXISTEN DATOS IGUALES'
         }
      });
   });
</script>
@endsection