@extends('layouts.admin')

@section('styles')
<link rel="stylesheet" href="{{asset('plugins/datatable/css/dataTables.bootstrap4.min.css')}}">
@endsection
@section('content')
<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <div class="card">
            <div class="card-header">
               <div style="display: flex; justify-content: space-between; align-items: center;">

                  <span id="card_title" style="font-size: 172%;">
                     {{ __('UNIFORMES VENDIDOS A PROFESORES') }}
                  </span>

                  <div class="float-right">
                  </div>
               </div>
            </div>

            <div class="card-body">
               <form action="{{route('ventaP.store')}}" method="post">
                  @csrf

                  <div class="form-group">
                     <label for="">SELECCIOEN UNIFORME</label>
                     <select class="form-control" name="uniforme_id" id="uni">
                        @foreach ($uniformes as $uni)
                        <option value="{{$uni->id}}">{{$uni->nombre}}, / TALLA: {{$uni->talla}} / PRECIO: Q.{{$uni->p_venta}}</option>
                        @endforeach
                     </select>
                  </div>

                  <div class="form-group">
                     <label for="">SELECCIOEN PROFESOR</label>
                     <select class="form-control" name="profe_id" id="">
                        @foreach ($profes as $uni)
                        <option value="{{$uni->id}}">{{$uni->nombre}}, / ASIGNACION: {{$uni->asignacion}}</option>
                        @endforeach
                     </select>
                  </div>

                  <div class="form-group">
                     <label for="">CANTIDAD</label>
                     <input type="text" class="form-control" name="cantidad" required>
                  </div>

                  <div class="form-group">
                     <label for="">TOTAL</label>
                     <input type="text" class="form-control" name="total" required>
                  </div>

                  <button type="submit" class="btn btn-primary"><i class="fas fa-save    "></i>GUARDAR</button>


               </form>
            </div>
         </div>
      </div>
   </div>
</div>
@endsection



@section('scripts')
<script src="{{asset('plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatable/js/dataTables.bootstrap4.min.js')}}"></script>

<script>
   $(document).ready(function() {
      $('#table_id').DataTable({
         "language": {
            'info': '_TOTAL_ REGISTROS',
            'search': 'BUSCAR',
            'paginate': {
               'next': 'SIGUIENTE',
               'previous': 'ATRAS'
            },
            'loadingRecords': 'CARGANDO',
            'emptyTable': 'NO EXISTEN DATOS',
            'zeroRecords': 'NO EXISTEN DATOS IGUALES'
         }
      });
   });
</script>
@endsection