<!doctype html>
<html lang="es">

<head>
   <title>{{config('app.name')}}</title>
   <!-- Required meta tags -->
   <meta charset="utf-8">
   <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
   <!-- Bootstrap CSS -->
   <link rel="stylesheet" href="{{asset('plugins/bootstrap/bootstrap.min.css')}}">


</head>

<body class="container">


   <div class="text-center">
      <img src="{{asset('logos/logo-dark.png')}}" alt="{{asset('app.name')}}" style="width: 22%">
   </div>

   <div class="row justify-content-center">
      <div class="col-md-6">
         @include('partial.includes.alerts')
      </div>
   </div>

   <div class="row justify-content-center">
      <div class="col-md-8">

         <div class="card">

            <div class="card-body">
               <h4 class="card-title">DATOS DE DEPOSITO / TRANSFERENCIA</h4>

               <form action="{{route('web.storeAbonoWeb')}}" method="post" enctype="multipart/form-data">

                  @csrf
                  <input type="text" class="form-control my-3" name="cui" placeholder="INGRESE CUI DE ESTUDIANTE" required>

                  <div class="row">

                     <div class="col">
                        <div class="form-group">
                           <label for="">TIPO DE PAGO: </label>
                           <select class="form-control" name="tipo">
                              <option value="TRANSFERENCIA">TRANSFERENCIA</option>
                              <option value="DEPOSITO">DEPOSITO</option>
                           </select>
                        </div>
                     </div>

                  </div>

                  <div class="row">
                     <div class="form-group col-md-6">
                        <label for="">VALOR DE ABONO: </label>
                        <input type="number" step="any" class="form-control" name="valor" id="valor">
                     </div>
                     <div class="form-group col-md-6">
                        <label for="">BANCO </label>
                        <input type="text" class="form-control" name="banco" id="banco">
                     </div>
                  </div>

                  <div class="form-group">
                     <label for="">NUMERO DE BOLETA / NUMERO DE TRANSFERENCIA</label>
                     <input type="text" class="form-control" name="boleta" id="boleta">
                  </div>

                  <div class="form-group">
                     <label for="DESCRIPCION">DESCRIPCION</label>
                     <textarea placeholder="DESCRIBA LAS DISTRIBUCION DE GASTOS" class="form-control" name="descripcion" id="descripcion" rows="3" required></textarea>
                  </div>

                  <div class="form-group">
                     <label for="">FOTO / CAPTURA DE ABONO / TRANSEFERENCIA</label>
                     <input type="file" class="form-control" name="foto" accept="image/*">
                  </div>

                  <button type="submit" class="btn btn-success"><i class="fas fa-save"></i> GUARDAR</button>

               </form>


            </div>
         </div>

      </div>
   </div>

   <script src="{{asset('plugins/common/common.min.js')}}"></script>


</body>

</html>