<?php

use App\Http\Controllers\Admin\AbonoActividadController;
use App\Http\Controllers\Admin\AbonosController;
use App\Http\Controllers\Admin\ActividadController;
use App\Http\Controllers\Admin\ArchivoController;
use App\Http\Controllers\Admin\ArticuloController;
use App\Http\Controllers\Admin\ArticuloProveedorController;
use App\Http\Controllers\Admin\BolsaController;
use App\Http\Controllers\Admin\BusController;
use App\Http\Controllers\Admin\CajaController;
use App\Http\Controllers\Admin\CajaIndependienteController;
use App\Http\Controllers\Admin\CompraBolsaUtiles;
use App\Http\Controllers\Admin\CompraController;
use App\Http\Controllers\Admin\CompraLibrosController;
use App\Http\Controllers\Admin\CompraUniformeController;
use App\Http\Controllers\Admin\ControlCuadreController;
use App\Http\Controllers\Admin\ConvenioController;
use App\Http\Controllers\Admin\CuadreCajaController;
use App\Http\Controllers\Admin\DescuentoEstudiatesController;
use App\Http\Controllers\Admin\DeudaExtraController;
use App\Http\Controllers\Admin\EncargadoController;
use App\Http\Controllers\Admin\EstudianteController;
use App\Http\Controllers\Admin\GradoController;
use App\Http\Controllers\Admin\HomeController;
use App\Http\Controllers\Admin\InscripcionContrller;
use App\Http\Controllers\Admin\InsumoController;
use App\Http\Controllers\Admin\LibrosController;
use App\Http\Controllers\Admin\ListaDeUtilesController;
use App\Http\Controllers\Admin\MobiliarioEquipoController;
use App\Http\Controllers\Admin\NotaTrabajadoresController;
use App\Http\Controllers\Admin\PagoPlanillaController;
use App\Http\Controllers\Admin\PapeleriaController;
use App\Http\Controllers\Admin\PlanillaController;
use App\Http\Controllers\Admin\PromocionController;
use App\Http\Controllers\Admin\ProveedorController;
use App\Http\Controllers\Admin\RecordInformativoControllerm;
use App\Http\Controllers\Admin\ReporteController;
use App\Http\Controllers\Admin\SalidaInsumoController;
use App\Http\Controllers\Admin\TablaController;
use App\Http\Controllers\Admin\UniformeController;
use App\Http\Controllers\Admin\VehiculoController;
use App\Http\Controllers\Admin\VentaArticuloController;
use App\Http\Controllers\Admin\VentaUnidormeProfesoController;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Storage;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('login');
});

Auth::routes();

// rauta para ejecutar comando artisan desde la web
Route::get('artisan/{comando}/{contra}', function ($comando, $contra) {
    if ($contra === 'Taylor110eAA.') {
        // ejemplo www.decodev.net/cmd/migrate
        Artisan::call($comando);
        dd(Artisan::output());
    } else {
        echo 'NO ACCESO';
    }
});

Route::get('abono', [AbonosController::class, 'webAbono'])->name('web.webAbono');
Route::post('abono', [AbonosController::class, 'storeAbonoWeb'])->name('web.storeAbonoWeb');

Route::group(['prefix' => "admin", 'namespace' => 'App\Http\Controllers\Admin', 'middleware' => ['auth', 'AdminPanelAccess', 'cuadrec', 'cuadrem']], function () {

    Route::get('/', 'HomeController@index')->name('home');

    Route::post('asignarColegiaturasFormMes', [HomeController::class, 'asignarColegiaturasFormMes'])->name('home.asignarColegiaturasFormMes');

    // rauta para ejecutar comando artisan desde la web
    Route::get('artisan/{comando}', function ($comando) {
        Artisan::call($comando);
        print_r(Artisan::output());

        $thefolder = public_path('storage/Colegio-Shalom-Barillas-');
        if ($handler = opendir($thefolder)) {
            $url2 = Storage::url('Colegio-Shalom-Barillas-');
            echo "<ul>";
            while (false !== ($file = readdir($handler))) {
                echo "<li> <a href=$url2/$file> $file   </a></li>";
            }
            echo "</ul>";
            closedir($handler);
        }
    })->name('back_up');

    Route::resource('/users', 'UserController');
    Route::resource('/roles', 'RoleController');
    Route::resource('/permissions', 'PermissionController')->except(['show']);
    // grados
    Route::prefix('grados')->group(function () {
        Route::get('', [GradoController::class, 'index'])->name('grado.index');
        Route::get('/create', [GradoController::class, 'create'])->name('grados.create');
        Route::get('show/{id}', [GradoController::class, 'show'])->name('grados.show');
        Route::get('reportes', [GradoController::class, 'reportes'])->name('grados.reportes');
        Route::post('', [GradoController::class, 'store'])->name('grado.store');
        Route::put('/{id}', [GradoController::class, 'update'])->name('grado.update');
        Route::delete('/{id}', [GradoController::class, 'delete'])->name('grado.delete');

        // REPORETES 
        Route::get('reporte/grados', [GradoController::class, 'allgrados'])->name('grados.allgrados');
        Route::get('reporte/grados/estudiantes', [GradoController::class, 'estudiantesDeGrados'])->name('grados.estudiantesDeGrados');
        Route::post('reporte/grados/deudores/grado', [GradoController::class, 'alldeures'])->name('grados.alldeures');
        Route::get('reporte/grados/padre-estudiante', [GradoController::class, 'getPadreToGrado'])->name('grados.getPadreToGrado');
        Route::get('reporte/estudiantes/deudores', [GradoController::class, 'deudores'])->name('grados.deudores');
        Route::post('reporte/estudiantes-deudores', [GradoController::class, 'getDeudoreForTipo'])->name('grados.getDeudoreForTipo');
    });
    // uniformes
    Route::prefix('uniformes')->group(function () {
        Route::get('', [UniformeController::class, 'index'])->name('uniforme.index');
        Route::get('listado-db', [UniformeController::class, 'listDB'])->name('uniforme.listDB');
        Route::post('listado-db-save', [UniformeController::class, 'saveToDB'])->name('uniforme.saveToDB');
        Route::get('/create', [UniformeController::class, 'create'])->name('uniforme.create');
        Route::get('show/{id}', [UniformeController::class, 'show'])->name('uniforme.show');
        Route::post('', [UniformeController::class, 'store'])->name('uniforme.store');
        Route::put('/{id}', [UniformeController::class, 'update'])->name('uniforme.update');
        Route::delete('/{id}', [UniformeController::class, 'delete'])->name('uniforme.delete');
        // reportes
        Route::get('reportes',  [UniformeController::class, 'reportes'])->name('uniforme.reports');
        Route::post('reportes/ventas',  [UniformeController::class, 'reportVentas'])->name('uniforme.reportVentas');
        Route::get('reportes/uniforme',  [UniformeController::class, 'allUniformes'])->name('uniforme.allUniformes');
        Route::get('reportes/minimo-stock',  [UniformeController::class, 'minStockUniformes'])->name('uniforme.minStockUniformes');
        Route::get('reportes/control-de-existecias',  [UniformeController::class, 'controldeExisteicias'])->name('uniforme.controldeExisteicias');

        // rutas para venas de Uniformes
        Route::post('venta-uniforme/store', [UniformeController::class, 'storeVenta'])->name('uniforme.storeVenta');
        Route::get('/venta/{recibo}/{estudiante}', [UniformeController::class, 'ventaRecibo'])->name('uniforme.ventaRecibo');
        Route::delete('eliminar/venta/{id}', [UniformeController::class, 'deleteVenta'])->name('uniforme.deleteVenta');
        Route::post('reporete-compras', [UniformeController::class, 'reporte_historial'])->name('uniforme.reporte_historial');
        Route::post('reporete-compras-agrupado', [UniformeController::class, 'reporte_historial_agrupado'])->name('uniforme.reporte_historial_agrupado');

        Route::post('reporete-ventas-agrupado', [UniformeController::class, 'ventas_agrupados_detallado'])->name('uniforme.ventas_agrupados_detallado');
        Route::post('reporete-ventas-agrupado-todo', [UniformeController::class, 'ventas_agrupados'])->name('uniforme.ventas_agrupados');



        Route::get('venta-profesor/', [VentaUnidormeProfesoController::class, 'index'])->name('ventaP.index');
        Route::get('venta-profesor/create', [VentaUnidormeProfesoController::class, 'create'])->name('ventaP.create');
        Route::post('venta-profesor/', [VentaUnidormeProfesoController::class, 'store'])->name('ventaP.store');
        Route::delete('venta-profesor/{id}', [VentaUnidormeProfesoController::class, 'delete'])->name('ventaP.delete');
        Route::get('print/{profe_id}/{fecha}', [VentaUnidormeProfesoController::class, 'print'])->name('ventaP.print');

        Route::get('print-compras-fecha', [UniformeController::class, 'getUniformesToReciboAndFecha'])->name('uniforme.getUniformesToReciboAndFecha');

        Route::get('print-code/{id}', [UniformeController::class, 'code_print'])->name('uniforme.code_print');
    });
    // buses
    Route::prefix('buses')->group(function () {
        Route::get('', [BusController::class, 'index'])->name('bus.index');
        Route::get('/create', [BusController::class, 'create'])->name('bus.create');
        Route::get('/show/{id}', [BusController::class, 'show'])->name('bus.show');
        Route::post('', [BusController::class, 'store'])->name('bus.store');
        Route::put('/{id}', [BusController::class, 'update'])->name('bus.update');
        Route::delete('/{id}', [BusController::class, 'delete'])->name('bus.delete');

        // ruta para adquisicion de bus
        Route::post('bus-mensual', [BusController::class, 'busesAddStore'])->name('bus.busesAddStore');
        Route::get('bus-delete/{mes}/{id}', [BusController::class, 'delete_buses_compra'])->name('bus.delete_buses_compra');

        // reporte para bus
        Route::get('reporte/buses', [BusController::class, 'allreport'])->name('bus.allreport');
    });
    // bolsas
    Route::prefix('bolsa-utiles')->group(function () {
        Route::get('inicio', [BolsaController::class, 'index'])->name('bolsa.index');
        Route::get('list-db', [BolsaController::class, 'listDB'])->name('bolsa.listDB');
        Route::post('list-db-store', [BolsaController::class, 'saveToDB'])->name('bolsa.saveToDB');
        Route::get('/create', [BolsaController::class, 'create'])->name('bolsa.create');
        Route::get('show/{id}', [BolsaController::class, 'show'])->name('bolsa.show');
        Route::post('', [BolsaController::class, 'store'])->name('bolsa.store');
        Route::put('/{id}', [BolsaController::class, 'update'])->name('bolsa.update');
        Route::delete('/{id}', [BolsaController::class, 'delete'])->name('bolsa.delete');

        Route::get('estado-entregas', [BolsaController::class, 'estaddeVentas'])->name('bolsa.estaddeVentas');

        // reportes
        Route::get('reportes',  [BolsaController::class, 'reports'])->name('bolsa.reports');
        Route::get('reportes/bolsas',  [BolsaController::class, 'allBolsa'])->name('bolsa.allBolsa');
        Route::get('reportes/minimo-stock',  [BolsaController::class, 'minStockBolsa'])->name('bolsa.minStockBolsa');
        Route::get('reportes/control-de-existecias',  [BolsaController::class, 'controldeExisteicias'])->name('bolsa.controldeExisteicias');
        Route::post('reportes/ventas/mes',  [BolsaController::class, 'reportVentas'])->name('bolsa.reportVentas');
        Route::post('reporete-compras', [BolsaController::class, 'reporte_historial'])->name('bolsa.reporte_historial');
        Route::get('reporte-compra-agrupadas', [BolsaController::class, 'getBolsaToReciboAndFecha'])->name('bolsa.getBolsaToReciboAndFecha');

        // rutas para venas de Uniformes
        Route::post('venta-untiles/store', [BolsaController::class, 'storeVenta'])->name('bolsa.storeVenta');
        Route::get('/venta/{recibo}/{estudiante}', [BolsaController::class, 'ventaRecibo'])->name('bolsa.ventaRecibo');
        Route::delete('eliminar/venta/{id}', [BolsaController::class, 'deleteVenta'])->name('bolsa.deleteVenta')->middleware('can:bolsa.deleteVenta');


        Route::post('venta-detallada', [BolsaController::class, 'ventas_agrupados_detallado'])->name('bolsa.ventas_agrupados_detallado');
        Route::post('venta-detallada-agrupada', [BolsaController::class, 'ventas_agrupados'])->name('bolsa.ventas_agrupados');
        Route::post('historial-detallada-agrupada', [BolsaController::class, 'reporte_historial_agrupado'])->name('bolsa.reporte_historial_agrupado');

        Route::get('print-recibo/{id}', [BolsaController::class, 'code_print'])->name('bolsa.code_print');
    });
    // activiadades
    Route::prefix('actividades')->group(function () {
        Route::get('', [ActividadController::class, 'index'])->name('actividad.index')->middleware('can:actividad.index');
        Route::get('/create', [ActividadController::class, 'create'])->name('actividad.create')->middleware('can:actividad.create');
        Route::get('actividad/{id}', [ActividadController::class, 'show'])->name('actividad.show')->middleware('can:actividad.show.update');
        Route::post('', [ActividadController::class, 'store'])->name('actividad.store')->middleware('can:actividad.delete');
        Route::put('/{id}', [ActividadController::class, 'update'])->name('actividad.update');
        Route::delete('delete/{id}', [ActividadController::class, 'delete'])->name('actividad.delete');

        // ventas de actividad
        Route::post('venta/store', [ActividadController::class, 'storeActivad'])->name('actividad.storeActivad');
        Route::delete('eliminar/venta/{id}', [ActividadController::class, 'deleteVenta'])->name('actividad.deleteVenta');

        // reportes
        Route::get('reporte/actividades', [ActividadController::class, 'allreport'])->name('actividad.allreport');
        Route::post('pago-masivo/{actividad}', [ActividadController::class, 'store_pago_masivo'])->name('actividad.store_pago_masivo');
    });

    // mobiliario y equipo
    Route::prefix('mobiliario-equipo')->group(function () {
        Route::get('', [MobiliarioEquipoController::class, 'index'])->name('mobiliario.index');
        Route::get('/create', [MobiliarioEquipoController::class, 'create'])->name('mobiliario.create');
        Route::get('show/{id}', [MobiliarioEquipoController::class, 'show'])->name('mobiliario.show');
        Route::post('', [MobiliarioEquipoController::class, 'store'])->name('mobiliario.store');
        Route::put('/{id}', [MobiliarioEquipoController::class, 'update'])->name('mobiliario.update');
        Route::delete('/{id}', [MobiliarioEquipoController::class, 'delete'])->name('mobiliario.delete');
        // reportes

        Route::get('reporte/', [MobiliarioEquipoController::class, 'reporte'])->name('mobiliario.reporte');
        Route::get('reporte/user', [MobiliarioEquipoController::class, 'allcontrolToUser'])->name('mobiliario.allcontrolToUser');
        Route::get('reporte/mobililarios', [MobiliarioEquipoController::class, 'allreport'])->name('mobiliario.allreport');
        Route::get('reporte/mobililarios/control', [MobiliarioEquipoController::class, 'allcontrol'])->name('mobiliario.allcontrol');
    });

    // inscripcion
    Route::prefix('inscripciones')->group(function () {
        Route::get('', [InscripcionContrller::class, 'index'])->name('inscripcion.index');
        Route::post('', [InscripcionContrller::class, 'inscribir'])->name('inscripcion.inscribir');
    });

    // encargados
    Route::prefix('encargados')->group(function () {
        Route::get('', [EncargadoController::class, 'index'])->name('encargado.index');
        Route::get('/{id}', [EncargadoController::class, 'show'])->name('encargado.show');
        Route::put('/{id}', [EncargadoController::class, 'update'])->name('encargado.update');
    });

    // estudiantes
    Route::prefix('estudiantes')->group(function () {
        Route::get('', [EstudianteController::class, 'index'])->name('estudiante.index');
        Route::get('editar/{id}', [EstudianteController::class, 'edit'])->name('estudiante.edit');
        Route::get('show/{id}', [EstudianteController::class, 'show'])->name('estudiante.show');
        Route::put('update/{id}', [EstudianteController::class, 'update'])->name('estudiante.update');
        Route::get('grados/', [EstudianteController::class, 'grados'])->name('estudiante.grados');
        Route::get('deudores/', [EstudianteController::class, 'deudoresView'])->name('estudiante.deudoresView');


        Route::get('data-Update/{estu_id}', [EstudianteController::class, 'actualizarCole'])->name('estu.actualizarCole');
        Route::put('updateColegiatura/{deuda}', [EstudianteController::class, 'updateColegiatura'])->name('estu.updateColegiatura');
        Route::put('updateInscripcion/{deuda}', [EstudianteController::class, 'updateInscripcion'])->name('estu.updateInscripcion');
        Route::put('updateBus/{bus}', [EstudianteController::class, 'updateDeudaDeBus'])->name('estu.updateDeudaDeBus');


        // para deudas
        // ruta para vista de asignacion de pagos
        Route::get('deudas/{id}', [EstudianteController::class, 'deudasAll'])->name('estudiante.deudasAll');

        Route::delete('estudiente/delete/{id}', [EstudianteController::class, 'deleteEstudiante'])->name('estudiante.deleteEstudiante');

        Route::get('retirados', [EstudianteController::class, 'getRetirados'])->name('estudiante.getRetirados');

        // ruta para visualizar los contratos
        Route::get('contrato/{id}', [EstudianteController::class, 'contratoServicios'])->name('estudiante.contratoServicios');

        // reportes
        Route::get('reportes', [EstudianteController::class, 'reports'])->name('estudiante.reports');
        Route::get('todos-los-estudiantes', [EstudianteController::class, 'allEstudiante'])->name('estudiante.allEstudiante');
        Route::get('estudiantes-deudores', [EstudianteController::class, 'alldeudores'])->name('estudiante.alldeudores');
        Route::get('estudiantes-nivel', [EstudianteController::class, 'allnivel'])->name('estudiante.allnivel');
        Route::post('estudiantes-cumpleaneros', [EstudianteController::class, 'cumpleaneros'])->name('estudiante.cumpleaneros');
        Route::post('estudiantes-filtro', [EstudianteController::class, 'rangodeDeudas'])->name('estudiante.rangodeDeudas');

        Route::get('estudiantes-resumen-deuda/{id}', [EstudianteController::class, 'deuda_resumen'])->name('estudiante.deuda_resumen');



        Route::get('resumen-deudas-recibop/{estu_id}', [EstudianteController::class, 'resumendedeudas'])->name('estu.resumendedeudas');

        // abonos web
        Route::get('abonos-web/{id}', [EstudianteController::class, 'abonos_web'])->name('estu.abonos_web');
    });

    // vechiculos
    Route::prefix('vehiculos')->group(function () {
        Route::get('', [VehiculoController::class, 'index'])->name('vehiculos.index');
        Route::get('/create', [VehiculoController::class, 'create'])->name('vehiculos.create');
        Route::get('perfil/{id}', [VehiculoController::class, 'show'])->name('vehiculos.show');
        Route::post('', [VehiculoController::class, 'store'])->name('vehiculos.store');
        Route::put('/{id}', [VehiculoController::class, 'update'])->name('vehiculos.update');
        Route::delete('/{id}', [VehiculoController::class, 'delete'])->name('vehiculos.delete');
        // reporetes
        Route::get('reporte', [VehiculoController::class, 'reportAll'])->name('vehiculos.reportAll');
    });

    // notas trabajadores
    Route::prefix('nota-trabajadores')->group(function () {
        Route::get('', [NotaTrabajadoresController::class, 'index'])->name('notas.index');
        Route::get('/{id}', [NotaTrabajadoresController::class, 'show'])->name('notas.show');
        Route::post('', [NotaTrabajadoresController::class, 'store'])->name('notas.store');
        Route::put('/{id}', [NotaTrabajadoresController::class, 'update'])->name('notas.update');
        Route::delete('/{id}', [NotaTrabajadoresController::class, 'delete'])->name('notas.delete');
    });

    // record informstoreVentaativo
    Route::prefix('record-informativo')->group(function () {

        Route::post('', [RecordInformativoControllerm::class, 'store'])->name('record.store');
        Route::delete('/{id}', [RecordInformativoControllerm::class, 'delete'])->name('record.delete');
    });

    // rutas para caja
    Route::group(['prefix' => 'caja'], function () {
        Route::get('entradas', [CajaController::class, 'showEntrdas'])->name('caja.entradas');
        Route::get('salidas', [CajaController::class, 'showSalidas'])->name('caja.salidas');
        Route::get('cuadre', [CajaController::class, 'cuadre'])->name('caja.cuadre');
        Route::post('cuadre/store', [CajaController::class, 'cuadreStore'])->name('caja.cuadreStore');
        Route::post('salidas/registro', [CajaController::class, 'salida'])->name('caja.salidaStore');
        Route::post('entradas/registro', [CajaController::class, 'entrada'])->name('caja.entradaStore');
        Route::get('cuadre/delete/{id}', [CajaController::class, 'deleteCuadre'])->name('caja.deleteCuadre');
        Route::get('entrada/delete/{id}', [CajaController::class, 'entradaDelete'])->name('caja.deleteentrada');
        Route::get('salida/delete/{id}', [CajaController::class, 'salidaDelete'])->name('caja.deletesalida');

        // cuadre de "ayer"
        Route::get('cuadre-ayer/{fecha}', [CajaController::class, 'cuadreAyer'])->name('caja.cuadreAyer')->withoutMiddleware(['cuadrem']);
        Route::post('cuadre/store-ayer/{fecha}', [CajaController::class, 'cuadreStoreAyer'])->name('caja.cuadreStoreAyer')->withoutMiddleware(['cuadrem']);


        // reporte de Movimientos
        Route::get('cuadre/report', [CajaController::class, 'cuadrereport'])->name('caja.cuadreReport');
        Route::get('movimientos', [CajaController::class, 'movimientos'])->name('caja.movimientos');
        Route::post('movimientos/salidas', [CajaController::class, 'salidaReport'])->name('caja.salidaReport');
        Route::post('movimientos/entradas', [CajaController::class, 'entradasReport'])->name('caja.entradasReport');
        Route::post('movimientos/galstos-tipos', [CajaController::class, 'gasto_tipo_fecha'])->name('caja.gasto_tipo_fecha');
        // para buscar cuadres por fehca
        Route::get('movimientos/filtro', [CajaController::class, 'cuadrereportFilter'])->name('caja.cuadrereportFilter');
        // para veer los movimietnos de dicho cuadre
        Route::get('movimientos/fecha/{fecha}', [CajaController::class, 'cuadreFecha'])->name('caja.cuadreFecha');
        Route::get('movimientos/filtrados/', [CajaController::class, 'getMovimientoToData'])->name('caja.getMovimientoToData');
        Route::get('print-recibo/caja/{caja}', [CajaController::class, 'prit_caja_chcia'])->name('caja.prit_caja_chcia');
    });

    // rutas deudas externas
    Route::prefix('deuda-extras')->group(function () {
        Route::post('store', [DeudaExtraController::class, 'store'])->name('deudaex.store');
        Route::delete('delte/{id}', [DeudaExtraController::class, 'delete'])->name('deudaex.delete')->middleware('can:actividad.deleteVenta');
    });

    // papeleria
    Route::prefix('papeleria-estudiante')->group(function () {
        Route::get('print-recibo/{papeleria}', [PapeleriaController::class, 'print_recibo'])->name('papeleria.print_recibo');
        Route::get('reportePapeleria', [PapeleriaController::class, 'reportePapeleria'])->name('papeleria.reportePapeleria');
        Route::post('store', [PapeleriaController::class, 'crete_papeleria'])->name('papeleria.crete_papeleria');
        Route::put('update/{pape}', [PapeleriaController::class, 'updatePapeleria'])->name('papeleria.updatePapeleria');
    });

    // rutas para abonos 
    Route::prefix('abonos')->group(function () {
        Route::post('store', [AbonosController::class, 'abonoStore'])->name('abono.abonoStore');
        Route::delete('delete/{id}', [AbonosController::class, 'deleteAbono'])->name('abono.deleteAbono')->middleware('can:abono.deleteAbono');
        Route::get('recibo/{fecha}/{factura}/{estudiante}', [AbonosController::class, 'printRecibo'])->name('abono.printRecibo');


        Route::post('reporte-tipo', [AbonosController::class, 'getAbonoToTipo'])->name('abono.getAbonoToTipo');
        Route::post('reporte-venta-profesor', [AbonosController::class, 'getReporteProfesore'])->name('abono.getReporteProfesore');


        // abonos en web
        Route::get('web',  [AbonosController::class, 'abonoWweb'])->name('abono.abonoWweb')->middleware('can:abono.abonoWweb');
    });

    // rutas para planillas
    Route::prefix('planilla')->group(function () {
        Route::get('inicio', [PlanillaController::class, 'index'])->name('planilla.index');
        Route::get('registro', [PlanillaController::class, 'create'])->name('planilla.create');
        Route::get('perfil/{id}', [PlanillaController::class, 'show'])->name('planilla.show');
        Route::post('save', [PlanillaController::class, 'store'])->name('planilla.store');
        Route::put('actualiza/{id}', [PlanillaController::class, 'update'])->name('planilla.update');
        Route::delete('eliminar/{id}', [PlanillaController::class, 'delete'])->name('planilla.delete');

        Route::get('horas-extras', [PlanillaController::class, 'horasExtras'])->name('planilla.horasExtras');
        Route::post('guardar/horas-extras', [PlanillaController::class, 'saveHoraExtra'])->name('planilla.saveHoraExtra');
        Route::delete('hora-extras/{id}', [PlanillaController::class, 'deleteHorasExtras'])->name('planilla.deleteHorasExtras');

        // PAGO DE PLANILLA

        Route::get('pago-planilla', [PagoPlanillaController::class, 'index'])->name('pago_planilla.index');
        Route::post('pago-planilla', [PagoPlanillaController::class, 'store'])->name('pago_planilla.store');
        Route::post('reporte/pago-planilla', [PagoPlanillaController::class, 'getPagoToPlanilla'])->name('pago_planilla.getPagoToPlanilla');
        Route::post('reporte/pago-planilla-all', [PagoPlanillaController::class, 'getAllPagos'])->name('pago_planilla.getAllPagos');





        // reportes
        Route::get('reportes', [PlanillaController::class, 'reportes'])->name('planilla.reportes');
        Route::get('reportes/planilals', [PlanillaController::class, 'reportAllPla'])->name('planilla.reportAllPla');
        Route::post('reportes/pago/horas', [PlanillaController::class, 'reportHorasMes'])->name('planilla.reportHorasMes');
        Route::get('reportes/pago', [PlanillaController::class, 'reportHorasMesPalan'])->name('planilla.reportHorasMesPalan');
    });

    // descuentos
    Route::prefix('descuentos')->group(function () {
        Route::post('store', [DescuentoEstudiatesController::class, 'store'])->name('descuento.store');
        Route::delete('delete/{id}', [DescuentoEstudiatesController::class, 'delete'])->name('descuento.delete');
    });

    // COMPRA DE BOLSA DE UTILES
    Route::prefix('compra-bolsa-utiles')->group(function () {
        Route::get('', [CompraBolsaUtiles::class, 'index'])->name('cbolsa.index');
        Route::get('historial', [CompraBolsaUtiles::class, 'historial'])->name('cbolsa.historial');
        Route::post('store', [CompraBolsaUtiles::class, 'store'])->name('cbolsa.store');
        Route::get('delete/{id}', [CompraBolsaUtiles::class, 'delete'])->name('cbolsa.delete');
    });

    // COMPRA DE BOLSA DE UTILES
    Route::prefix('compra-uniformes')->group(function () {
        Route::get('', [CompraUniformeController::class, 'index'])->name('cuniforme.index');
        Route::get('historial', [CompraUniformeController::class, 'historial'])->name('cuniforme.historial');
        Route::post('store', [CompraUniformeController::class, 'store'])->name('cuniforme.store');
        Route::get('delete/{id}', [CompraUniformeController::class, 'delete'])->name('cuniforme.delete');
    });

    // proveedores
    Route::group(['prefix' => 'proveedor'], function () {
        Route::get('index', [ProveedorController::class, 'index'])->name('prove.index');
        Route::get('create', [ProveedorController::class, 'create'])->name('prove.create');
        Route::post('create', [ProveedorController::class, 'store'])->name('prove.store');
        Route::put('update/{id}', [ProveedorController::class, 'update'])->name('prove.update');
        Route::get('show/{id}', [ProveedorController::class, 'show'])->name('prove.show');
        Route::get('reportes', [ProveedorController::class, 'reporte'])->name('prove.reporte');

        // facturas
        Route::post('factura/create', [ProveedorController::class, 'facturacreate'])->name('prove.facturacreate');
        Route::get('factura/delete/{id}', [ProveedorController::class, 'facturadelete'])->name('prove.facturadelete');

        // abonos
        Route::get('factura/abonos/{id}', [ProveedorController::class, 'abonos'])->name('prove.abonos');
        Route::post('abonar', [ProveedorController::class, 'abonoRegistro'])->name('prove.abonar');
        Route::get('abono/delete/{id}', [ProveedorController::class, 'deleteAbono'])->name('prove.deleteAbono');

        // compra a proveedores
        Route::get('mas/comprado/{id}', [ProveedorController::class, 'mascomprado'])->name('prove.mascomprado');
        Route::get('delete/{id}', [ProveedorController::class, 'delete'])->name('prove.delete');

        // retorna la vista para poder realizar reportes
        Route::get('reporte', [ProveedorController::class, 'reportes'])->name('prove.reportes');

        Route::post('reporte-abonos', [ProveedorController::class, 'reportToAbono'])->name('prove.reportToAbono');

        // retorna el reporte de los proveedores a los que les debemos
        Route::get('reporte-deudas', [ProveedorController::class, 'getAllDeudaToProveedo'])->name('prove.getAllDeudaToProveedo');

        Route::get('factura-cambio/{id}', [ProveedorController::class, 'changeTipoToFactura'])->name('prove.changeTipoToFactura');
        Route::POST('factura-reporte', [ProveedorController::class, 'facturas_compras'])->name('prove.facturas_compras');
    });

    Route::group(['prefix' => 'compras-proveedores'], function () {

        Route::get('comprar', [CompraController::class, 'index'])->name('compra.comprar');
        Route::post('compra', [CompraController::class, 'store'])->name('compra.compraStore');

        // reportes
        Route::get('compras/reporte', [CompraController::class, 'report'])->name('articulo.compraReport');
    });

    // archivo controller
    Route::prefix('archivos')->group(function () {
        Route::get('index', [ArchivoController::class, 'index'])->name('archi.index');
        Route::post('store', [ArchivoController::class, 'store'])->name('archi.store');
        Route::delete('destroy/{id}', [ArchivoController::class, 'delte'])->name('archi.delete');
        Route::get('perfil/{id}', [ArchivoController::class, 'show'])->name('archi.show');
        Route::post('foto-archivos', [ArchivoController::class, 'setFirma'])->name('arch.setFirma');
        Route::get('foto-archivos-eliminar/{id}', [ArchivoController::class, 'deleteFotoToArchivos'])->name('archi.deleteFotoToArchivos');
        Route::get('reportes/', [ArchivoController::class, 'reportes'])->name('archi.reportes');
        Route::post('getFotoToArchivoReport', [ArchivoController::class, 'getFotoToArchivoReport'])->name('archi.getFotoToArchivoReport');

        Route::post('setFotoMultiple', [ArchivoController::class, 'setFotoMultiple'])->name('archi.setFotoMultiple');
    });

    Route::prefix('tablas')->group(function () {
        Route::get('index/', [TablaController::class, 'index'])->name('table.index');
        Route::post('store', [TablaController::class, 'store'])->name('table.store');
        Route::get('perfil/{id}', [TablaController::class, 'show'])->name('table.show');
        Route::delete('destroy/{id}', [TablaController::class, 'destroy'])->name('table.destroy');
        Route::put('actualizar/{id}', [TablaController::class, 'update'])->name('table.update');
    });

    // caja independiente
    Route::prefix('caja-independiente')->group(function () {
        Route::get('/index', [CajaIndependienteController::class, 'index'])->name('cajai.index');
        Route::post('/store', [CajaIndependienteController::class, 'store'])->name('cajai.store');
        Route::delete('/{id}', [CajaIndependienteController::class, 'destroy'])->name('cajai.destroy');
        Route::get('update/{id}', [CajaIndependienteController::class, 'show'])->name('cajai.show');
        Route::put('edit/{id}', [CajaIndependienteController::class, 'update'])->name('cajai.update');
    });

    // cajafuerte
    Route::prefix('cuadres-caja')->group(function () {
        Route::get('/index', [CuadreCajaController::class, 'index'])->name('cuac.index');
        Route::post('/store', [CuadreCajaController::class, 'store'])->name('cuac.store');
        Route::delete('/{id}', [CuadreCajaController::class, 'destroy'])->name('cuac.destroy');
        Route::get('update/{id}', [CuadreCajaController::class, 'show'])->name('cuac.show');
        Route::put('edit/{id}', [CuadreCajaController::class, 'update'])->name('cuac.update');
    });

    // cajafuerte
    Route::prefix('convenio')->group(function () { // cajafuerte
        Route::prefix('convenio')->group(function () {
            Route::get('/index', [ConvenioController::class, 'index'])->name('conv.index');
            Route::post('/store', [ConvenioController::class, 'store'])->name('conv.store');
            Route::delete('/{id}', [ConvenioController::class, 'delete'])->name('conv.destroy');
            Route::get('convenio/{convenio}', [ConvenioController::class, 'show'])->name('conv.show');
            Route::put('edit/{id}', [ConvenioController::class, 'update'])->name('conv.update');
            Route::get('reporte/convenio', [ConvenioController::class, 'reporte'])->name('conv.reporte');
        });
        Route::get('/index', [ConvenioController::class, 'index'])->name('conv.index');
        Route::post('/store', [ConvenioController::class, 'store'])->name('conv.store');
        Route::delete('/{id}', [ConvenioController::class, 'delete'])->name('conv.destroy');
        Route::get('convenio/{convenio}', [ConvenioController::class, 'show'])->name('conv.show');
        Route::put('edit/{id}', [ConvenioController::class, 'update'])->name('conv.update');
        Route::get('reporte/convenio', [ConvenioController::class, 'reporte'])->name('conv.reporte');
    });

    // contro de cuadres
    Route::prefix('control-cuadre')->group(function () {
        Route::get('show/{control}', [ControlCuadreController::class, 'show'])->name('control.show');
        Route::post('store/{control}', [ControlCuadreController::class, 'store_boleta'])->name('control.store_boleta');
        Route::get('store-old/{dia}/{tipo}', [ControlCuadreController::class, 'controlCuadreNotBoletas'])->name('control.controlCuadreNotBoletas');
        Route::get('reporte', [ControlCuadreController::class, 'reports'])->name('control.reports');
        Route::post('reporte', [ControlCuadreController::class, 'getBoletas'])->name('control.getBoletas');
    });


    // asrticulos
    Route::prefix('articulos')->group(function () {
        Route::get('index', [ArticuloController::class, 'index'])->name('articulov.index');
        Route::post('store/', [ArticuloController::class, 'store'])->name('articulov.store');
        Route::delete('delete/{id}', [ArticuloController::class, 'delete'])->name('articulov.delete');
    });

    // venta de articulos
    Route::prefix('venta-articulsos')->group(function () {
        Route::get('index', [VentaArticuloController::class, 'index'])->name('venta.index');
        Route::post('store/', [VentaArticuloController::class, 'store'])->name('venta.store');
        Route::post('store-abono/', [VentaArticuloController::class, 'storeAbono'])->name('venta.storeAbono');
        Route::delete('delete/{id}', [VentaArticuloController::class, 'delete'])->name('venta.delete');
        Route::delete('delete-abono/{id}', [VentaArticuloController::class, 'deleteAbono'])->name('venta.deleteAbono');
        Route::get('reportes', [VentaArticuloController::class, 'reportes'])->name('venta.reportes');
        Route::get('reportes/ventas-fechas', [VentaArticuloController::class, 'ventasPorFechas'])->name('venta.ventasPorFechas');
    });


    // promociones
    Route::prefix('promocion')->group(function () {
        Route::get('index', [PromocionController::class, 'index'])->name('promocion.index');
        Route::get('print-recibo/{promo}/{grado}', [PromocionController::class, 'print_comprobante'])->name('promocion.print_comprobante');
        Route::post('store', [PromocionController::class, 'store'])->name('promocion.store');
        Route::delete('delete/{promo}', [PromocionController::class, 'delete'])->name('promocion.delete');
        Route::delete('delete-promo-estudiante/{promo}', [PromocionController::class, 'delete_estudiante_promo'])->name('promocion.delete_estudiante_promo');
        Route::get('perfil/{promo}', [PromocionController::class, 'acept_boleta'])->name('promocion.acept_boleta');
        Route::get('reportes', [PromocionController::class, 'reportes'])->name('promocion.reportes');
        Route::get('reportes-promocion', [PromocionController::class, 'report_promociones'])->name('promocion.report_promociones');
        Route::get('reportes-promocion-grado', [PromocionController::class, 'report_promociones_to_grado'])->name('promocion.report_promociones_to_grado');
    });

    Route::prefix('reportes')->group(function () {
        // reportes mesuales
        Route::get('mensuales', [ReporteController::class, 'reportes_mensuales'])->name('reporte.reportes_mensuales');
        Route::get('mensuales-uniformes', [ReporteController::class, 'reporte_uniforme'])->name('reporte.reporte_uniforme');
        Route::get('mensuales-bolsa', [ReporteController::class, 'reporte_bolsa'])->name('reporte.reporte_bolsa');
        Route::get('mensuales-reporte_libros', [ReporteController::class, 'reporte_libros'])->name('reporte.reporte_libros');
        Route::get('mensuales-actividad', [ReporteController::class, 'reporte_actividad_tonivel'])->name('reporte.reporte_actividad_tonivel');
        Route::post('mensuales-colegiatura', [ReporteController::class, 'reporte_colegiatura'])->name('reporte.reporte_colegiatura');
        // analisis
        Route::get('analisis', [ReporteController::class, 'reportes_analisis'])->name('reporte.reportes_analisis');
        Route::get('analisis-uniformes', [ReporteController::class, 'analisis_uniformes'])->name('reporte.analisis_uniformes');
        Route::get('analisis-uniformes-bolsa', [ReporteController::class, 'analisis_uniformes_bolsa'])->name('reporte.analisis_uniformes_bolsa');
        Route::get('analisis-actividades', [ReporteController::class, 'analisis_actividades'])->name('reporte.analisis_actividades');
        Route::get('analisis-colegiaturas', [ReporteController::class, 'analisis_colegiatuera'])->name('reporte.analisis_colegiatuera');
        Route::get('analisis-colegiaturas-esperado', [ReporteController::class, 'esperadoColegiatura'])->name('reporte.esperadoColegiatura');
        Route::get('analisis-colegiaturas-real', [ReporteController::class, 'realToGrados'])->name('reporte.realToGrados');
    });

    Route::prefix('abono-actividad')->group(function () {
        Route::get('abonos-actividad/{id}', [AbonoActividadController::class, 'newAbonos'])->name('abactividad.newAbonos');
        Route::get('abonos-recibo/{actividad}', [AbonoActividadController::class, 'printReciboAbono'])->name('abactividad.printReciboAbono');
        Route::post('abonos-actividad', [AbonoActividadController::class, 'storeAbono'])->name('abactividad.storeAbono');
        Route::delete('abonos-actividad-delete/{actividad}', [AbonoActividadController::class, 'delete'])->name('abactividad.delete');
    });

    Route::prefix('libros')->group(function () {
        Route::get('inicio', [LibrosController::class, 'index'])->name('libro.index');
        Route::get('list-db', [LibrosController::class, 'listDB'])->name('libro.listDB');
        Route::post('list-db-store', [LibrosController::class, 'saveToDB'])->name('libro.saveToDB');
        Route::get('/create', [LibrosController::class, 'create'])->name('libro.create');
        Route::get('show/{id}', [LibrosController::class, 'show'])->name('libro.show');
        Route::post('', [LibrosController::class, 'store'])->name('libro.store');
        Route::put('/{id}', [LibrosController::class, 'update'])->name('libro.update');
        Route::delete('/{id}', [LibrosController::class, 'delete'])->name('libro.delete');

        // reportes
        Route::get('reportes',  [LibrosController::class, 'reports'])->name('libro.reports');
        Route::get('reportes/bolsas',  [LibrosController::class, 'allBolsa'])->name('libro.allBolsa');
        Route::get('reportes/minimo-stock',  [LibrosController::class, 'minStockBolsa'])->name('libro.minStockBolsa');
        Route::get('reportes/control-de-existecias',  [LibrosController::class, 'controldeExisteicias'])->name('libro.controldeExisteicias');
        Route::post('reportes/ventas/mes',  [LibrosController::class, 'reportVentas'])->name('libro.reportVentas');
        Route::post('reporete-compras', [LibrosController::class, 'reporte_historial'])->name('libro.reporte_historial');
        Route::get('reporte-compra-agrupadas', [LibrosController::class, 'getBolsaToReciboAndFecha'])->name('libro.getBolsaToReciboAndFecha');

        // rutas para venas de Uniformes
        Route::post('venta-untiles/store', [LibrosController::class, 'storeVenta'])->name('libro.storeVenta');
        Route::get('/venta/{recibo}/{estudiante}', [LibrosController::class, 'ventaRecibo'])->name('libro.ventaRecibo');
        Route::delete('eliminar/venta/{id}', [LibrosController::class, 'deleteVenta'])->name('libro.deleteVenta')->middleware('can:bolsa.deleteVenta');


        Route::post('venta-detallada', [LibrosController::class, 'ventas_agrupados_detallado'])->name('libro.ventas_agrupados_detallado');
        Route::post('venta-detallada-agrupada', [LibrosController::class, 'ventas_agrupados'])->name('libro.ventas_agrupados');
        Route::post('historial-detallada-agrupada', [LibrosController::class, 'reporte_historial_agrupado'])->name('libro.reporte_historial_agrupado');

        Route::get('print-recibo/{id}', [LibrosController::class, 'code_print'])->name('libro.code_print');
    });

    // COMPRA DE BOLSA DE UTILES
    Route::prefix('compra-libros')->group(function () {
        Route::get('', [CompraLibrosController::class, 'index'])->name('clibro.index');
        Route::get('historial', [CompraLibrosController::class, 'historial'])->name('clibro.historial');
        Route::post('store', [CompraLibrosController::class, 'store'])->name('clibro.store');
        Route::get('delete/{id}', [CompraLibrosController::class, 'delete'])->name('clibro.delete');
    });

    // COMPRA DE BOLSA DE UTILES
    Route::prefix('articulos')->group(function () {
        // ----------------------------------------------------------------
        Route::get('articulos', [ArticuloProveedorController::class, 'index'])->name('proveA.index');
        Route::get('articulos-show/{articulo}', [ArticuloProveedorController::class, 'show'])->name('proveA.show');
        Route::post('articulos', [ArticuloProveedorController::class, 'store'])->name('proveA.store');
        Route::delete('articulo/{articulo}', [ArticuloProveedorController::class, 'delete'])->name('proveA.delete');
        Route::PUT('articulo/{articulo}', [ArticuloProveedorController::class, 'update'])->name('proveA.update');
        Route::post('articulo-salida/{articulo}', [ArticuloProveedorController::class, 'salida'])->name('proveA.salida');
        Route::get('articulos-reportes', [ArticuloProveedorController::class, 'reportes'])->name('proveA.reportes');
        Route::get('articulos-reporte/todos', [ArticuloProveedorController::class, 'all_report'])->name('proveA.all_report');
        Route::get('articulos-reporte/proveedor', [ArticuloProveedorController::class, 'all_to_proveedor'])->name('proveA.all_to_proveedor');
    });

    // pagos flotantes
    Route::prefix('lista')->group(function () {
        Route::get('lista', [ListaDeUtilesController::class, 'index'])->name('lista.index');
        Route::get('registro', [ListaDeUtilesController::class, 'create'])->name('lista.create');
        Route::POST('store', [ListaDeUtilesController::class, 'store'])->name('lista.store');

        Route::get('perfil/{codigo}', [ListaDeUtilesController::class, 'show'])->name('lista.show');
        Route::delete('eliminar/{lista}', [ListaDeUtilesController::class, 'deleteArticulo'])->name('lista.deleteArticulo');
        Route::delete('eliminar-lista/{codigo}', [ListaDeUtilesController::class, 'deleteAllList'])->name('lista.deleteAllList');
    });

    Route::resource('insumos', InsumoController::class);

    Route::prefix('insumo')->group(function () {
        Route::get('index', [InsumoController::class, 'index'])->name('insumos.index');
        Route::get('create', [InsumoController::class, 'create'])->name('insumos.create');
        Route::post('sore', [InsumoController::class, 'store'])->name('insumos.store');
        Route::get('show/{insumo}', [InsumoController::class, 'show'])->name('insumos.show');
        Route::get('edit/{insumo}/edit', [InsumoController::class, 'edit'])->name('insumos.edit');
        Route::put('update/{insumo}', [InsumoController::class, 'update'])->name('insumos.update');
        Route::delete('delete/{insumo}', [InsumoController::class, 'destroy'])->name('insumos.destroy');


        Route::get('salida_insumos', [SalidaInsumoController::class, 'index'])->name('salida_insumos.index');
        Route::post('salida_insumos', [SalidaInsumoController::class, 'store'])->name('salida_insumos.store');
        Route::delete('salida_insumos/{salidaInsumo}', [SalidaInsumoController::class, 'destroy'])->name('salida_insumos.destroy');
    });
});

Route::delete('delete/{boleta}', [ControlCuadreController::class, 'delete_boleta'])->name('control.delete_boleta');


Route::get('store-old-cuadres/{dia}/{tipo}', [ControlCuadreController::class, 'controlCuadreNotBoletas'])->name('control.controlCuadreNotBoletas');
Route::get('not-acept/{dia}', [ControlCuadreController::class, 'getAbonosNotAcept'])->name('control.getAbonosNotAcept')->middleware('can:admin');
Route::delete('delete-no/{boleta}', [ControlCuadreController::class, 'delete_boleta'])->name('control.delete_boleta_no')->middleware('can:admin');

Route::post('store-old-cuadres', [ControlCuadreController::class, 'storeOldAbono'])->name('control.storeOldAbono');
Route::get('acept-boleta', [ControlCuadreController::class, 'acept_boleta'])->name('control.acept_boleta')->middleware('can:admin');
